2006-10-28  Alex Roitman  <shura@gramps-project.org>
	* NEWS: Update.
	* src/ViewManager.py (ViewManager.about): Use const.py.
	* src/const.py.in (url_manual): Add the link constant.
	* src/GrampsDisplay.py (help): Update the link.
	* src/data/tips.xml.in: Remove extra quotes.

2006-10-28  Don Allingham  <don@gramps-project.org>
	* src/plugins/FamilyGroup.py: fix typo

2006-10-28  Alex Roitman  <shura@gramps-project.org>
	* src/data/tips.xml.in: Replace -> with > 
	* help/ru/ro.po: Add po file, to start translating the manual.

2006-10-27  Don Allingham  <don@gramps-project.org>
	* src/plugins/FamilyGroup.py: don't translation paragraph name
	* src/GrampsCfg.py: remove unused online maps string
	* src/Editors/_EditRepoRef.py: fixed transation strings
	* src/Editors/_EditName.py: fixed transation strings
	* src/Editors/_EditChildRef.py: fixed transation strings
	* src/ScratchPad.py: fixed transation strings
	* help/C/gramps.xml: update
	* help/C/figures/prefs.png: update
	* help/C/figures/select-person.py: update

2006-10-27  Morten Bo Johansen  <mbj@spamcop.net>
	* src/data/tips.xml.in: Update tips.
	* src/plugins/rel_da.py: Update.

2006-10-27  Alex Roitman  <shura@gramps-project.org>
	* src/Filters/Rules/Person/_RelationshipPathBetweenBookmarks.py
	(name): Correct the string.
	* src/data/tips.xml.in: Update bug tracker address.
	* src/const.py.in: Put gettext import back.

2006-10-26  Alex Roitman  <shura@gramps-project.org>
	* src/ViewManager.py (ViewManager.about): Translate comments.
	* src/const.py.in: No gettext (won't work anyway because const.py
	is imported before textdomain is set.
	* NEWS: Update.
	* help/gramps.pot: Regenerate manual template.
	* src/data/tips.xml.in (family): Escape quotes.
	* src/TipOfDay.py (TipParserescape): Remove: no need to escape here.
	(TipOfDay.escape): Escape here, to allow for gettext lookup. 
	(TipOfDay.next_tip_cb): Escape prior to gettext lookup.

2006-10-25  Piotr Czubaszek  <pioterus@gmail.com>
	* src/plugins/rel_pl.py: Update.

2006-10-24  Alex Roitman  <shura@gramps-project.org>
	* src/GrampsDb/_ReadGedcom.py (parse_source_eference): Cap
	confidence value.
	* src/GrampsDb/_WriteGedcom.py (write_source_ref): Cap confidence.

2006-10-23  Alex Roitman  <shura@gramps-project.org>
	* configure.in: Bump up release number.
	* NEWS: Typo.

2006-10-23  Don Allingham  <don@gramps-project.org>
	* src/ReportBase/_BareReportDialog.py: declare logger.

2006-10-22  Don Allingham  <don@gramps-project.org>
	* src/DataViews/_PersonView.py:  remove dead code
	* src/GrampsDb/_ReadGedcom.py: handle Legacy _PREF
	* src/DisplayModels/_PeopleModel.py: speed improvement on name

2006-10-21  Alex Roitman  <shura@gramps-project.org>
	* src/data/tips.xml.in (tip67): Escape angle bracket.

2006-10-20  Benny Malengier  <bm@cage.UGent.be>
	* src/DataViews/_PlaceView.py: Fix lattitude/longitude typo.
	* src/glade/gramps.glade: Swap the order of latt/long in UI.

2006-10-20  Alex Roitman  <shura@gramps-project.org>
	* src/plugins/rel_pl.py: Typo.

2006-10-19  Piotr Czubaszek  <pioterus@gmail.com>
	* src/plugins/rel_pl.py: Polish relationship calculator.
	* src/plugins/Makefile.am (pkgdata_PYTHON): Add rel_pl.py

2006-10-18  Alex Roitman  <shura@gramps-project.org>
	* src/ViewManager.py (change_redo_label, change_redo_label):
	Translate labels.

2006-10-17  Don Allingham  <don@gramps-project.org>
	* src/plugins/Desbrowser.py: fix callback parameter list

2006-10-16  Alex Roitman  <shura@gramps-project.org>
	* src/Editors/_EditPerson.py (_given_focus_out_event): Convert to
	unicode before guessing gender.

2006-10-15  Don Allingham  <don@gramps-project.org>
	* src/GrampsDb/_WriteGedcom.py: fix bad function call
	* src/glade/gramps.glade: consistent place name

2006-10-15  Brian Matherly  <brian@gramps-project.org>
	* src/plugins/FanChart.py: Fix name display for gen 6 and 7

2006-10-11  Alex Roitman  <shura@gramps-project.org>
	* RELEASE: version 2.2.0rc1 is released.
	* configure.in: Bump up the version number.

2006-10-11  Martin Hawlisch  <Martin.Hawlisch@gmx.de>
	* src/plugins/IndivComplete.py (write_person): Catch missing image
	files.

2006-10-11  Alex Roitman  <shura@gramps-project.org>
	* src/GrampsDisplay.py (help): Rename gramps-manual to gramps.
	* src/Filters/_FilterComboBox.py (set): Force unicode.

2006-10-11  Brian Matherly  <brian@gramps-project.org>
	* src/Mime/_WinMime.py: potential fix for #446

2006-10-10  Alex Roitman  <shura@gramps-project.org>
	* configure.in: Update version number.
	* NEWS: Update.
	* src/plugins/ExportVCalendar.py (get_option_box): Use custom filters.
	* src/plugins/ExportVCard.py (get_option_box): Use custom filters.
	* src/plugins/WriteFtree.py (get_option_box): Use custom filters.
	* src/plugins/WriteGeneWeb.py (get_option_box): Use custom filters.
	* src/Selectors/_BaseSelector.py: Import gettext.

2006-10-10  Don Allingham  <don@gramps-project.org>
	* src/gramps_main.py: use pngs for windows

2006-10-10  Alex Roitman  <shura@gramps-project.org>
	* src/GrampsDb/_WriteXML.py (strip_dict): Do not strip tab, LF, CR.
	* src/GrampsDb/_GrampsBSDDB.py (gramps_upgrade_10,
	gramps_upgrade_11): Properly use TXN.	

2006-10-09  Alex Roitman  <shura@gramps-project.org>
	* src/GrampsDb/_GrampsDbBase.py (has_object_handle): Typo.

2006-10-09  Don Allingham  <don@gramps-project.org>
	* src/GrampsDb/_ReadGedcom.py: fix object importation

2006-10-09  Alex Roitman  <shura@gramps-project.org>
	* src/ReportBase/_BareReportDialog.py (setup_title): Set name to
	empty string if no person is available.
	* src/ReportBase/_ReportDialog.py (get_header): Make meaningful
	title for the header when name is empty.
	* src/FilterEditor/_FilterEditor.py (close): Allow more arguments.

2006-10-09  Don Allingham  <don@gramps-project.org>
	* src/Selectors/_SelectPerson.py: enable toggle button to display all
	* src/glade/gramps.glade: add toggle button
	* src/Editors/_EditPerson.py: add person's name to title
	* src/RelLib/_Name.py: add empty check

2006-10-08  Brian Matherly  <brian@gramps-project.org>
	* src/plugins/DetAncestralReport.py: fix DAR-Endnotes indent
	* src/plugins/DetDescendantReport.py: fix DDR-Endnotes indent

2006-10-08  Don Allingham  <don@gramps-project.org>
	* src/GrampsDb/_GrampsDbBase.py: error message on disk space full
	* src/Bookmarks.py: removed deleted items
	* src/Editors/_EditReference.py: call cancel_and_close on window
	cancel
	* src/DisplayTabs/_SourceRefModel.py: remove debug 
	* src/DisplayTabs/_EmbeddedList.py: remove debug 

2006-10-08  Alex Roitman  <shura@gramps-project.org>
	* src/Editors/_EditPlace.py (_create_tabbed_pages): Fix sources.
	* src/Editors/_EditPersonRef.py (_create_tabbed_pages): Fix sources.
	* src/Editors/_EditPerson.py (_create_tabbed_pages): Fix sources.
	* src/Editors/_EditName.py (_create_tabbed_pages): Fix sources.
	* src/Editors/_EditMediaRef.py (_create_tabbed_pages): Fix sources.
	* src/Editors/_EditMedia.py (_create_tabbed_pages): Fix sources.
	* src/Editors/_EditFamily.py (_create_tabbed_pages): Fix sources.
	* src/Editors/_EditLdsOrd.py (_create_tabbed_pages): Fix sources.
	* src/Editors/_EditEventRef.py (_create_tabbed_pages): Fix sources.
	* src/Editors/_EditEvent.py (_create_tabbed_pages): Fix sources.
	* src/Editors/_EditChildRef.py (_create_tabbed_pages): Fix sources.
	* src/Editors/_EditAttribute.py (_create_tabbed_pages): Fix sources.
	* src/Editors/_EditAddress.py (_create_tabbed_pages): Fix sources.
	* src/RelLib/_Location.py (set_county, get_county): Move into
	LocationBase class.
	* src/RelLib/_LocationBase.py (set_county, get_county): Move from
	Location class.

2006-10-07  Alex Roitman  <shura@gramps-project.org>
	* src/Editors/_EditSourceRef.py (_cleanup_on_exit): Factor out
	cleanup into its own method (as in the parent class).
	* src/DisplayTabs/_TextTab.py (cancel): Only reset text, not the
	whole source reference.
	* src/plugins/BookReport.py (BookList.parse): Catch ValueError
	exception (coming from urllib2).
	* src/LdsUtils.py (temples): Correct code for San Antonio.
	* src/GrampsDb/_WriteGedcom.py
	(GedcomWriterOptionBox.get_option_box): Add custom filters to the
	filter list.
	* data/grampsxml.dtd: Update DTD for XML 1.1.3.
	* data/grampsxml.rng: Update schema for XML 1.1.3.
	* src/GrampsDb/_ReadXML.py (stop_county): Read county.
	* src/GrampsDb/_WriteXML.py (write_address_list): Write county.

2006-10-06  Martin Hawlisch  <Martin.Hawlisch@gmx.de>
	* src/PluginUtils/_Plugins.py: ignore pressing apply without
	a plugin being selected
	* src/plugins/SoundGen.py: Dont fail with empty database

2006-10-06  Alex Roitman  <shura@gramps-project.org>
	* src/GrampsDb/_WriteXML.py (write_data_map): Escape special chars
	in key/value pairs;
	(dump_location): Remove debug output.
	* src/GrampsDb/_GrampsBSDDB.py (load): Do not create logs when TXN
	is disabled;
	(gramps_upgrade_9): Include upgrade_11 steps into upgrade_9.
	* src/GrampsDb/_GrampsBSDDB.py: More upgrade fixes.

2006-10-05  Alex Roitman  <shura@gramps-project.org>
	* src/DataViews/_PersonView.py (set_inactive): Check active status.
	* src/GrampsDb/_GrampsBSDDB.py (gramps_upgrade_11): Upgrade
	addresses in repositories.
	* src/Config/_GrampsConfigKeys.py: Regenerate file (proper type
	for transactions key).

2006-10-04  Don Allingham  <don@gramps-project.org>
	* src/DisplayTabs/_EventEmbedList.py: catch attempt to multiply
	edit an event through events and event references

2006-10-03  Don Allingham  <don@gramps-project.org>
	* src/Editors/_EditFamily.py: don't try to change families if the
	parents don't exist

2006-10-03  Jerome Rapinat  <romjerome@yahoo.fr>
	* src/plugins/ChangeNames.py: fix path name

2006-10-03  Don Allingham  <don@gramps-project.org>
	* src/plugins/PatchNames.py: clean up
	* src/GrampsLogger/_ErrorReportAssistant.py: capitalize "GRAMPS"
	* src/ViewManager.py: display buttons on first open
	* src/Editors/_EditSourceRef.py: fix cancelling of text (bug #450)
	* src/DisplayTabs/_NoteTab.py: fix cancelling of text
	* src/DisplayTabs/_TextTab.py: fix cancelling of text 

2006-10-02  Don Allingham  <don@gramps-project.org>
	* src/GrampsDb/_ReadXML.py: save description properly on read
	* src/RelLib/_Location.py: call parent class properly
	* src/Selectors/_SelectPlace.py: use proper column for place handle
	* src/DisplayModels/_PlaceModel.py: specify place handle

2006-10-01  Don Allingham  <don@gramps-project.org>
	* src/Utils.py: catch divide by zero case
	* src/ViewManager.py: change change to same page (#410)

2006-09-29  Don Allingham  <don@gramps-project.org>
	* src/FilterEditor/_EditRule.py: limit source name in menu display
	to 40 characters (#451)
	* src/GrampsDb/_ReadGedcom.py: Handle the Place/Address combination
	for events

2006-09-28  Don Allingham  <don@gramps-project.org>
	* src/DataViews/_PlaceView.py: add street column (bug #459)
	* src/DisplayModels/_PlaceModel.py: add street column
	* src/GrampsDb/_GrampsDbBase.py: add street column

2006-09-27  Brian Matherly  <brian@gramps-project.org>
	* src/ReportBase/_StyleEditor.py: Make style editor not modal
	* src/glade/gramps.glade: Make style editor not modal

2006-09-26  Brian Matherly  <brian@gramps-project.org>
	* src/GrampsLogger/_ErrorReportAssistant.py: Fix typo.

2006-09-25  Don Allingham  <don@gramps-project.org>
	* src/ViewManager.py: fix message
	* src/Config/_GrampsConfigKeys.py: set default value
	* src/QuestionDialog.py: set value from config
	* data/gramps.schemas.in: fix default value
	* src/GrampsDb/_GrampsDBCallback.py: catch db transaction problem
	* src/GrampsCfg.py: reset PORT_WARN when TRANSACTION re-enabled
	* src/QuestionDialog.py: sync changes to config value
	* src/GrampsLogger/_ErrorReportAssistant.py: fix typo
	
2006-09-24  Don Allingham  <don@gramps-project.org>
	* src/ViewManager.py: fix call to warning dialog
	* src/QuestionDialog.py: Don't do internal check on value

2006-09-24  Brian Matherly  <brian@gramps-project.org>
	* src/plugins/AncestorReport.py: Fix generation numbers.
	* src/GrampsLogger/_ErrorReportAssistant.py: Fix email client
	launch (#455)

2006-09-23  Don Allingham  <don@gramps-project.org>
	* src/images/sources.svg: new icon
	* src/images/reports.svg: new icon
	* src/images/tools.svg: new icon
	* src/images/events.svg: new icon
	* src/images/place.svg: new icon
	* src/images/tools.svg: new icon
	* src/ViewManager.py: use new icons
	* src/gramps_main.py: register new icons

2006-09-22  Don Allingham  <don@gramps-project.org>
	* src/GrampsDb/_GrampsGEDDB.py: support for disabling transactions
	* src/GrampsDb/_GrampsXMLDB.py: support for disabling transactions
	* src/GrampsDb/_GrampsBSDDB.py: support for disabling transactions
	* src/GrampsDb/_GrampsDbBase.py: support for disabling transactions
	* src/GrampsDb/_ReadGedcom.py: check for IO Eror
	* src/ViewManager.py: display message if a portability problem is 
	detected
	* src/QuestionDialog.py: Add Warning dialog that can be disabled
	* src/DbLoader.py: Detect missing database problem
	* src/ArgHandler.py: support for disabling transactions
	* src/GrampsCfg.py: new config keys for transactions
	* src/Config/_GrampsConfigKeys.py: new config keys for transactions

2006-09-17  Don Allingham  <don@gramps-project.org>
	* src/ViewManager.py: handle missing database on autoload (#447)
	* src/ArgHandler.py: handle missing database on autoload (#447)
	* src/DbLoader.py: handle missing database on autoload (#447)
	* src/Makefile.am: remove uninstalled packages from makefile
	* src/GrampsDb/_ReadXML.py: place vs. address changes
	* src/GrampsDb/_WriteXML.py: place vs. address changes
	* src/GrampsDb/_EditPlace.py: place vs. address changes
	* src/Editors/_EditPlace.py: place vs. address changes
	* src/Editors/_EditLocation.py: place vs. address changes
	* src/RelLib/_Address.py: place vs. address changes
	* src/RelLib/_LocationBase.py: place vs. address changes
	* src/RelLib/_Location.py: place vs. address changes
	* src/DisplayTabs/_LocationModel.py: place vs. address changes
	* src/DisplayTabs/_LocationEmbedList.py: place vs. address changes
	* src/glade/gramps.glade: place vs. address changes

2006-09-16  Brian Matherly  <brian@gramps-project.org>
	* src/plugins/Checkpoint.py: typo

2006-09-12  Brian Matherly  <brian@gramps-project.org>
	* src/docgen/RTFDoc.py: fix page breaks (#0000441)

2006-09-12  Don Allingham  <don@gramps-project.org>
	* src/DataViews/_RelationView.py: provide a waring if a broken
	family is detected
	* src/plugins/Check.py: Don't remove families with no parents 
	unless no children exist

2006-09-12  Alex Roitman  <shura@gramps-project.org>
	* src/plugins/TestcaseGenerator.py (fill_object): Use integer
	confidence level; (generate_date_tests): Remove invalid dates.
	* src/DateHandler/_Date_fr.py (DateParserFR.init_strings): Typo.
	* src/const.py.in (app_gramps): Revert to using a string.

2006-09-11  Don Allingham  <don@gramps-project.org>
	* src/GrampsDb/_ReadXML.py: use os.path.isabs
	* src/GrampsDb/_ReadXML.py: don't assume that os.path.sep is the
	first element of an absolute path. Many not be true on some legacy
	operating systems.

2006-09-10  Don Allingham  <don@gramps-project.org>
	* src/ViewManager.py: path seperator fixes
	* src/GrampsDb/_ReadGedcom.py: path seperator fixes
	* src/GrampsDb/_ReadXML.py: path seperator fixes
	* src/DisplayTabls/_PersonEmbedList.py: enable dnd with people for
	associations

2006-09-09  Don Allingham  <don@gramps-project.org>
	* src/DisplayTabs/_EventEmbedList.py: bring up the event reference
	editor on drag-n-drop onto the event reference list
	* src/GrampsDb/_ReadXML.py: remove commented out code
	* src/Editors/_EditEvent.py: handle overwriting of date text
	* src/RelLib/_DateBase.py: allow optional dropping of date text on
	serialization
	* src/RelLib/_Date.py: allow optional dropping of date text on
	serialization
	* src/RelLib/_Event.py: allow optional dropping of date text on
	serialization

2006-09-05  Alex Roitman  <shura@gramps-project.org>
	* src/plugins/Verify.py: Import Errors.

2006-09-04  Don Allingham  <don@gramps-project.org>
	* src/GrampsDb/_ReadGedcom.py: don't delete tabs
	* src/DisplayTabs/_NoteTab.py: allow tabs to be entered

2006-09-03  Don Allingham  <don@gramps-project.org>
	* src/ScratchPad.py: add dnd support for MediaRefs (bug #417)
	* src/DdTargets.py: add dnd support for MediaRefs (bug #417)

2006-09-02  Don Allingham  <don@gramps-project.org>
	* src/DisplayTabs/_EventEmbedList.py: Don't override event type on
	a drag-n-drop (bug #420)
	* po/POTFILES.in: remove non-shipping modules

2006-09-01  Brian Matherly  <brian@gramps-project.org>
	* src/plugins/Calendar.py: fix filter typo
	* src/plugins/WritePkg.py: don't set uid on Windows

2006-09-01  Alex Roitman  <shura@gramps-project.org>
	* src/GrampsDb/_DbUtils.py: Use normal addition: this updates
	reference_map properly.
	* src/plugins/StatisticsChart.py: Remove cause.
	* src/GrampsDb/_WriteXML.py (write_object): Escape path of the files;
	(fix): remove control characters.

2006-08-29  Alex Roitman  <shura@gramps-project.org>
	* src/GrampsDb/_GrampsDbBase.py (remove_person,_do_remove_object):
	Properly delete objects;
	(get_del_func): Add method to find deleting function for an object.
	* src/plugins/Check.py (cleanup_empty_families): Report gramps id.
	* src/RelLib/_SourceRef.py (SourceRef.__init__): Pass source.
	* src/RelLib/_ChildRef.py (ChildRef.__init__): Pass source.
	* src/RelLib/_EventRef.py (EventRef.__init__): Pass source.
	* src/RelLib/_PersonRef.py (PersonRef.__init__): Pass source.
	* src/RelLib/_RepoRef.py (RepoRef.__init__): Pass source.
	* src/glade/gramps.glade: Add privacy controls to all editors.
	* src/Editors/_EditSource.py: Add privacy control.
	* src/Editors/_EditSourceRef.py: Add privacy control.
	* src/Editors/_EditPlace.py: Add privacy control.
	* src/Editors/_EditMedia.py: Add privacy control.
	* src/Editors/_EditMediaRef.py: Add privacy control.
	* src/Editors/_EditRepository.py: Add privacy control.
	* src/Editors/_EditRepoRef.py: Add privacy control.

2006-08-29  Alex Roitman  <shura@phy.ucsf.edu>
	* NEWS: Update.

2006-08-29  Zdenek Hatas  <zdenek.hatas@gmail.com>
	* src/plugins/rel_cs.py: Add relationship calculator.
	* src/plugins/Makefile.am (pkgdata_PYTHON): Ship new file.

2006-08-28  Don Allingham  <don@gramps-project.org>
	* src/RelLib/_Name.py: pyflakes fixes
	* src/Editors/_EditName.py: pyflakes fixes
	* src/DisplayTabs/_BackRefModel.py: pyflakes fixes
	* src/DisplayTabs/_GalleryTab.py: pyflakes fixes

2006-08-28  Alex Roitman  <shura@gramps-project.org>
	* src/RelLib/_Address.py (get_text_data_list): Typo.
	* src/Filters/Rules/Person/_HasTextMatchingSubstringOf.py (apply):
	Stop adding birth and death events.
	* configure.in: Increment version number.
	* RELEASE: version 2.1.95 is released.

2006-08-27  Don Allingham  <don@gramps-project.org>
	* src/GrampsDb/_ReadGedcom.py: fix parsing index to correctly
	identify levels for a RESI tag

2006-08-27  Alex Roitman  <shura@gramps-project.org>
	* src/GrampsDb/_WriteGedcom.py (GedcomWriter.gui_setup): Add a
	dialog about the researcher information.
	* src/gramps.py (run): Remove startup dialog.
	* src/plugins/RelCalc.py: Use name display preferences throughout;
	collapse unique entries in the common ancestors list.
	* src/plugins/TestcaseGenerator.py: Bring somewhat up to date.
	* NEWS: New release name.

2006-08-26  Alex Roitman  <shura@gramps-project.org>
	* src/GrampsLogger/_ErrorReportAssistant.py (__init__): Properly
	call Assistant.
	* src/plugins/GraphViz.py (get_event_string): Stop using cause.
	* src/Filters/Rules/Person/__init__.py (register): Add dictionary
	for private rules.
	* src/Filters/_FilterParser.py (startElement): Support parsing for
	private rules.

2006-08-26  Don Allingham  <don@gramps-project.org>
	* src/GrampsDb/_GrampsDbBase.py (GrampsDbBase.get_name_group_mapping): convert
	group as name used as a key back to unicode (bug #389)
	* src/Editors/_EditMedia.py (EditMedia.save): don't set path on
	a save
	* src/Config/_GrampsConfigKeys.py: set toolbar-on to 1 if the gconf
	schemas were not installed properly

2006-08-25  Brian Matherly  <brian@gramps-project.org>
	* src/const.py.in: Disable thumbnailer for Windows.

2006-08-25  Don Allingham  <don@gramps-project.org>
	* src/Editors/_EditPerson.py: add name callback to update screen
	after a primary name change
	* src/DisplayTabs/_NameEmbedList.py: add primary name change menu item
	* src/GrampsWidgets.py: add reinitalization method to handle change of
	associated data item
	* src/DisplayModels/_MediaModel.py (MediaModel.sort_date): add
	sorting by date value instead of by text string

2006-08-25  Alex Roitman  <shura@gramps-project.org>
	* src/ViewManager.py (preferences_activate): Use uistate to emit.
	* src/DisplayState.py (DisplayState.__signals__): Add new signal.
	* src/GrampsCfg.py (cb_name_changed): Use uistate to emit signal.
	* src/plugins/ChangeTypes.py: Clean up type name conversions; work
	over all the events, regardless of who references them.
	* src/RelLib/_GrampsType.py (get_standard_names, get_standard_xml): 
	Add methods to obtain standard type lists.

2006-08-25  Zsolt Foldvari  <zsolt.foldvari@nokia.com>
	* src/GrampsCfg.py: Implement callback mechanism for dynamic name format
	change.
	* src/ViewManager.py (__init__, preferences_activate, change_page):
	Rebuild the active page after name fomat changed by connecting to
	GrampsPreferences' signal

2006-08-24  Alex Roitman  <shura@gramps-project.org>
	* src/GrampsDb/_GrampsInMemDB.py (undo_data): Add method to take
	care of secondary indices on undo/redo;
	(_commit_inmem_base): Replace _clean_up and add more routine tasks.

2006-08-24  Brian Matherly  <brian@gramps-project.org>
	* src/Config/_GrampsIniKeys.py: Handle invalid default key
	* src/plugins/NarrativeWeb.py: Fix typos

2006-08-24  Don Allingham  <don@gramps-project.org>
	* src/GrampsDb/_GrampsInMemDB.py: update maps properly on commit

2006-08-24  Alex Roitman  <shura@gramps-project.org>
	* src/plugins/EventCmp.py: Remove sorting columns for saving.
	* src/plugins/PHPGedViewConnector.py: Disable registration, until
	this plugin is fixed.
	* src/glade/gramps.glade (family_editor): Remove Y expansion
	property on mother-related buttons.
	* src/DataViews/_FamilyList.py: Add column editor.
	* src/plugins/ChangeTypes.py (run_tool): Properly set the new type.
	(on_apply_clicked): Properly save entered types, including custom.

2006-08-23  Alex Roitman  <shura@gramps-project.org>
	* src/DataViews/_PersonView.py (person_removed): Properly create
	and pass the filter when searchbar is enabled (not sidebar).
	* src/FilterEditor/_FilterEditor.py (clone_filter): Add method;
	Support clone-and-edit functionality.
	* src/glade/rule.glade (filter_list): Add clone button.
	* src/plugins/ChangeTypes.py (run_tool): Compare English strings.
	* src/Editors/_EditPerson.py (_image_callback): Take three
	arguments; correctly call load_photo(); rebuild gallery.
	(load_photo): Name path variable as such, for clarity.
	* src/DataViews/_PedigreeView.py (PedigreeView.goto_active_person): 
	Update status bar on person change.
	* src/DataViews/_RelationView.py (RelationshipView.change_person):
	Update status bar on person change.
	* src/Merge/_MergePerson.py (MergePeopleUI.__init__): Properly
	close managed window.
	* src/glade/mergedata.glade: Remove unneeded signal connections.

2006-08-22  Alex Roitman  <shura@gramps-project.org>
	* src/plugins/EventCmp.py: Add proper date sorting.

2006-08-22  Don Allingham  <don@gramps-project.org>
	* src/GrampsDb/_ReadGedcom.py: RESN support
	* src/GrampsDb/_WriteGedcom.py: RESN support
	* src/GrampsDb/_GedTokens.py: RESN support
	* src/GrampsDb/_WriteGedcom.py: apply event type string conversion 
	fix to family types

2006-08-22  Brian Matherly  <brian@gramps-project.org>
	* src/plugins/NarrativeWeb.py: show url when no description (#0000319)

2006-08-22  Alex Roitman  <shura@gramps-project.org>
	* src/Filters/Rules/Person/_IsDescendantFamilyOf.py: Rewrite.
	* src/Filters/_FilterParser.py (startElement): Upgrade existing
	custom_filters file from Media to MediaObject.
	* src/Selectors/_SelectEvent.py (get_handle_column): Correct
	handle column number.
	* configure.in: Reflect directory change.
	* src/Filters/Rules/MediaObject/Makefile.am: Reflect directory change.
	* src/Filters/Rules/Makefile.am (SUBDIRS): Reflect directory change.
	* src/Filters/Rules/MediaObject: Added to replace Media.
	* src/Filters/Rules/Media: Removed.
	* src/DataViews/_MediaView.py (filter_editor): Change Media to
	MediaObject.
	* src/Filters/_GenericFilter.py: Change Media to MediaObject.
	* src/DataViews/_PersonView.py (build_widget): Pass uistate
	to filter class.
	* src/PageView.py (ListView.build_filter_container): Pass uistate
	to filter class.
	* src/DisplayState.py (DisplayState.__signals__): Register
	'filters-changed' signal.
	* src/FilterEditor/_ShowResults.py: Change Media to MediaObject.
	* src/FilterEditor/_EditRule.py: Change Media to MediaObject;
	(__init__): Work with empty filter names (new filter).
	* src/FilterEditor/_FilterEditor.py (close): Emit 'filters-changed'.
	* src/Filters/SideBar/*py: Take uistate and connect to the
	'filters-changed' signal.
	* src/glade/gramps.glade: Make MediaRef editor's General label bold.

2006-08-21  Alex Roitman  <shura@gramps-project.org>
	* src/FilterEditor/_FilterEditor.py (close): Override parent's close.
	* src/Filters/_FilterMenu.py (build_filter_menu,
	build_filter_model): Import Custom and System filters when needed.
	* src/plugins/Calendar.py (get_filters): Import Custom
	filters when needed.
	* src/plugins/GraphViz.py (get_report_filters): Import Custom
	filters when needed.
	* src/plugins/IndivComplete.py (get_report_filters): Import Custom
	filters when needed.
	* src/plugins/NarrativeWeb.py (get_report_filters): Import Custom
	filters when needed.
	* src/plugins/StatisticsChart.py (get_report_filters): Import Custom
	filters when needed.
	* src/plugins/TimeLine.py (get_report_filters): Import Custom
	filters when needed.
	* src/plugins/EventCmp.py (__init__): Add custom filters.
	* src/plugins/ChangeTypes.py (on_apply_clicked): Remove extra
	unicode conversion.
	* src/plugins/Checkpoint.py (__init__): Assign dbstate.

2006-08-21  Don Allingham  <don@gramps-project.org>
	* src/DisplayModels/_PeopleModel.py: fix handle column after removal
	of cause of death
	* src/GrampsDb/_WriteGedcom.py: handle custome events for people (bug
	# 368)
	* src/GrampsDb/_ReadGedcom.py: handle inline repositories better

2006-08-20  Alex Roitman  <shura@gramps-project.org>
	* src/DataViews/_PersonView.py (column_names): Remove cause of death.
	* src/DisplayModels/_PeopleModel.py (__init__): Update the order
	of marker and tooltip columns;
	(column_cause_of_death): remove method;
	(COLUMN_DEFS): Remove 'cause of death' column.
	* src/GrampsDb/_GrampsBSDDB.py (gramps_upgrade_10): Reset event
	and person view columns to the default.
	* src/GrampsDb/_GrampsDbBase.py (get_event_column_order): Remove
	cause column from the default list.
	(get_person_column_order): Remove cause of death column.

	* src/GrampsDb/_ReadGedcom.py (GedcomParser.__init__): Use config
	setting to determine whether to set default source.
	* src/Config/_GrampsConfigKeys.py: Regenerate file.
	* src/GrampsCfg.py (add_behavior_panel): Use new key.
	* data/gramps.schemas.in: Add default-source key.

2006-08-20  Don Allingham  <don@gramps-project.org>
	* src/GrampsDb/_ReadGedcom.py: fix CHAN parsing for family

2006-08-20  Brian Matherly  <brian@gramps-project.org>
	* src/plugins/EventCmp.py: improve Date/Place display (#0000226)

2006-08-20  Alex Roitman  <shura@gramps-project.org>
	* src/DataViews/_EventView.py (column_names): Remove cause column.
	* src/DisplayModels/_EventModel.py: Use constants for column
	numbers; remove cause column.	

2006-08-20  Brian Matherly  <brian@gramps-project.org>
	* src/Config/_GrampsIniKeys.py: Report error on invalid filename
	* src/const.py.in: detect windows home directory before others
	* src/plugins/ChangeTypes.py: alphabetize the event list (#0000365)

2006-08-19  Alex Roitman  <shura@gramps-project.org>
	* src/plugins/MediaManager.py (Convert2Rel._run): Correct logic.

2006-08-18  Alex Roitman  <shura@gramps-project.org>
	* NEWS: Update.
	* src/PluginUtils/_Tool.py (BatchTool.run): Remove redundant method.
	* src/plugins/MediaManager.py: Add list of affected paths to the
	confirmation; add new operation.

2006-08-17  Alex Roitman  <shura@gramps-project.org>
	* src/plugins/MediaManager.py: Change info wording.
	* src/GrampsDb/_GrampsDbBase.py (GrampsDbBase._sortbyname): Remove
	obsolete method.
	* src/NameDisplay.py: Correct constants to accomodate Name change.
	* src/GrampsDb/_GrampsBSDDB.py: Upgrade the names.
	* src/RelLib/_Name.py: Remove sname attribute.

2006-08-17  Don Allingham  <don@gramps-project.org>
	* src/DataViews/_PersonView.py: apply filter to calcuated data before
	deleting a person from the list

2006-08-17  Brian Matherly  <brian@gramps-project.org>
	* src/plugins/NarrativeWeb.py: fix #0000349: NarrativeWebsite sorting

2006-08-17  Don Allingham  <don@gramps-project.org>
	* src/DataViews/_PersonView.py: rebuild after compare and
	merge (bug #350)

2006-08-17  Alex Roitman  <shura@gramps-project.org>
	* src/StartupDialog.py (__init__): Pass its class to Assistant.
	* src/Exporter.py (__init__): Pass its class to Assistant.
	* src/Assistant.py (__init__): Accept parent class (to make
	assistants unique *only* within their type);
	(prepare_text_page): Use markup in the text.
	* NEWS: Update.
	* src/plugins/Makefile.am (pkgdata_PYTHON): Ship new file.
	* src/plugins/MediaManager.py: Add new plugin (still in progress).

2006-08-16  Don Allingham  <don@gramps-project.org>
	* src/DataViews/_PersonView.py: rebuild display after a merge of
	two people (bug #348)

2006-08-16  Alex Roitman  <shura@gramps-project.org>
	* src/plugins/Verify.py (Disconnected): Add verification rule;
	(Verify.run_tool): Use the new rule.
	* src/Filters/Rules/Person/_Disconnected.py (apply): Fix rule.
	* src/Filters/Rules/Person/__init__.py (editor_rule_list): Add
	Disconnected rule to the Custom Filter rules.

2006-08-15  Don Allingham  <don@gramps-project.org>
	* src/GrampsDb/_WriteGedcom.py: support for AGE, CAUSE, and AGENCY
	* src/GrampsDb/_ReadGedcom.py: support for AGE, CAUSE, and AGENCY
	* src/GrampsDb/_GedTokens.py: support for AGE and AGENCY

2006-08-15  Alex Roitman  <shura@gramps-project.org>
	* src/FilterEditor/_EditFilter.py (on_edit_clicked,on_add_clicked):
	Pass filter name to the rule editor.
	* src/FilterEditor/_EditRule.py (EditRule.__init__): Pass filter
	name to MyFilters.
	(MyFilters.__init__): Exclude filter being edited from the
	matching filter.
	* example/gramps/data.gramps: Add Age and Cause  event attributes.
	* example/gramps/example.gramps: Add Age and Cause  event attributes.
	* src/GrampsDb/_ReadXML.py (start_attribute): Support attributes
	in event and eventref;
	(stop_cause): Create attribute on cause tag.
	* src/Editors/_EditEventRef.py (_create_tabbed_pages): Typos.
	* src/Editors/_EditEvent.py (_create_tabbed_pages): Typo.
	* data/grampsxml.rng: Document XML changes (xml 1.1.2).
	* data/grampsxml.dtd: Document XML changes (xml 1.1.2).
	* src/GrampsDb/_WriteXML.py (dump_event_ref): Write attributes;
	(write_event): write attributes, remove cause.
	* src/GrampsDb/_GrampsBSDDB.py: Cleanup on upgrades.

2006-08-14  Alex Roitman  <shura@gramps-project.org>
	* src/GrampsDb/_GrampsBSDDB.py (gramps_upgrade_10): Add an upgrade
	path from 2.1.91.
	* src/RelLib/_AttributeType.py: Add new attribute types for events
	and event references.
	* src/RelLib/_EventRef.py: Add attribute list.
	* src/RelLib/_Event.py: Add attribute list.

2006-08-14  Brian Matherly  <brian@gramps-project.org>
	* src/gramps.py: mask strange Windows logging error on close

2006-08-14  Alex Roitman  <shura@gramps-project.org>
	* src/docgen/PdfDoc.py: Work for both utf8 and latin-1 capable
	reportlab versions.
	* src/Filters/Rules/Family/_ChildHasNameOf.py (description): Typo.
	* src/Filters/Rules/Family/_ChildHasIdOf.py (description): Typo.
	* src/Filters/Rules/Family/_FatherHasNameOf.py (description): Typo.
	* src/Filters/Rules/Family/_FatherHasIdOf.py (description): Typo.
	* src/Filters/Rules/Family/_MotherHasNameOf.py (description): Typo.
	* src/Filters/Rules/Family/_MotherHasIdOf.py (description): Typo.
	* src/Makefile.am (docs): Use new project website in API docs.

2006-08-14  Don Allingham  <don@gramps-project.org>
	* src/DispalyTabs/_NoteTab.py: don't add text window using viewport (#344)
	* src/DispalyTabs/_TextTab.py: don't add text window using viewport (#344)

2006-08-13  Brian Matherly  <brian@gramps-project.org>
	* src/ManagedWindow.py: add present() to force parent focus (#0000342)

2006-08-13  Don Allingham  <don@gramps-project.org>
	* src/Editors/_EditEventRef.py: add attribute list, remove cause
	* src/Editors/_EditEvent.py: add attribute list, remove cause
	* src/glade/gramps.glade: event fixes

2006-08-13  Alex Roitman  <shura@gramps-project.org>
	* NEWS: Update.
	* configure.in: Increment the version.
	* Release: the 2.1.91 has been released.

2006-08-13  Don Allingham  <don@gramps-project.org>
	* src/DataViews/_MediaView.py: fix drag-n-drop
	* src/DisplayTabs/_GalleryTab.py: handle media obj and media ref 
	for drag-n-drop
	* src/DdTargets.py: add media ref type

2006-08-12  Brian Matherly  <brian@gramps-project.org>
	* src/plugins/FamilyGroup.py: use family_id instead of spouse_id
	* src/gramps.py: catch logging error and ignore.

2006-08-12  Don Allingham  <don@gramps-project.org>
	* src/ReportBase/_FileEntry.py (FileEntry.select_file): force
	a present() to force dialog
	* src/Merge/_MergePerson.py: properly merge notes

2006-08-12  Alex Roitman  <shura@gramps-project.org>
	* src/GrampsDb/_GrampsBSDDB.py: Fix new db creation; make metadata
	work with UseTXN set either way.
	(close): Close metadata after the checkpoint.
	* src/ViewManager.py (_connect_signals): Connect to the proper
	event to cleanly quit on window manager's close action.
	(quit): Allow variable number of args (to work with signals).
	(vb_clicked): Add method to restore pressed view if same button is
	repeteadely clicked.
	* src/DataViews/_MediaView.py (drag_data_received): Stop emission.

2006-08-12  Don Allingham  <don@gramps-project.org>
	* src/ScratchPad.py: fix removal of invalid objects (bug #291)
	* src/PageView.py: fix search argument when filter applied (but #317)

2006-08-11  Brian Matherly  <brian@gramps-project.org>
	* src/plugins/DetDescendantReport.py: fix spouse name printing
	* src/plugins/DetAncestralReport.py: fix spouse name printing

2006-08-11  Don Allingham  <don@gramps-project.org>
	* src/DisplayModels/_PeopleModel.py: fix sorting of names

2006-08-11  Alex Roitman  <shura@gramps-project.org>
	* src/GrampsDb/_GrampsBSDDB.py: Use txn-capable metadata.
	* src/Editors/_EditFamily.py: Use cPickle.
	* NEWS: Update.

2006-08-10  Don Allingham  <don@gramps-project.org>
	* src/DisplayTabs/_EmbeddedList.py: use cPickle instead of pickle
	* src/DisplayTabs/_GalleryTab.py: add dnd functionality
	* src/DdTargets.py: add URI_LIST and APP_ROOT
	* src/DataViews/_MediaView.py: slightly improve dnd
	* src/DisplayModels/_BaseModel.py: handle sort column map
	* src/DisplayModels/_MediaModel.py: handle sort column map
	* src/DisplayModels/_RepositoryModel.py: handle sort column map
	* src/DisplayModels/_SourceModel.py: handle sort column map
	* src/DisplayModels/_EventModel.py: handle sort column map
	* src/DisplayModels/_FamilyModel.py: handle sort column map
	* src/DisplayModels/_PlaceModel.py: handle sort column map
	* src/PageView.py: handle sort column map
	
2006-08-10  Alex Roitman  <shura@gramps-project.org>
	* src/Filters/SideBar/_PersonSidebarFilter.py (get_filter): Typo.

2006-08-09  Alex Roitman  <shura@gramps-project.org>
	* src/Filters/Rules/_HasNoteSubstrBase.py (apply): Enforce unicode.
	* src/Filters/Rules/_HasNoteRegexBase.py (apply): Enforce unicode.
	* src/DataViews/_PlaceView.py: Add filter sidebar.
	* src/FilterEditor/_ShowResults.py: Support media filters.
	* src/FilterEditor/_EditRule.py: Support media filters.
	* src/FilterEditor/_FilterEditor.py: Support media filters.
	* src/Filters/_GenericFilter.py: Support media filters.
	* src/Filters/SideBar/Makefile.am (pkgdata_PYTHON): Ship new file.
	* src/Filters/SideBar/__init__.py: Expose new module.
	* src/Filters/SideBar/_MediaSidebarFilter.py: Add module.
	* src/Filters/Rules/Media/Makefile.am (pkgdata_PYTHON): Ship new files.
	* src/Filters/Rules/Media/_HasIdOf.py: Add module.
	* src/Filters/Rules/Media/_HasNoteMatchingSubstringOf.py: Add module.
	* src/Filters/Rules/Media/_HasNoteRegexp.py: Add module.
	* src/Filters/Rules/Media/_MatchesFilter.py: Add module.
	* src/Filters/Rules/Media/_RegExpIdOf.py: Add module.
	* src/Filters/Rules/Media/_MediaPrivate.py: Add module.
	* src/Filters/Rules/Media/__init__.py: Expose new modules.
	* src/Filters/Rules/Media/_AllMedia.py: Add module.
	* src/Filters/Rules/Media/_HasMedia.py: Add module.

	* src/Filters/SideBar/Makefile.am (pkgdatadir): Typo.

2006-08-08  Brian Matherly  <brian@gramps-project.org>
	* src/Config/_GrampsIniKeys.py: Allow multiple functions to use notify_add

2006-08-07  Alex Roitman  <shura@gramps-project.org>
	* src/DataViews/_RepositoryView.py: Add filter sidebar.
	* src/FilterEditor/_ShowResults.py: Support repo filters.
	* src/FilterEditor/_EditRule.py: Support repo filters.
	* src/FilterEditor/_FilterEditor.py: Support repo filters.
	* src/Filters/_GenericFilter.py: Support repo filters.
	* src/Filters/SideBar/Makefile.am (pkgdata_PYTHON): Ship new file.
	* src/Filters/SideBar/__init__.py: Expose new module.
	* src/Filters/SideBar/_RepoSidebarFilter.py: Add module.
	* src/Filters/Rules/Repository/Makefile.am (pkgdata_PYTHON): Ship
	new files.
	* src/Filters/Rules/Repository/__init__.py: Expose new modules.
	* src/Filters/Rules/Repository/_HasRepo.py: Add module.
	* src/Filters/Rules/Repository/_RepoPrivate.py: Add module.
	* src/Filters/Rules/Repository/_RegExpIdOf.py: Add module.
	* src/Filters/Rules/Repository/_MatchesFilter.py: Add module.
	* src/Filters/Rules/Repository/_HasNoteRegexp.py: Add module.
	* src/Filters/Rules/Repository/_HasNoteMatchingSubstringOf.py: Add
	module.
	* src/Filters/Rules/Repository/_HasIdOf.py: Add module.
	* src/Filters/Rules/Repository/_AllRepos.py: Add module.

2006-08-06  Brian Matherly  <brian@gramps-project.org>
	* src/plugins/DetAncestralReport.py: print children when no mother exists

2006-08-06  Alex Roitman  <shura@gramps-project.org>
	* src/DataViews/_PlaceView.py: Add sidebar filter.
	* src/FilterEditor/_EditRule.py: Support place filters.
	* src/FilterEditor/_FilterEditor.py: Support place filters.
	* src/FilterEditor/_ShowResults.py: Support place filters.
	* src/Filters/_GenericFilter.py: Support place filters.
	* src/Filters/SideBar/__init__.py: Expose new module.
	* src/Filters/SideBar/Makefile.am (pkgdata_PYTHON): Ship new file.
	* src/Filters/SideBar/_PlaceSidebarFilter.py: Add module.
	* src/Filters/Rules/Place/Makefile.am (pkgdata_PYTHON): Ship new files.
	* src/Filters/Rules/Place/_AllPlaces.py: Add module.
	* src/Filters/Rules/Place/_HasIdOf.py: Add module.
	* src/Filters/Rules/Place/_HasNoteMatchingSubstringOf.py: Add module.
	* src/Filters/Rules/Place/_HasNoteRegexp.py: Add module.
	* src/Filters/Rules/Place/_MatchesFilter.py: Add module.
	* src/Filters/Rules/Place/_RegExpIdOf.py: Add module.
	* src/Filters/Rules/Place/_PlacePrivate.py: Add module.
	* src/Filters/Rules/Place/_HasPlace.py: Add module.
	* src/Filters/Rules/Place/__init__.py (editor_rule_list): Expose
	new module.
	
	* src/GrampsDb/_GrampsBSDDB.py (GrampsBSDDB.close): Try to reset
	the log sequence numbers to make grdb file portable.
	* data/gramps.schemas.in: Typo.

2006-08-05  Alex Roitman  <shura@gramps-project.org>
	* src/Filters/_GenericFilter.py: Support Source filters.
	* src/Filters/SideBar/Makefile.am (pkgdata_PYTHON): Ship new file.
	* src/Filters/Rules/Source/Makefile.am: Ship new files.
	* src/FilterEditor/_EditRule.py: Support Source filters.
	* src/FilterEditor/_FilterEditor.py: Support Source filters.
	* src/FilterEditor/_ShowResults.py: Support Source filters.
	* src/Filters/Rules/Source/__init__.py: Expose new modules.
	* src/Filters/SideBar/_SourceSidebarFilter.py: Add module.
	* src/Filters/SideBar/__init__.py: Expose new module.
	* src/Filters/Rules/_Rule.py (Rule.match_substring): Add
	convenience method for simple substring search.
	* src/Filters/Rules/Source/_RegExpIdOf.py: Add module.
	* src/Filters/Rules/Source/_MatchesFilter.py: Add module.
	* src/Filters/Rules/Source/_HasNoteRegexp.py: Add module.
	* src/Filters/Rules/Source/_HasNoteMatchingSubstringOf.py: Add module.
	* src/Filters/Rules/Source/_HasIdOf.py: Add module.
	* src/Filters/Rules/Source/_SourcePrivate.py: Add module.
	* src/Filters/Rules/Source/_AllSources.py: Add module.
	* src/Filters/Rules/Family/Makefile.am (pkgdata_PYTHON): Ship new file.
	* src/Filters/Rules/Family/_MemberBase.py: Add new module.
	* src/Filters/SideBar/_PersonSidebarFilter.py: Minor changes.
	* src/Filters/SideBar/_FamilySidebarFilter.py: Add father, mother,
	and child search options.
	* src/Filters/Rules/Family/__init__.py: Expose new modules.
	* src/Filters/Rules/Family/_Search*Name.py: add new modules.
	* src/Filters/Rules/Family/Makefile.am (pkgdata_PYTHON): Ship new files
	* src/Filters/Rules/Family/_MotherHasNameOf.py (apply): Handle
	missing parents.
	* src/Filters/Rules/Family/_MotherHasIdOf.py (apply): Handle
	missing parents.
	* src/Filters/Rules/Family/_FatherHasNameOf.py (apply): Handle
	missing parents.
	* src/Filters/Rules/Family/_FatherHasIdOf.py (apply): Handle
	missing parents.

2006-08-04  Alex Roitman  <shura@gramps-project.org>
	* src/Filters/SideBar: Add new module.
	* src/Filters/Rules/Event/Makefile.am (pkgdata_PYTHON): Ship new files.
	* src/Filters/Makefile.am (pkgdata_PYTHON): Ship new file.
	* src/DataViews/_EventView.py: Add sidebar filter.
	* src/FilterEditor/_FilterEditor.py: Support event filters.
	* src/Filters/__init__.py: expose new module.
	* src/Filters/_PersonSidebarFilter.py: Fix type handling.
	* src/Filters/_FamilySidebarFilter.py: Fix type handling.
	* src/Filters/_GenericFilter.py: Support event filters.
	* src/Filters/_EventSidebarFilter.py: add new module.
	* src/Filters/Rules/Events/*.py: add new rules.
	* src/Filters/Rules/Family/_HasRelType.py (apply): Use new API.
	* src/FilterEditor/_EditFilter.py: Support invert attribute.
	* src/Filters/_GenericFilter.py: Support invert attribute.
	* src/Filters/_FilterList.py (save): Save invert attribute.
	* src/Filters/_FilterParser.py (startElement): Parse invert attribute.
	* src/Filters/Rules/Family/__init__.py (editor_rule_list): Import
	and use new rule.
	* src/Filters/Rules/Family/Makefile.am (pkgdata_PYTHON): Ship new file.
	* src/Filters/Rules/Family/_HasAttribute.py: Add new rule.
	* src/Filters/Rules/Makefile.am (pkgdata_PYTHON): Ship new file.
	* src/Filters/Rules/_HasAttributeBase.py: Add base module.
	* src/Filters/Rules/_HasEventBase.py (apply): Use new API.
	* src/Filters/Rules/Person/_HasFamilyEvent.py (apply): Use new API.
	* src/Filters/Rules/Person/_PersonWithIncompleteEvent.py
	(apply): Do not double-handle birth and death events.
	* src/Filters/Rules/Person/_IsWitness.py: Rewrite with new API.
	* src/FilterEditor/_FilterEditor.py (__init__): Remove unneeded
	argument, namespace is enough to get the filter class via factory;
	(add_new_filter): Use factory; (get_all_handles): Get handles for
	any object type.
	* src/FilterEditor/_ShowResults.py (get_name_id): Add method to
	return name and id for different object types;
	(sort_val_from_handle): Support different object types.
	(__init__): Accept namespace as an argument.
	* src/Filters/__init__.py: Do not expose GenericFamilyFilter;
	expose GenericFilterFactory instead.
	* src/Filters/_FamilySidebarFilter.py (GenericFamilyFilter): Use
	factory.
	* src/FilterEditor/_EditRule.py (MyID.name_from_gramps_id): Remove
	debugging output;
	(_name2typeclass): Add name->type mapping.

	* src/DataViews/_MediaView.py (row_change): Work around older pygtk.
	* src/Filters/Rules/Family/Makefile.am (pkgdata_PYTHON): Ship new
	files. 
	* src/Filters/Rules/Makefile.am (pkgdata_PYTHON): Ship new file.

2006-08-04  Zsolt Foldvari  <zfoldvar@users.sourceforge.net>
	* src/DataViews/_PersonView.py (__init__): connection to "active-
	person-changed" signal moved to set_active()
	(set_active, set_inactive): Reconnect to/disconnect from dbstate's
	"active-person-changed" signal.
	* src/DataViews/_RelationView.py (__init__): connection to "active-
	person-changed" signal moved to set_active()
	(set_active, set_inactive): Reconnect to/disconnect from dbstate's
	"active-person-changed" signal.

2006-08-03  Alex Roitman  <shura@gramps-project.org>
	* src/Filters/_GenericFilter.py (GenericFilterFactory): Add
	factory function.
	* src/Filters/_FilterParser.py (FilterParser.startElement): Use
	factory function.
	* src/Filters/Rules/_MatchesFilterBase.py: Add base module.
	* src/Filters/Rules/Person/_MatchesFilter.py: Derive from base.
	* src/Filters/Rules/Family/_MatchesFilter.py: Add rule.
	* src/Filters/Rules/Family/_MotherHasIdOf.py: Add rule.
	* src/Filters/Rules/Family/_FatherHasIdOf.py: Add rule.
	* src/Filters/Rules/Family/_MotherHasNameOf.py: Add rule.
	* src/Filters/Rules/Family/_ChildHasIdOf.py: Add rule.
	* src/Filters/Rules/Family/_FatherHasNameOf.py: Add rule.
	* src/Filters/Rules/Family/_ChildHasNameOf.py: Add rule.
	* src/Filters/Rules/Family/__init__.py: Expose new rules.
	
	* src/GrampsLogger/_ErrorReportAssistant.py (build_page5): Typo.
	* src/Filters/Rules/Person/_HasIdOf.py: Cleanup.
	* src/Filters/Rules/Person/__init__.py (editor_rule_list): Add
	RegExpIdOf.
	* src/Filters/Rules/Person/_RegExpIdOf.py: Cleanup.
	* src/Filters/Rules/_RegExpIdBase.py: Cleanup.
	* src/Filters/Rules/Person/_HasRelationship.py: Cleanup.
	* src/Filters/Rules/Family/_HasIdOf.py: Cleanup.
	* src/Filters/Rules/Family/_RegExpIdOf.py: Cleanup.
	* src/FilterEditor/_EditRule.py: Clean, localization fixes, ID
	selection fixes.
	* src/NameDisplay.py: Import gettext.
	* src/Filters/Rules/Family/_HasRelType.py (labels): Use lowercase.
	* src/FilterEditor/_EditFilter.py (on_add_clicked,
	on_edit_clicked): Catch exception.

2006-08-03  Zsolt Foldvari  <zfoldvar@users.sourceforge.net>
	* src/plugins/Check.py (cleanup_deleted_name_formats): Change hardcoded
	values with constants.
	* src/GrampsCfg.py: Unused constants cleanup.
	* src/DataViews/_PedigreeView.py (__init__): connection to "active-
	person-changed" signal moved to set_active()
	(set_active, set_inactive): Improve performance of other views.
	* src/NameDisplay.py (name_grouping_data): Change hardcoded values
	with constants.

2006-08-03  Alex Roitman  <shura@gramps-project.org>
	* src/DisplayTabs/_BackRefList.py (find_node): Use class name.
	* src/DisplayTabs/_BackRefModel.py (__init__, load_model): Add new
	column to keep both class name and translation.

2006-08-02  Alex Roitman  <shura@gramps-project.org>
	* configure.in: Disable scrollkeeper update in the packager mode.

2006-08-01  Don Allingham  <don@gramps-project.org>
	* src/RelLib/_Place.py: Check for empty location
	* src/Editors/_EditEvent.py: use default data change check
	* src/DataViews/_PersonView.py: use grouping name
	* src/NameDisplay.py: Add grouping from data instead of just Name
	instance, handle Name.DEF
	* src/DisplayModels/_PeopleModel.py: use grouping name

2006-08-01  Alex Roitman  <shura@gramps-project.org>
	* src/NameDisplay.py: Rename local var id -> num
	to avoid collission with the builtin function id().
	* src/GrampsDb/_GrampsBSDDB.py (set_name_group_mapping): Use
	transaction.

2006-07-31  Alex Roitman  <shura@gramps-project.org>
	* src/Filters/_SearchBar.py (SearchBar.__init__): Take dbstate as
	a constructor argument; (SearchBar.apply_filter): pass dbstate.
	* src/PageView.py (BookMarkView.add_bookmark,
	PersonNavView.jumpto, PersonNavView.fwd_clicked,
	PersonNavView.back_clicked, ListView.build_widget): Pass dbstate.
	* src/Navigation.py (BaseNavigation.__init__,
	PersonNavigation.__init__): Take dbstate as a constructor argument;
	(PersonNavigation.build_item_name): properly access dbstate.
	* src/DisplayState.py (__init__): Do not take dbstate as a
	constructor argument; Do not connect dbstate signal here (moved to
	ViewManager);
	(display_relationship,push_message,modify_statusbar): Make dbstate
	an argument.
	* src/plugins/Checkpoint.py (run_tool): Pass dbstate.
	* src/ViewManager.py (_build_main_window): Do not pass dbstate to
	uistate DisplayState constructor; connect dbstate signal handler;
	pass dbstate to Navigation; (keypress): Pass dbstate;
	(statusbar_key_update): Pass dbstate;
	(do_load_plugins): Pass dbstate;
	(ViewManager.add_bookmark): Pass dbstate.
	* src/DataViews/_RelationView.py (shade_update): Pass dbstate.
	* src/DataViews/_PersonView.py (build_widget,_goto,
	key_goto_home_person, key_edit_selected_person): Pass dbstate.
	* src/Filters/Makefile.am (pkgdata_PYTHON): Remove obsolete file.
	* src/Filters/__init__.py: Remove importing obsolete module.
	* src/Filters/_FilterWidget.py: Remove obsolete module.

2006-07-31  Don Allingham  <don@gramps-project.org>
	* src/plugins/FindDupes.py: Fix title (bug 314)
	* src/plugins/merge.glade: change button name (bug 315)

2006-07-31  Alex Roitman  <shura@gramps-project.org>
	* src/plugins/Makefile.am (pkgdata_PYTHON): Remove unsupported reports.
	* src/UndoHistory.py (UndoHistory._build_model): Only show the
	initial entry is database is really opened.

2006-07-31  Zsolt Foldvari  <zfoldvar@users.sourceforge.net>
	* src/NameDisplay.py: Rewrite in more object oriented way; Interface
	change.
	* src/ViewManager.py (post_load_newdb): Change of NameDisplay interface.
	* src/GrampsDb/_ReadXML.py (parse): Change of NameDisplay interface.
	* src/GrampsDb/_ReadGrdb.py (importData): Change of NameDisplay
	interface.
	* src/GrampsCfg.py: Change of NameDisplay interface; Name format Edit
	and Add callbacks divided.
	* src/RelLib/_Name.py: Default/standard name format definitions moved to
	NameDisplay.
	* src/Editors/_EditName.py (_setup_fields): Change of NameDisplay
	interface.
	* src/plugins/Check.py (cleanup_deleted_name_formats): Change of
	NameDisplay interface.

2006-07-30  Don Allingham  <don@gramps-project.org>
	* src/GrampsDb/_ReadGedcom.py: handle missing event type
	* src/DataViews/_PlaceView.py: add tooltip for map button

2006-07-30  Alex Roitman  <shura@gramps-project.org>
	* src/plugins/Merge.py: Rename, because Merge module shadows this
	plugin module.
	* src/plugins/FindDupes.py: New module, to replace Merge.py;
	(ShowMatches.on_do_merge_clicked): Use new Merge component.
	* src/ViewManager.py (ViewManager.do_load_plugins): Catch exception;
	(ViewManager.plugin_status): Catch exception.

2006-07-29  Alex Roitman  <shura@gramps-project.org>
	* src/plugins/changetype.glade: Update text warning.
	* src/Editors/_EditMedia.py (EditMedia.save): Use absolute path
	to determine mime type.
	* src/PageView.py (PersonNavView.filter_editor): Catch exception.
	* src/DataViews/_FamilyList.py (FamilyListView.filter_editor):
	Catch exception.
	* src/plugins/EventCmp.py (EventComparison.filter_editor_clicked):
	Catch exception.
	* src/ManagedWindow.py (ManagedWindow.show): Set opened flag;
	(ManagedWindow.close): Unset opened flag.
	* src/ViewManager.py (undo_history_close): Only close undo history
	window if it is open.
	* src/UndoHistory.py: (UndoHistory.__init__): Remove signal handling;
	(UndoHistory.close): Remove method, use one from the parent class.

2006-07-29  Zsolt Foldvari  <zfoldvar@users.sourceforge.net>
	* src/NameDisplay.py (display_given): Cleanup
	* src/Gramps.Cfg.py (NameFormatEditDlg.run): Verification of the
	returned values

2006-07-27  Alex Roitman  <shura@gramps-project.org>
	* src/GrampsDb/_ReadGrdb.py: Re-map name formats on import.
	* src/GrampsDb/_GrampsBSDDB.py (_load_metadata): Upgrade custom
	name formats.
	(find_backlink_handles): Work around readonly db problems;
	(_get_obj_from_gramps_id): Work around readonly db problems.
	* src/GrampsDb/_ReadXML.py (start_format): Attempt parsing the
	active state for the custom name format; re-map format numbers on
	import.
	* src/GrampsDb/_WriteXML.py (write_name_formats): Write 4-tuple
	custom name formats; Write formats in the beginning of data;
	(_xml_version): Output as version 1.1.1.
	* data/grampsxml.rng: Update XML description for 1.1.1.
	* data/grampsxml.dtd: Update XML description for 1.1.1.
	* src/ViewManager.py (post_load_newdb): Revert changes (done on
	the lower level).
	* src/NameDisplay.py (register_custom_formats): Revert changes (done on
	the lower level).

2006-07-27  Zsolt Foldvari  <zfoldvar@users.sourceforge.net>
	* src/ViewManager.py (post_load_newdb): Upgrade path for different
	grdb custom name format table versions
	* src/NameDisplay.py (register_custom_formats): Upgrade path for
	different grdb custom name format table versions

2006-07-27  Zsolt Foldvari  <zfoldvar@users.sourceforge.net>
	* src/GrampsCfg.py: Custom name format support improvements.
	* src/Editors/_EditName.py: Custom name format support improvements.
	* src/NameDisplay.py: Custom name format support improvements.
	* src/plugins/Check.py (cleanup_deleted_name_formats): Db cleanup of
	deleted custom name format references.

2006-07-26  Steve Hall  <digitect@mindspring.org>
	* windows/nsis/gramps-build.bat: Add windows building scripts.
	* windows/nsis/gramps.nsi: Add windows building scripts.
	* windows/nsis/gcheck.py: Add windows building scripts.
	* windows/nsis/ped24.ico: Add windows icon.

2006-07-26  Alex Roitman  <shura@gramps-project.org>
	* configure.in: Remove debian/Makefile from the list.
	* Makefile.am (SUBDIRS): Remove debian from the list.
	* debian/Makefile.am: Remove from SVN.

2006-07-25  Brian Matherly  <brian@gramps-project.org>
	* src/Mime/Makefile.am: Add WinMime.py
	* src/ReportBase/_ReportUtils.py: fix born_str typo (bug #266)

2006-07-25  Alex Roitman  <shura@gramps-project.org>
	* src/Merge/_MergePerson.py: Use new child_ref API.
	* src/FilterEditor/_EditRule.py (MySelect.get_text): Dirty hack to
	prevent rule editor from crashing. NEEDS REPAIR to stop relying on
	the localized text.
	* src/Filters/Rules/Person/_HasFamilyEvent.py (apply): Use new API.
	* src/RelLib/_GrampsType.py (set,__cmp__): Consider unicode type
	along with the str.
	* src/Filters/_SearchBar.py (get_value,apply_filter): Force unicode.
	* src/Filters/_PersonSidebarFilter.py (get_filter): Force unicode.
	* src/Filters/_FamilySidebarFilter.py (get_filter): Force unicode.

2006-07-24  Alex Roitman  <shura@gramps-project.org>
	* configure.in: Bump up the version number.
	* src/GrampsDb/_GrampsBSDDB.py (find_fidmap): Remove unused method.

2006-07-24  Manfred Paulus  <manfred.paulus@gmx.de>
	* src/plugins/FanChart.py: Add circle, 1/2 circle and 1/4
	circle options, along with selectable generations
	* src/docgen/OpenOfficeDoc.py: fix rotation angle

2006-07-24  Alex Roitman  <shura@gramps-project.org>
	* src/GrampsDb/_GrampsBSDDB.py (gramps_upgrade_9): Map "Other
	Name" from gramps2.0.x to the "Unknown" name type;
	work out the case of no events.
	* src/GrampsDb/_ReadXML.py (start_name): Map "Other Name" from
	gramps2.0.x to the "Unknown" name type.
	(start_database): Add method to extract the XML version.
	* src/DisplayTabs/_BackRefModel.py (BackRefModel.load_model):
	Translate displayed object type.
	* debian/control (Build-Depends-Indep): Add python-central; 
	(XS-Python-Version): Add.

2006-07-23  Alex Roitman  <shura@gramps-project.org>
	* src/plugins/GraphViz.py (get_date_strings): Typo.

2006-07-23  Brian Matherly  <brian@gramps-project.org>
	* src/plugins/NarrativeWeb.py: fix bug for no surname (bug #265)

2006-07-23  Manfred Paulus  <manfred.paulus@gmx.de>
	* src/BaseDoc.py: fix angle calculation
	* src/docgen/PSDrawDoc.py: fix angle calculation

2006-07-23  Don Allingham  <don@gramps-project.org>
	* src/GrampsDb/_ReadGedcom.py (GedcomParser.func_person_even): set
	default type for an event to CUSTOM

2006-07-23  Alex Roitman  <shura@gramps-project.org>
	* src/Filters/Rules/Person/_IsLessThanNthGenerationDescendantOf.py
	(IsLessThanNthGenerationDescendantOf.init_list): Use new API.
	* src/Filters/Rules/Person/_IsSiblingOfFilterMatch.py
	(IsSiblingOfFilterMatch.init_list): Use new API.
	* src/Filters/Rules/Person/_RelationshipPathBetween.py
	(RelationshipPathBetween.desc_list): Use new API.
	* src/Filters/Rules/Person/_HaveChildren.py (HaveChildren.apply):
	Use new API.
	* src/Filters/Rules/Person/_IsMoreThanNthGenerationDescendantOf.py
	(IsMoreThanNthGenerationDescendantOf.init_list): Use new API.
	* src/Filters/Rules/__init__.py: Expose Rule for plugin filters.
	* src/Filters/Rules/Person/_IsDescendantOf.py
	(IsDescendantOf.init_list): Use new API.
	* src/Filters/Rules/Person/_HasRelationship.py
	(HasRelationship.apply): Use new API.

2006-07-22  Don Allingham  <don@gramps-project.org>
	* src/Filters/Rules/Person/__init__.py: add register function
	* configure.in: bump up version number 

2006-07-22  Alex Roitman  <shura@gramps-project.org>
	* Makefile.am (SUBDIRS): Add debian dir.
	* configure.in: Generate debian/Makefile
	* debian/Makefile.am: Add makefile to place the debian dir in the
	released tarball.

2006-07-21  Brian Matherly  <brian@gramps-project.org>
	* src/ReportBase/_ReportUtils.py: fix modified birth string (bug # 266).

2006-07-21  Brian Matherly  <brian@gramps-project.org>
	* src/plugins/GraphViz.py: launch image viewer in Windows.
	* src/Mime/_WinMime.py: handle rundll32.exe applications.
	* src/Utils.py: search path in Windows when looking for applications.

2006-07-21  Don Allingham  <don@gramps-project.org>
	* src/DataViews/_RelationView.py: provide number for children/siblings
	* src/GrampsWidgets.py: fix spacing on link box

2006-07-20  Don Allingham  <don@gramps-project.org>
	* src/GrampsWidgets.py: fix spacing on link label

2006-07-20  Alex Roitman  <shura@gramps-project.org>
	* src/plugins/GraphViz.py (GraphViz.__init__): Better error handling.
	* src/plugins/IndivComplete.py: Use NameDisplay.
	* src/plugins/FamilyGroup.py: Use NameDisplay.
	* src/GrampsCfg.py (add_name_panel): Minor UI improvements;
	(_build_custom_name_ui): Minor UI improvements;
	(cb_edit_fmt_str): Make correct transient_for call.
	* src/gramps.glade (namefmt_edit): Add expander with the help on
	format definitions; minor UI improvements.

2006-07-19  Alex Roitman  <shura@gramps-project.org>
	* src/plugins/Checkpoint.py (Checkpoint.init_gui): Detect whether
	rcs program is present and modify UI accordingly.
	* src/plugins/checkpoint.glade: Add hidden warning label.
	* src/plugins/StatisticsChart.py
	(StatisticsChartOptions.get_report_filters): Add custom filters.
	* src/plugins/Calendar.py (FilterWidget.get_filters): Add custom
	filters.
	* src/plugins/TimeLine.py (TimeLineOptions.get_report_filters):
	Add custom filters.
	* src/plugins/IndivComplete.py
	(IndivCompleteOptions.get_report_filters): Add custom filters.
	* src/plugins/NarrativeWeb.py
	(WebReportOptions.get_report_filters): Add custom filters. 
	* src/plugins/GraphViz.py (GraphViz.__init__): Take care of the
	encoding errors;
	(GraphVizOptions.get_report_filters): Add custom filters.

2006-07-19  Zsolt Foldvari  <zsolt.foldvari@nokia.com>
	* src/GrampsCfg.py: UI improvements.
	* src/Config/_GrampsIniKeys.py: Proper key retrieval.

2006-07-19  Alex Roitman  <shura@gramps-project.org>
	* src/plugins/EventCmp.py (filter_editor_clicked): Adapt to filter
	editor changes; Stop separately adding birth and death.
	* src/Filters/Makefile.am (pkgdata_PYTHON): Ship new file.

2006-07-18  Alex Roitman  <shura@gramps-project.org>
	* src/ArgHandler.py (ArgHandler.cl_export): Properly expand filename.
	* src/GrampsDb/_WriteGrdb.py (exportData): Use placeholder if
	callback is None.
	* src/GrampsDb/_GrampsBSDDB.py
	(_delete_primary_from_reference_map): defer deleting until the
	cursor is closed.

2006-07-18  Brian Matherly  <brian@gramps-project.org>
	* src/plugins/GraphViz.py: Make it work for Windows

2006-07-18  Don Allingham  <don@gramps-project.org>
	* src/RelLib/_DateBase.py: fix the date comparison for text only 
	dates

2006-07-17  Brian Matherly  <brian@gramps-project.org>
	* src/plugins/NarrativeWeb.py: typo
	* src/plugins/NarrativeWeb.py: fix name sorting in Windows (bug #236)

2006-07-16  Alex Roitman  <shura@gramps-project.org>
	* src/DisplayTabs/_GalleryTab.py (GalleryTab.build_interface):
	Allow working with pygtk older than 2.8.
	* src/Filters/Rules/Person/_IsChildOfFilterMatch.py
	(IsChildOfFilterMatch.init_list): Convert to child_ref.
	* src/plugins/Checkpoint.py (Checkpoint.run_tool): Add busy cursor.

2006-07-16  Zsolt Foldvari  <zsolt.foldvari@nokia.com>
	* src/ViewManager.py: Custom name format support.
	* src/GrampsCfg.py: Custom name format support.
	* src/RelLib/_Name.py: Custom name format support.
	* src/Editors/_EditName.py: Custom name format support.
	* src/glade/gramps.glade: Custom name format support.
	* src/NameDisplay.py: Custom name format support.

2006-07-15  Don Allingham  <don@gramps-project.org>
	* src/Config/_GrampsConfigKeys.py: remove unused USE_LDS key
	* data/gramps.schemas.in: remove unused USE_LDS key
	* src/StartupDialog.py: remove uused USE_LDS key

2006-07-14  Don Allingham  <don@gramps-project.org>
	* src/GrampsDb/_GrampsBSDDB.py: disable TXN for readonly dbs
	* src/DbLoader.py (DbLoader.read_file): handle DBAccessError

2006-07-12  Brian Matherly  <brian@gramps-project.org>
	* src/ReportBase/_CommandLineReport.py: missing import - CustomFilters
	* src/plugins/NarrativeWeb.py: HTML validation fixes

2006-07-12  Don Allingham  <don@gramps-project.org>
	* src/Filters/Rules/Family/_RegExpIdOf.py: new family filter
	* src/Filters/Rules/Family/_HasNoteRegexp.py: new family filter
	* src/Filters/Rules/Family/_HasIdOf.py: new family filter
	* src/Filters/Rules/Family/__init__.py: add new filters
	* src/Filters/Rules/Family/_HasNoteMatchingSubstringOf.py: new family filter
	* src/Filters/Rules/Family/_AllFamilies.py: new family filter
	* src/Filters/Rules/_HasNoteSubstrBase.py: new common bases
	* src/Filters/Rules/_RegExpIdBase.py: new common bases
	* src/Filters/Rules/_HasGrampsId.py: new common bases
	* src/Filters/Rules/Person/__init__.py: update
	* src/Filters/Rules/Person/_HasIdOf.py: use new common base
	* src/Filters/Rules/Person/_HasNoteRegexp.py: use new common base
	* src/Filters/Rules/_HasNoteRegexBase.py: new common base
	* src/Filters/_FamilySidebarFilter.py: use family filters instead of
	person filters

2006-07-11  Don Allingham  <don@gramps-project.org>
	* po/gramps.pot: remove autogenerated file
	* src/ViewManager.py: fix default state of filter menu item
	* src/DataViews/_FamilyList.py: clean up
	* src/DataViews/_PedigreeView.py: clean up
	* src/DataViews/_MapView.py: clean up
	* src/ViewManager.py: better menu name

2006-07-10  Don Allingham  <don@gramps-project.org>
	* src/DataViews/_FamlyList.py: add filter editor support
	* src/DataViews/_PersonView.py: catch config callback for sidebar
	* src/ViewManager.py: catch config callback for sidebar
	* src/PageView.py: catch config callback for sidebar
	* src/FilterEditor/_FilterEditor.py: add family support
	* src/FilterEditor/_EditRule.py: add family support
	* src/Filters/_FamilySidebarFilter.py: start of family support
	* src/Filters/Rules/Family/_HasRelType.py: start of family filters
	* src/Filters/Rules/Family/__init__.py: start of family filters

2006-07-09  Don Allingham  <don@gramps-project.org>
	* configure.in: up the version number
	* src/DataViews/_FamilyList.py: add support for sidebar filter
	* src/DisplayModels/_BaseModel.py: handle generic model filtering
	* src/PageView.py: Add support for generic modeling
	* src/Filters/__init__.py: generic family rule support
	* src/Filters/_GenericFilter.py: generic family rule support
	* help/C/gramps-manual.xml: updates
	* help/Makefile.am: remove old files

2006-07-08  Don Allingham  <don@gramps-project.org>
	* src/ScratchPad.py (ScratchPersonLink.tooltip): fix tooltip for
	person
	* src/ViewManager.py (ViewManager._build_main_window): restore tabs
	to their normal position

2006-07-07  Don Allingham  <don@gramps-project.org>
	* src/Editors/_EditFamily.py: add edit child/relationship options
	in the popup menu
	* src/DisplayTab/_EmbeddedList.py: break out menu specification to
	make it easier to override
	* src/glade/gramps.glade: remove unused objects
	* help/C/figures/place.png: update

2006-07-07  Brian Matherly  <brian@gramps-project.org>
	* src/plugins/NarrativeWeb.py: fix restoration of gallery settings

2006-07-06  Alex Roitman  <shura@phy.ucsf.edu>
	* data/gramps.schemas.in: Remove unused key.
	* src/Config/_GrampsConfigKeys.py: Regenerate file.
	* src/NameDisplay.py (NameDisplay._format_str_base): Document the
	format string interface.

2006-07-06  Don Allingham  <don@gramps-project.org>
	* src/GrampsCfg.py: add cell renderer to combobox
	* help/C/gramps-manual.xml: update doc
	
2006-07-06  Alex Roitman  <shura@gramps-project.org>
	* src/ViewManager.py (ViewManager.post_load_newdb): Register
	custom formats after loading the db.
	* src/GrampsCfg.py: Switch to use new formats (still in progress).
	* src/GrampsDb/_GrampsDbBase.py (GrampsDbBase.__init__): Set up
	custom name formats list.
	* src/GrampsDb/_DbUtils.py (db_copy): Copy custom name formats.
	* src/GrampsDb/_ReadXML.py (start_format): Parse custom formats.
	* src/GrampsDb/_WriteXML.py (write_name_formats): Add method.
	* src/GrampsDb/_GrampsBSDDB.py (GrampsBSDDB._load_metadata) 
	(GrampsBSDDB._close_metadata): load and save name_formats.
	* src/Editors/_EditName.py (EditName._setup_fields): Use proper
	format lists.
	* src/NameDisplay.py: Support new name formats scheme.
	* src/RelLib/_Name.py (Name.DEFAULT_FORMATS): Add list of formats.

2006-07-05  Don Allingham  <don@gramps-project.org>
	* src/Editors/_EditChildRef.py: fix title
	* src/Editors/_EditFamily.py: call sequence for EditChildRef 
	* src/glade/gramps.glade: childref label fix
	* src/ManagedWindow.py: spacking
	* help/C/gramps-manual.xml: text updates
	* help/C/figures/select-family.png: added
	* help/C/figures/select-person.png: added
	* help/C/figures/family-warn.png: added
	* help/C/figures/child-ref.png: added
	* help/C/figures/edit-family.png: added
	* help/C/figures/gedcom-export.png: updated
	* help/C/figures/export-druid.png: updated

2006-07-04  Don Allingham  <don@gramps-project.org>
	* various: pyflakes fixes

2006-07-04  Alex Roitman  <shura@gramps-project.org>
	* src/GrampsWidgets.py (hand_cursor): Use HAND2 instead of HAND1.

2006-07-04  Don Allingham  <don@gramps-project.org>
	* src/DataViews/_PlaceView.py (PlaceView.ui_definition): 
	add google maps to tool bar

2006-07-03  Don Allingham  <don@gramps-project.org>
	* src/DataViews/_PlaceView.py: add attempt to map to google maps,
	check for valid list
	* src/glade/gramps.glade: fix date status button.

2006-07-02  Don Allingham  <don@gramps-project.org>
	* various: pyflakes fixes
	* src/DataViews/_PedigreeView.py: add filter editor support
	* src/DataViews/_Relationship.py: add filter editor support
	* src/DataViews/_PersonView.py: move filter editor support to PageView
	* src/PageView.py: add filter editor support

2006-07-01  Don Allingham  <don@gramps-project.org>
	* src/DisplayState.py: fix spacing
	* src/DisplayTabs/_SourceEmbedList.py: check for empty reference
	before attempting to edit
	* src/GrampsWidgets.py: fix LinkLabel to not try to rebuild 
	gender code

2006-06-30  Don Allingham  <don@gramps-project.org>
	* src/AddMedia.py: use full paths for calculations to avoid pwd issues
	* src/DbLoader.py: fix working directories
	* example/gramps/example.gramps: remove hard coded paths
	* example/gramps/data.gramps: remove hard coded paths
	* src/GrampsDb/_DbUtils.py (remove_parent_from_family): adjust the
	transaction message for appropriate father/mother indicator
	* src/GrampsWidgets.py: Add GenderWidget to try to isolate windows 
	font problems by switching fonts if needed

2006-06-28  Don Allingham  <don@gramps-project.org>
	* src/DataViews/_PedigreeView.py (PedigreeView.rebuild): use gtk.Arrow
	instead of unicode characters

2006-06-27  Brian Matherly  <brian@gramps-project.org>
	* src/GampsLogger/_ErrorReportAssistant.py: fix error message in Windows
	* src/plugins/DetDescendantReport.py: remove duplicate birth events
	* src/plugins/IndivComplete.py: remove duplicate birth events
	* src/plugins/NarrativeWeb.py: remove duplicate birth events (bug #235)
	* src/plugins/DetAncestralReport.py: remove duplicate birth events
	* src/plugins/FamilyGroup.py: remove duplicate birth events

2006-06-26  Don Allingham  <don@gramps-project.org>
	* src/ReportBase/_ReportDialog.py (report): catch IOError
	* src/Filters/Rules/Person/_HasDeath.py: use references instead of
	handles

2006-06-24  Alex Roitman  <shura@gramps-project.org>
	* src/NameDisplay.py (_format_base): Add format string display;
	(_format_raw, _format): Add format string methods.
	* src/GrampsCfg.py (name_changed): Switch back to int key.
	* data/gramps.schemas.in: Add name-format-str key for custom name
	display format string.
	* src/Config/_GrampsConfigKeys.py: Re-generate the file.
	* src/Config/gen_schema_keys.py (copy): Add Id string; 
	Write header into the generated file.

2006-06-24  Brian Matherly  <brian@gramps-project.org>
	* src/plugins/BookReport.py: fix book loading

2006-06-24  Alex Roitman  <shura@gramps-project.org>
	* src/ReportBase/_ReportDialog.py (report): Handle wm closing.
	* src/plugins/GraphViz.py (GraphVizDialog.__init__): Handle wm
	closing. 
	* src/plugins/NarrativeWeb.py (WebReportDialog.__init__): Handle
	wm closing.

2006-06-24  Brian Matherly  <brian@gramps-project.org>
	* src/plugins/AncestorChart2.py: fix comment
	* src/plugins/DecendChart.py: fix comment
	* src/plugins/TimeLine.py: Remove Title option

2006-06-24  Alex Roitman  <shura@gramps-project.org>
	* debian/control (Build-Depends-Indep): Add xsltproc

2006-06-24  Brian Matherly  <brian@gramps-project.org>
	* src/docgen/ODFDoc.py: Handle exception when file is not writeable
	* src/docgen/ODSDoc.py: Handle exception when file is not writeable
	* src/docgen/OpenOfficeDoc.py: Handle exception when file is not writeable
	* src/docgen/OpenSpreadSheet.py: Handle exception when file is not writeable
	* src/plugins/AncestorChart2.py: Remove Title option
	* src/plugins/DecendChart.py: Remove Title option

2006-06-23  Alex Roitman  <shura@gramps-project.org>
	* src/GrampsDb/_WriteGedcom.py: Prevent writing empty value tags.
	* src/images/Makefile.am (dist_pkgdata_DATA): Comment out map images.
	* configure.in: Add help/Makefile to AC_CONFIG_FILES.
	* Makefile.am (SUBDIRS): Add help subdir.
	* debian: Add directory for debian packaging.

2006-06-23  Don Allingham  <don@gramps-project.org>
	* help/C/gramps-manual.xml: updates
	* help/C/figures/*.png: updates
	* src/GrampsDb/_ReadXML.py: fix syntax error with old ref formats

2006-06-22  Don Allingham  <don@gramps-project.org>
	* src/GrampsDb/_GrampsDbBase.py: remove unused variable
	* src/Editors/_EditPlace.py: Allow duplicate names
	* src/Editors/_EditFamily.py: improve error message

2006-06-21  Don Allingham  <don@gramps-project.org>
	* src/GrampsDb/_ReadXML.py: handle witness ref properly

2006-06-22  Alex Roitman  <shura@gramps-project.org>
	* src/Filters/Rules/Person/_RelationshipPathBetweenBookmarks.py:
	Add new module.
	* src/Filters/Rules/Person/Makefile.am (pkgdata_PYTHON): Ship new
	module.
	* src/Filters/Rules/Person/__init__.py: Import new module.
	* src/GrampsDb/_WriteGedcom.py (GedcomWriter.__init__): Typo.

2006-06-21  Don Allingham  <don@gramps-project.org>
	* src/Editors/_EditFamily.py: Don't attempt to be too clever and
	swap families if a duplicate is found. Just warn, and continue.

2006-06-21  Zsolt Foldvari  <zsolt.foldvari@nokia.com>
	* src/DisplayTabs/_GalleryTab.py (GalleryTab.build_interface):
	Properly add icon list.
	* src/Selectors/_BaseSelector.py (BaseSelector.add_columns): Allow
	resize-able columns.
	* src/plugins/DumpGenderStats.py: Allow column sorting.
	* src/ListModel.py: Allow column sorting.

2006-06-21  Don Allingham  <don@gramps-project.org>
	* src/DataViews/_PersonView.py: import QuestionDialog
	* src/Editors/_EditFamily.py: re-enable disabled blocks after
	the + is clicked

2006-06-21  Alex Roitman  <shura@gramps-project.org>
	* src/PluginUtils/_Plugins.py (PluginDialog.on_apply_clicked,
	PluginDialog.on_node_selected): Pass and use require_active flag.
	* src/DateEdit.py (DateEditorDialog.__init__): Take care of
	deleting the dialog.

2006-06-21  Don Allingham  <don@gramps-project.org>
	* src/DataViews/_RelationView.py: fix sets
	* src/Filters/__init__.py: include new build_filter_model
	* src/Filters/_FilterMenu.py: build_filter_model
	* src/Filters/Rules/Person/_MatchesFilter.py: handle custom and
	system models properly
	* src/Filters/_PersonSidebarFilter.py: add custom filter menu

2006-06-20  Don Allingham  <don@gramps-project.org>
	* src/Filters/_SidebarFilter.py: change from CLEAR to RESET
	* src/DataViews/_PersonView.py (PersonView.person_updated): if surname
	fails, recalculate data, fix initial display of sidebar
	* src/ViewManager.py: handle post page creation initalization
	* src/PageView.py: handle post page creation initalization
	* src/Editors/_EditFamily.py: handle drag-n-drop for childrefs 
	separately
	* src/Editors/_EditEvent.py: focus on date on open
	* src/Editors/_EditEventRef.py: focus on date on open
	* src/UndoHistory.py: don't attempt to unregister with the window
	manager, since not registered to begin with

2006-06-20  Martin Hawlisch  <Martin.Hawlisch@gmx.de>
	* src/DisplayState.py (modify_statusbar): Only calc relationship
	of active person if active person is set
	* src/DataViews/_PedigreeView.py: Support for family editing;
	Change line style for child relation "birth"; Properly redraw if
	active person is set to None

2006-06-19  Brian Matherly  <brian@gramps-project.org>
	* src/Mime/_WinMime.py: Get application description from registry

2006-06-19  Don Allingham  <don@gramps-project.org>
	* src/DataViews/_PersonView.py: handle unsetting of rows changing
	the active person when the model is rebuilt.
	* src/DataViews/_Relationship.py: handle person set to None
	* src/ViewManger.py: try tabs on the side
	* src/DisplayTabs/_PersonRefEmbedList.py: change Relationships to
	Associations
	* src/help/C/*: updates

2006-06-19  Martin Hawlisch  <Martin.Hawlisch@gmx.de>
	* src/DataViews/_PedigreeView.py: Bootstrap resize handling using
	"show" event because the "expose" event was not emitted in all
	cases (closes #202); Redraw on family-* signals too to show for
	example newly added parents.

	* src/PageView.py, src/DataViews/_MediaView.py: Let all list views
	have the same border width

2006-06-18  Don Allingham  <don@gramps-project.org>
	* help/C/gramps-manual.xml: integrate into a single doc
	* help/C/figures/*.png: updated images

2006-06-18  Brian Matherly  <brian@gramps-project.org>
	* src/Mime/__init__.py: Add WinMime
	* src/Mime/_WinMime.py: Added
	* src/Utils.py: make launch work in Windows
	* src/docgen/*: use Utils.launch to start external viewers
	* src/images/ped24.ico: add icon

2006-06-17  Don Allingham  <don@gramps-project.org>
	* src/Editors/_EditPerson.py: select given name field if the
	surname field is already defined
	* src/Selectors/_BaseSelector.py (BaseSelector.run): handle
	delete event
	* src/DataViews/_RelationView.py: remove debug statement
	* src/DataViews/__init__.py: remove map view for time being

2006-06-16  Don Allingham  <don@gramps-project.org>
	* src/DataViews/_RelationView.py: clear all subelements on redraw
	* src/PageView.py: set dirty flag appropriately
	* src/DataViews/_MediaView.py: clear image if none is selected

2006-06-16  Alex Roitman  <shura@gramps-project.org>
	* src/PluginUtils/_PluginMgr.py (register_report): Add
	require_active argument to _register_cl_report call.

2006-06-16  Don Allingham  <don@gramps-project.org>
	* src/Editors/_EditFamiy.py: make EditPerson windows subordinate
	to EditFamily windows. This prevents the EditPerson window from
	trying to trying to access a non-existent window and causing a
	segfault
	* src/GrampsDb/_WriteGedcom.py: export QUAY

2006-06-15  Don Allingham  <don@gramps-project.org>
	* src/GrampsDb/_GrampsDbBase.py: prevent null event types and
	attribute types from being added
	* src/Editors/_EditAttribute.py: prevent null attribute types
	* src/Editors/_EditEvent.py: prevent null attribute types
	* src/AutoComp.py: filter out empty strings
	* src/ImgManip.py: check for file before attempting thumbnailer
	* src/ScratchPad.py: enable Text dnd

2006-06-15  Alex Roitman  <shura@gramps-project.org>
	* src/Config/_GrampsConfigKeys.py: Re-generate file.
	* src/GrampsCfg.py: More name display prefs.
	* src/GrampsLogger/_ErrorReportAssistant.py (__init__): Adapt to
	the Assistant change. 
	* src/Assistant.py: Convert to working both with and without
	ManagedWindow.
	* src/DisplayTabs/Makefile.am (pkgdata_PYTHON): Ship new file.
	* src/DisplayTabs/__init__.py: Import new module.
	* src/DisplayTabs/_TextTab.py: Add new module.
	* src/Editors/_EditSourceRef.py (_setup_fields): Remove Text tab;
	(_create_tabbed_pages): Add Text tab.
	* src/glade/gramps.glade (source_ref_edit): Remove Text tab.
	* src/GrampsDb/_WriteGedcom.py (write_photo): Typo.
	* src/Exporter.py (build_options): Correctly shift all pages.
	(__init__): Adapt to the Assistant change.

2006-06-14  Don Allingham  <don@gramps-project.org>
	* src/ScratchPad.py: check for null model
	* src/GrampsDb/_ReadGedcom.py: fix INT date format

2006-06-14  Alex Roitman  <shura@gramps-project.org>
	* src/NameDisplay.py: Factor out commont code.
	* src/Editors/_EditName.py (_setup_fields): Remove Default item.
	* src/RelLib/_Name.py (Name.DEF): Replace with CUSTOM, use LNFN in
	place of previous DEF.
	* src/GrampsCfg.py (add_name_panel): Add Name Display panel.
	* src/GrampsDb/_ReadXML.py (stop_name): Properly set name type;
	do not set conf attribute on attr, addr, and event.

2006-06-13  Brian Matherly  <brian@gramps-project.org>
	* src/PluginUtils/_Plugins.py: pass dbstate to report

2006-06-13  Don Allingham  <don@gramps-project.org>
	* src/Editors/_EditLdsOrd.py: LDS confirmation support
	* src/GrampsDb/_ReadGedcom.py: LDS confirmation support
	* src/GrampsDb/_WriteGedcom.py: LDS confirmation support
	* src/GrampsDb/_GedTokens.py: LDS confirmation support
	* src/GrampsDb/_LdsOrdd.py: LDS confirmation support

2006-06-13  Alex Roitman  <shura@gramps-project.org>
	* src/GrampsDb/_GrampsBSDDB.py (gramps_upgrade_9): Avoid using
	secondary index when upgrading events; manually resolve duplicate IDs.

2006-06-12  Brian Matherly  <brian@gramps-project.org>
	* src/plugins/GraphViz.py: use Mime instead of GrampsMime

2006-06-11  Don Allingham  <don@gramps-project.org>
	* src/GrampsDb/_ReadGedcom.py: fix event parsing
	* src/GramspDb/_GedcomInfo.py: fix ORDN identification

2006-06-10  Don Allingham  <don@gramps-project.org>
	* src/GrampsDb/_ReadGedcom.py: fixes based of the gedcom torture test
	* src/GrampsDb/_GedTokeys.py: fixes based of the gedcom torture test

2006-06-09  Don Allingham  <don@gramps-project.org>
	* src/GrampsDb/_ReadGedcom.py: yet even more funky fixes, pass Jerome's tests
	* src/GrampsDb/_GedTokens.py: yet even more funky fixes, handle more 
	non-standard tags
	
2006-06-08  Don Allingham  <don@gramps-project.org>
	* src/GrampsDb/_ReadGedcom.py: handle more bizarre and illegal
	statements output by other programs.

2006-06-07  Alex Roitman  <shura@gramps-project.org>
	* src/plugins/Check.py (check_for_broken_family_links): Adapt to
	RelLib changes.

2006-06-07  Don Allingham  <don@gramps-project.org>
	* src/GrampsDb/_ReadGedcom.py: fix child/parent relationships
	* src/GrampsDb/_GedTokens.py: handle some obscure tokens

2006-06-06  Don Allingham  <don@gramps-project.org>
	* src/GrampsDb/_ReadGedcom.py: read gedcoms that we write
	* src/GrampsDb/_WriteGedcom.py: read gedcoms that we write
	* src/DisplayState.py: handle unset active person

2006-06-06  Brian Matherly  <brian@gramps-project.org>
	* src/ReportBase/_BareReportDialog.py: missing import (Bug #0000180)

2006-06-06  Don Allingham  <don@gramps-project.org>
	* src/GrampsDb/_ReadGedcom.py: More improvements, esp. with REPO
	* example/gedcom/sample.ged: add repo info

2006-06-06  Alex Roitman  <shura@gramps-project.org>
	* src/GrampsDb/_ReadXML.py (start_eventref): Only set birth and
	death references for events with primary role.
	* src/GrampsDb/_DbUtils.py (set_birth_death_index): Only set birth
	and death references for events with primary role.

2006-06-05  Don Allingham  <don@gramps-project.org>
	* src/GrampsDb/_ReadGedcom.py: more improvements

2006-06-05  Alex Roitman  <shura@gramps-project.org>
	* src/plugins/BookReport.py (BookReportDialog.__init__): Correctly
	close managed window.

2006-06-05  Don Allingham  <don@gramps-project.org>
	* src/GrampsDb/_ReadGedcom.py: improve parsing, comment the code better
	* example/gedcom/sample.ged: add new stuff
	* src/Mime/_PythonMime.py (_type_map): register .gpkg for non-linux
	platforms 

2006-06-04  Alex Roitman  <shura@gramps-project.org>
	* configure.in: Set up for the next release.
	* src/Filters/Rules/Person/_RegExpName.py (RegExpName.labels): Typo.

2006-06-04  Brian Matherly  <brian@gramps-project.org>
	* src/docgen/PSDrawDoc.py: fix imports - make it work
	* src/ReportBase/_StyleEditor.py: use ManagedWindow
	* src/ReportBase/_BareReportDialog.py: import StyleEditor
	* src/plugins/BookReport.py: fix "Center Person" display
	* src/plugins/WriteCD.py: fail gracefully without Gnome

2006-06-04  Don Allingham  <don@gramps-project.org>
	* src/plugins/Makefile.am (pkgdata_PYTHON): remove FilterEditor.py

2006-06-04  Alex Roitman  <shura@gramps-project.org>
	* src/docgen/PSDrawDoc.py: Use ReportUtils.pt2cm.
	* src/docgen/OpenOfficeDoc.py: Use ReportUtils.pt2cm.
	* src/docgen/ODFDoc.py: Use ReportUtils.pt2cm.
	* src/ReportBase/Makefile.am (pkgdata_PYTHON): Remove _BookReport.py
	* src/plugins/Makefile.am (pkgdata_PYTHON): Move BookReport.py

2006-06-03  Brian Matherly  <brian@gramps-project.org>
	* src/docgen/ODFDoc.py: add Table of Contents mark
	* src/docgen/OpenOfficeDoc.py: add Table of Contents mark
	* src/plugins/DetDecendantReport: add Table of Contents marks
	* src/plugins/AncestorReport.py: add Table of Contents marks
	* src/plugins/DetAncestralReport.py: add Table of Contents marks
	* src/plugins/DecendReport.py: add Table of Contents marks
	* src/plugins/IndivComplete.py: add Table of Contents marks
	* src/plugins/FamilyGroup.py: add Table of Contents marks
	* src/BaseDoc.py: add TOC levels

2006-06-03  Don Allingham  <don@gramps-project.org>
	* src/DisplayTabs/_BackRefList.py (BackRefList.right_click): 
	override right click, because Remove and Add have no relevence
	(BackRefList.create_buttons): set tooltips
	* src/FilterEditor/_ShowResults.py: move glade functions to 
	ManagedWindow
	* src/FilterEditor/_EditFilter.py: move glade functions to 
	ManagedWindow
	* src/FilterEditor/_FilterEditor.py: move glade functions to 
	ManagedWindow
	* src/FilterEditor/_EditRule.py: move glade functions to 
	ManagedWindow
	* src/ManagedWindow.py: move glade functions to ManagedWindow

2006-06-02  Brian Matherly  <brian@gramps-project.org>
	* src/docgen/*: use IndexMark
	* src/plugins/DetDecendantReport: use IndexMark
	* src/plugins/AncestorReport.py: use IndexMark
	* src/plugins/DetAncestralReport.py: use IndexMark
	* src/plugins/DecendReport.py: use IndexMark
	* src/plugins/IndivComplete.py: use IndexMark
	* src/plugins/FamilyGroup.py: use IndexMark
	* src/BaseDoc.py: add IndexMark
	* src/ReportBase.py: get_person_index -> get_person_mark

2006-06-02  Don Allingham  <don@gramps-project.org>
	* src/FilterEditor/_ShowResults.py: use list instead of text display
	* src/FilterEditor/_EditFilter.py: clean up
	* src/FilterEditor/_EditRule.py: clean up
	* src/glade/rule.glade: clean up
	* src/Filters/Rules/Person/_IsDescendantFamilyOf.py: make current with RelLib

	* src/Filters/Rules/Person/_HasFamilyEvent.py: make current with RelLib

	* src/Filters/Rules/Person/_IsParentOfFilterMatch.py: make current with RelLib

	* src/Filters/Rules/Person/_FamilyWithIncompleteEvent.py: make current with RelLib

	* src/Filters/Rules/Person/_IsBookmarked.py: make current with RelLib

	* src/Filters/Rules/Person/_IsLessThanNthGenerationAncestorOfBookmarked.py:
	make current with RelLib

2006-06-01  Don Allingham  <don@gramps-project.org>
	* src/Filters/Rules/Person/_HaveAltFamilies.py: bring up to speed with
	RelLib changes

2006-06-01  Brian Matherly  <brian@gramps-project.org>
	* src/plugins/CmdRef.py: upgrade to new report interface
	* src/ReportBase/_DrawFormatComboBox.py: missing imports
	* src/ReportBase/CommandLineReport.py: typo

2006-06-01  Don Allingham  <don@gramps-project.org>
	* src/DataViews/_PersonView.py: FilterEditor call sequence
	* src/FilterEditor/_EditFilter.py: added
	* src/FilterEditor/_FilterEditor.py: Break out other classes
	* src/FilterEditor/_EditRule.py: added
	* src/FilterEditor/_ShowResults.py: added
	* src/FilterEditor/Makefile.am: Add new files

2006-06-01  Alex Roitman  <shura@gramps-project.org>
	* src/ReportBase/_ReportDialog.py (report): Use new report modules
	for oddball reports.
	* src/plugins/GraphViz.py: Use new report modules.
	* src/plugins/NarrativeWeb.py: Use new report modules.
	* src/plugins/CountAncestors.py: Use wm and new report modules.
	* src/plugins/Summary.py: Use wm and new report modules.
	* src/ReportBase/_BareReportDialog.py: import FilterComboBox.

2006-06-01  Don Allingham  <don@gramps-project.org>
	* configure.in: add FilterEditor subdir
	* src/DataViews/_PersonView.py: call filter editor with 'Person'
	argument
	* src/FilterEditor/_FilterEditor.py: get functional again
	* src/glade/rule.glade: clean up ui a bit
	* src/Filters/_FilterList.py: fix logical condition
	* src/Filters/_GenericFilter.py: fix inversion

2006-05-31  Brian Matherly  <brian@gramps-project.org>
	* src/plugins/various: upgrade to new report interface

2006-05-31  Don Allingham  <don@gramps-project.org>
	* src/DataViews/_PersonView.py: call FilterEditor
	* src/FilterEditor/__init__.py: added
	* src/FilterEditor/_FilterEditor.py: moved from plugins, renamed
	* src/glade/rule.glade: filter editor changes
	* src/Makefile.am: change subdirs
	* src/FilterEditor/Makefile.am: added

2006-05-31  Alex Roitman  <shura@gramps-project.org>
	* src/PluginUtils/_PluginMgr.py: Import MODE_CLI.
	* src/ReportBase/_BookFormatComboBox.py: Adapt to changes.
	* src/Selectors/_SelectPerson.py (__init__): take track argument.
	* src/Editors/_EditFamily.py: Adapt to SelectPerson change.
	* src/Editors/_EditPersonRef.py (_select_person): Adapt to
	SelectPerson change.
	* src/ReportBase/_BareReportDialog.py: Use dbstata and uistate,
	convert to Managed window.
	* src/ReportBase/_ReportDialog.py: Use dbstate and uistate.
	* src/ReportBase/_DrawReportDialog.py: Use dbstate and uistate.
	* src/ReportBase/_TextReportDialog.py: Use dbstate and uistate.
	* src/ViewManager.py (make_report_callback): Use dbstate and uistate.

2006-05-30  Don Allingham  <don@gramps-project.org>
	* src/plugins/FilterEditor.py: start to bring into sync with
	code changes

2006-05-30  Alex Roitman  <shura@gramps-project.org>
	* various: break Report into a package.

2006-05-29  Brian Matherly  <brian@gramps-project.org>
	* src/plugins/DetDescendantReport.py: insert name keys for indexing.
	* src/plugins/DetAncestralReport.py: insert name keys for indexing.
	* src/plugins/FamilyGroup.py: print descriptions for events.
	* src/PluginUtils/_ReportUtils.py: handle no person error

2006-05-29  Alex Roitman  <shura@gramps-project.org>
	* src/Editors/_EditFamily.py (EditFamily.save): Typo.
	* configure.in: Set up for 2.1.5.

2006-05-28  Alex Roitman  <shura@gramps-project.org>
	* src/GrampsDb/_ReadXML.py (stop_event): Properly import birth and
	death from the old XML.
	* src/Editors/_EditFamily.py (EditFamily.save): Typo.
	* src/plugins/Verify.py: Add double-clicking and mark/unmark/invert.
	* src/plugins/verify.glade: Add label.

2006-05-28  Brian Matherly  <brian@gramps-project.org>
	* src/docgen/OpenOfficeDoc.py: Allow large cells to span pages (bug 0000165)
	* src/BaseDoc.py: Add key to write_text.
	* src/docgen/*: Add key to write_text.
	* src/PluginUtils/_ReportUtils.py: Add get_name_key.
	* src/plugins/FamilyGroup.py: insert name keys for indexing.
	* src/plugins/DescendReport.py: insert name keys for indexing.
	* src/plugins/IndivComplete.py: insert name keys for indexing.
	* src/plugins/AncestorReport.py: insert name keys for indexing.

2006-05-27  Alex Roitman  <shura@gramps-project.org>
	* src/plugins/Verify.py: More updates.
	* src/docgen/LPRDoc.py: Typo.

2006-05-27  Brian Matherly  <brian@gramps-project.org>
	* src/gramps.py: Add provisions for local mo files for Windows

2006-05-26  Brian Matherly  <brian@gramps-project.org>
	* src/plugins/IndivComplete.py: Add event notes.

2006-05-26  Alex Roitman  <shura@gramps-project.org>
	* src/BasicUtils.py (UpdateCallback.reset): Add method.
	* src/plugins/verify.glade: update interface.
	* src/plugins/Verify.py: More improvements. Still need to finish
	filtering and object editing on double click.
	(Verify.on_apply_clicked): Reset the progress.

2006-05-26  Don Allingham  <don@gramps-project.org>
	* src/DataViews/_RelationView.py: build skip list for SelectFamily
	so that a person cannot be his own parent
	* src/Editors/_EditFamily.py: don't allow a person to be his own parent
	* src/Selectors/_BaseSelector.py: Add skipping of handles
	* src/DisplayModels/_BaseModel.py: Add skipping of handles
	* src/DisplayModels/_MediaModel.py: Add skipping of handles
	* src/DisplayModels/_RepositoryModel.py: Add skipping of handles
	* src/DisplayModels/_SourceModel.py: Add skipping of handles
	* src/DisplayModels/_EventModel.py: Add skipping of handles
	* src/DisplayModels/_FamilyModel.py: Add skipping of handles
	* src/DisplayModels/_PlaceModel.py: Add skipping of handles

2006-05-25  Don Allingham  <don@gramps-project.org>
	* src/DisplayTabs/_NoteTab.py (NoteTab.flow_changed): save flow status
	in Note
	* src/Merge/_MergeSource.py: note handling on source merge
	* src/glade/mergedata.glade: note handling on source merge
	* src/Makefile.am: remove deleted files
	* configure.in: add Merge directory

2006-05-25  Alex Roitman  <shura@gramps-project.org>
	* src/plugins/Verify.py: More rework, still in progress.

2006-05-25  Don Allingham  <don@gramps-project.org>
	* src/Merge/_MergePlace.py: handle notes
	* src/glade/mergedata.glade: handle notes
	* src/DataViews/_PersonView.py: Merge module support
	* src/Merge/_MergeSource.py: broken out of MergeData.py
	* src/Merge/__init__.py: support of module
	* src/Merge/Makefile.am: added
	* src/Merge/_MergePlace.py: broken out of MergeData.py
	* src/Merge/_MergePerson.py: renamed
	* src/DataViews/_SourceView.py: source merge support
	* src/DataViews/_PlaceView.py: place merge support
	* src/glade/mergedata.glade: place merge support
	* src/MergeData.py: place merge support
	* src/PageView.py: add support for multiselection

2006-05-24  Alex Roitman  <shura@gramps-project.org>
	* src/plugins/Verify.py: Start major rework, still in progress.

2006-05-24  Don Allingham  <don@gramps-project.org>
	* src/DataViews/_PersonView.py: merge functionality
	* src/ViewManager.py: merge functionality
	* src/MergePeople.py: fix merge (ui and birth/death events)
	* src/GrampsDb/_WriteXML.py: remove redundant birth/death entries
	* src/GrampsDb/_DbUtils.py: fix index setting of death index
	* src/GrampsDb/_WriteGedcom.py: remove redundant birth/death 
	references
	* src/images/stock_notes.png: added
	* src/images/Makefile.am: add stock_notes.png
	* src/gramps_main.py: register stock_notes as gramps_notes
	* src/DisplayTabs.py: use gramps_notes instead of stock_notes

2006-05-23  Don Allingham  <don@gramps-project.org>
	* src/DataViews/_RelationView.py: make shading optional
	* src/GrampsCfg.py: make shading optional
	* src/Config/_GrampsConfigKeys.py: make shading optional
	* data/gramps.schemas.in: make shading optional

2006-05-23  Alex Roitman  <shura@gramps-project.org>
	* src/Utils.py: move event/attr constants to GedcomInfo.
	* src/plugins/TestcaseGenerator.py: Use new methods.
	* src/DisplayTabs/_LdsModel.py: Use new methods.
	* src/Editors/_EditLdsOrd.py: Use new methods.
	* src/RelLib/_LdsOrd.py: Add new methods.
	* src/GrampsDb/_WriteGedcom.py: Do not import unused module.
	* src/GrampsDb/_ReadXML.py: Use methods from LdsOrd.
	* src/lds.py: Rename to LdsUtils.py
	* src/GrampsDb/_ReadGedcom.py: Use new module name.
	* src/Makefile.am (gdir_PYTHON): Ship new file.

	* src/GrampsDb/_GrampsBSDDB.py (gramps_upgrade_9): Upgrade LdsOrd.

2006-05-23  Martin Hawlisch  <Martin.Hawlisch@gmx.de>
	* src/DataViews/_MapView.py: Catch exceptions of the PixbufLoader that
	occur if nothing or not an image have been downloaded.
	
2006-05-23  Don Allingham  <don@gramps-project.org>
	* src/DataViews/_RelationView.py: finish shading
	* src/GrampsDb/_DbUtils.py: add birth/death index set funcion
	* src/Editors/_EditPerson.py: birth/death index fixes
	* src/DisplayTabs/_PersonEventEmbedList.py: birth/death index fixes
	* src/GrampsWidgets.py: shading fixes
	* src/DisplayModels/_PeopleModel.py: birth/death index fixes

2006-05-23  Alex Roitman  <shura@gramps-project.org>
	* src/Utils.py (probably_alive): Adapt to new birth/death refs.

2006-05-23  Martin Hawlisch  <Martin.Hawlisch@gmx.de>
	* src/DataViews/_PedigreeView.py: Use dbstate only to not get out of
	sync with db and active person.

2006-05-23  Alex Roitman  <shura@gramps-project.org>
	* src/GrampsDb/_GrampsBSDDB.py (gramps_upgrade_9): Convert upgrade
	to using new birth/death reference approach.
	* src/GrampsDb/_GrampsDbBase.py (commit_person): Simplify updating
	of the custom event roles.
	* src/GrampsDb/_WriteXML.py (write_person): Use methods to get
	birth/death ref, not raw attributes.
	* src/RelLib/_Person.py: Convert to using birth and death ref
	indices.
	* src/GrampsDb/_ReadXML.py (start_eventref): Do not reset existing
	birth/deat reference; use methods to get birth/death ref, not raw
	attributes.

2006-05-23  Don Allingham  <don@gramps-project.org>
	* src/DataViews/_RelationView.py: renamed from _FamilyView
	* src/DataViews/__init__.py: use RelationView.py
	* src/DataViews/Makefile.am: update
	* src/DataViews/_FamilyView.py: more shading

2006-05-22  Alex Roitman  <shura@gramps-project.org>
	* data/gramps.schemas.in: Typos.
	* src/DataViews/_PedigreeView.py (rebuild): Typo.

2006-05-22  Don Allingham  <don@gramps-project.org>
	* src/DataViews/_FamilyView.py: start shading of data

2006-05-22  Alex Roitman  <shura@gramps-project.org>
	* src/GrampsDb/_WriteGedcom.py: Multiple improvements.
	* various: Replace get/set_base_handle with get/set_reference_handle.
	* src/RelLib/_SourceRef.py (get_base_handle,set_base_handle):
	Remove redundant methods.
	* src/ArgHandler.py (need_gui): Add method.
	* src/ViewManager.py: Move statusbar notification from gramps_main.
	* src/gramps_main.py: Remove unused methods, handle ArgHandler better.

2006-05-21  Don Allingham  <don@gramps-project.org>
	* src/ViewManager.py: handle export, import, and save as if
	database does not exist, yet UIManager still wants to call them.

2006-05-21  Alex Roitman  <shura@gramps-project.org>
	* configure.in: Set up for the next release.

2006-05-21  Don Allingham  <don@gramps-project.org>
	* src/GrampsWidgets.py (MonitoredEntry.set_text): added function

2006-05-21  Alex Roitman  <shura@gramps-project.org>
	* src/GrampsDb/_WriteGedcom.py: Repository export.
	* src/GrampsDb/_GrampsInMemDB.py (GrampsInMemDB.__init__): Remove
	unused variables.
	* src/plugins/Calendar.py (print_page): Use correct variable.

2006-05-21  Brian Matherly  <brian@gramps-project.org>
	* src/plugins/GraphViz.py.in: fix file open.
	* src/plugins/Calendar.py: make calendar work in Windows
	* src/GrampsLocale.py: make calendar work in Windows
	* src/plugins/GraphViz.py: fix unicode encoding
	* src/plugins/TimeLine.py: round all dates to nearest decade

2006-05-21  Alex Roitman  <shura@gramps-project.org>
	* src/GrampsDb/_GrampsBSDDB.py: Do not import unused module.
	* src/const.py.in: Use gettext.
	* src/GrampsDb/_ConstXML.py: Remove file.
	* src/DisplayTabs/_PersonEventEmbedList.py
	(PersonEventEmbedList.default_type): properly process event list.
	* src/Editors/_EditEventRef.py (EditEventRef.get_custom_events):
	Use correct method.
	* src/Editors/_EditEvent.py (EditEvent.get_custom_events)
	(EditPersonEvent.get_custom_events): Use correct method.
	* src/GrampsDb/_GrampsDbBase.py: Remove obsolete methods.
	* src/GrampsDb/_GrampsInMemDB.py: Remove obsolete methods.
	Do not import unused module.

2006-05-20  Don Allingham  <don@gramps-project.org>
	* src/Editors/_EditPlace.py: custom menus
	* src/Editors/_EditLdsOrd.py: custom menus
	* src/Editors/_EditSourceRef.py: custom menus
	* src/Editors/_EditSource.py: custom menus
	* src/Editors/_EditRepoRef.py: custom menus
	* src/Editors/_EditUrl.py: custom menus
	* src/Editors/_EditAttribute.py: custom menus
	* src/Editors/_EditPerson.py: custom menus
	* src/Editors/_EditLocation.py: custom menus
	* src/Editors/_EditMediaRef.py: custom menus
	* src/Editors/_EditEventRef.py: custom menus
	* src/Editors/_EditMedia.py: custom menus
	* src/Editors/_EditRepository.py: custom menus
	* src/Editors/_EditName.py: custom menus
	* src/Editors/_EditChildRef.py: custom menus
	* src/Editors/_EditFamily.py: custom menus
	* src/Editors/_EditEvent.py: custom menus

2006-05-20  Alex Roitman  <shura@gramps-project.org>
	* src/GrampsDb/_WriteGedcom.py (write_repos): Add method.
	* src/gramps_main.py (Gramps.__init__): Call ArgHandler between
	init_interface and post_init_interface.
	* src/ViewManager.py (init_interface): Split off post_init_interface.
	* src/GrampsDb/_ReadGedcom.py: Correct set_type calls.

2006-05-19  Don Allingham  <don@gramps-project.org>
	* src/GrampsDb/_GrampsDbBase.py: repository does not have a media_list
	* src/DataViews/_MapView.py: use config value to determine if online
	maps should be used
	* src/GrampsCfg.py: online map config value
	* src/Config/_GrampsConfigKeys.py: online map config value
	* data/gramps.schema.in: online map config value
	* src/Config/gen_schema_keys.py: clean up

2006-05-19  Alex Roitman  <shura@gramps-project.org>
	* src/GrampsDb/_DbUtils.py (db_copy): Copy custom types.

2006-05-19  Martin Hawlisch  <Martin.Hawlisch@gmx.de>
	* src/DataViews/_MapView.py (WMSMapTile): Start of map download inside
	an idle handler.

2006-05-19  Alex Roitman  <shura@gramps-project.org>
	* src/GrampsDb/_GrampsDbBase.py: Define methods to get custom types.
	* src/GrampsDb/_GrampsBSDDB.py: Load/save marker_types.

2006-05-19  Don Allingham  <don@gramps-project.org>
	* src/RelLib/_SecondaryObject.py: added, provide is_equal
	* src/RelLib/_Url.py: inherit from SecondaryObject
	* src/RelLib/_MediaRef.py: inherit from SecondaryObject
	* src/RelLib/_ChildRef.py: inherit from SecondaryObject
	* src/RelLib/_Name.py: inherit from SecondaryObject
	* src/RelLib/_Address.py: inherit from SecondaryObject
	* src/RelLib/_SourceRef.py: inherit from SecondaryObject
	* src/RelLib/_RepoRef.py: inherit from SecondaryObject
	* src/RelLib/_PersonRef.py: inherit from SecondaryObject
	* src/RelLib/_Attribute.py: inherit from SecondaryObject
	* src/RelLib/_Note.py: inherit from SecondaryObject
	* src/RelLib/_Location.py: inherit from SecondaryObject
	* src/RelLib/_EventRef.py: inherit from SecondaryObject
	* src/RelLib/_Event.py: inherit from SecondaryObject
	* src/RelLib/_LdsOrd.py: inherit from SecondaryObject

2006-05-18  Alex Roitman  <shura@gramps-project.org>
	* src/GrampsDb/_GrampsBSDDB.py: Remove unused methods; remove
	unused secondary tables; add more custom type holders.
	* src/GrampsDb/_GrampsDbBase.py (GrampsDbBase.__init__): Add more
	custom type holders.
	(commit_*): update custom type sets on commit.
	* src/DisplayTabs/_BackRefList.py (edit_button_clicked): Typo.
	* src/DataViews/_RepositoryView.py (edit, on_double_click): Catch
	exception.
	* src/GrampsWidgets.py (PlaceEntry.add_del_clicked) 
	(PlaceEntry.share_clicked): Catch exception.
	* src/GrampsDb/_DbUtils.py (db_copy): Copy bookmarks and gender stats.
	* data/grampsxml.dtd: Update for new bookmarks.
	* data/grampsxml.rng: Update for new bookmarks.
	* src/GrampsDb/_WriteXML.py (write_bookmarks): Add method to write
	new bookmarks.
	(XmlWriter.write_xml_data): Do not export name groups.
	* src/GrampsDb/_ReadXML.py (start_bmark): Parse new bookmarks
	* INSTALL: Clarify; list build-dependencies.
	* src/GrampsDb/_ReadGrdb.py: Update progress.
	(importData): Import bookmarks.

2006-05-18  Don Allingham  <don@gramps-project.org>
	* src/GrampsDb/_ReadGedcom.py: fix parsing level so that CHAR is not 
	skipped
	* src/DisplayTabs/_AddrEmbedList.py: fix city/state mapping (romjerome)
	* src/glade/gramps.glade: fix media ref dialog with warn box
	* src/Filters/_PersonSidebarFilter.py (PersonSidebarFilter.clear): 
	fix clearing of combobox

2006-05-17  Don Allingham  <don@gramps-project.org>
	* GrampsDb/_ReadGedcom.py: pychecker
	* GrampsDb/_GrampsDbBase.py: pychecker
	* GrampsDb/_DbUtils.py: pychecker
	* GrampsDb/_WriteGedcom.py: pychecker
	* StartupDialog.py: pychecker
	* DisplayTabs/_FamilyLdsEmbedList.py: pychecker
	* TipOfDay.py: pychecker
	* Utils.py: pychecker
	* PageView.py: pychecker
	* ToolTips.py: pychecker
	* Filters/_FilterWidget.py: pychecker
	* Filters/_SearchBar.py: pychecker
	* Filters/__init__.py: pychecker
	* Filters/_FilterStore.py: pychecker
	* Filters/_PersonSidebarFilter.py: pychecker
	* Filters/_FilterMenu.py: pychecker
	* Filters/_SidebarFilter.py: pychecker

2006-05-17  Alex Roitman  <shura@gramps-project.org>
	* src/GrampsDb/_ReadXML.py (start_childref): Typo.
	* src/GrampsDb/_ReadGrdb.py: Add repos, modularize.
	* src/ViewManager.py: Reorder calls to make work with ArgHandler.

2006-05-17  Don Allingham  <don@gramps-project.org>
	* src/GrampsCfg.py: pychecker fixes
	* src/GrampsWidgets.py: pychecker fixes
	* src/glade/gramps.glade: fix text entry -> label
	* src/NameDisplay.py: pychecker fixes
	* src/DisplayState.py: pychecker fixes
	* src/GrampsDisplay.py: pychecker fixes
	* src/DateEdit.py: pychecker fixes
	* src/gramps_main.py: pychecker fixes
	* src/DbLoader.py: pychecker fixes

2006-05-17  Alex Roitman  <shura@gramps-project.org>
	* src/ArgHandler.py: Adapt to recent changes.
	* src/BasicUtils.py (update_empty): Clean up callback.
	* src/GrampsDb/_ReadGedcom.py: Clean up callback.
	* src/GrampsDb/_GrampsDbBase.py (DbState.change_database_noclose):
	Add new method.
	* src/Makefile.am (gdir_PYTHON): Ship new file.
	* src/DbLoader.py: add new module.
	* src/ViewManager.py: Use DbLoader.
	* src/DisplayState.py (load): Do not perform post_load tasks.
	* src/GrampsDb/_GrampsBSDDB.py (GrampsBSDDB.load): close if
	version is incopmatible.

2006-05-17  Don Allingham  <don@gramps-project.org>
	* src/GrampsDb/_GrampsDbBase.py: remove place name storage
	* src/Editors/_EditLdsOrd.py: new SelectPlace interface
	* src/glade/gramps.glade: new select place interface changes
	* src/Editors/_EditPlace.py: new SelectPlace interface
	* src/Editors/_EditEventRef.py: new SelectPlace interface, remove
	old code
	* src/Editors/_EditEvent.py: new SelectPlace interface
	* src/GrampsWidgets.py: new Place editor interface

2006-05-17  Alex Roitman  <shura@gramps-project.org>
	* src/GrampsWidgets.py (LinkLabel.__init__): Set cursor to HAND1.

2006-05-17  Stefan Bjork  <betula@users.sourceforge.net>
	* po/sv.po: Imported from CVS and merged with gramps.pot.

2006-05-17  Martin Hawlisch  <Martin.Hawlisch@gmx.de>
	* src/glade/gramps.glade, 
	* src/TipOfDay.py: Use a gtk.Window instead of a Dialog to work
	around the "Button not clickable again" gtk-bug. (closes #0000033)

2006-05-16  Alex Roitman  <shura@gramps-project.org>
	* src/glade/gramps.glade (select_person): Name the box.
	* src/DataViews/_MediaView.py (row_change): Collect garbage on the
	row change.
	* src/Editors/_EditLdsOrd.py: Adapt to new selector.
	* src/DisplayTabs/_SourceEmbedList.py: Adapt to new selector.
	* src/DisplayTabs/_EventEmbedList.py: Adapt to new selector.
	* src/DisplayTabs/_GalleryTab.py: Adapt to new selector.
	* src/Selectors/_BaseSelector.py: Use DisplaModel models;
	(_local_init): Add selector-specific hook.
	* src/Selectors/_SelectRepository.py: Use DisplaModel models.
	* src/Selectors/_SelectSource.py: Use DisplaModel models.
	* src/Selectors/_SelectEvent.py: Use DisplaModel models.
	* src/Selectors/_SelectFamily.py: Use DisplaModel models.
	* src/Selectors/_SelectPlace.py: Use DisplaModel models.
	* src/Selectors/_SelectObject.py: Use DisplaModel models.
	(_local_init): Set up preview; 
	(_row_change): Show preview; collect garbage.

2006-05-16  Don Allingham  <don@gramps-project.org>
	* src/Editors/_EditEvent.py: start of SelectPlace integration
	* src/glade/gramps.glade: start of SelectPlace integration
	* src/GrampsWidgets.py: start of SelectPlace integration
	* src/DisplayTabs/_WebEmbedList.py: icon fixes
	* src/images/stock_insert-url.png: added
	* src/images/person.png: added
	* src/images/relation.png: added
	* src/images/Makefile.am: added new images
	* src/gramps_main.py: register icons as stock
	* src/GrampsDb/_ReadGedcom.py: handle blank lines

2006-05-16  Alex Roitman  <shura@gramps-project.org>
	* src/Selectors/_SelectPerson.py: Use new package.
	* src/plugins/RelCalc.py: Use new package.
	* src/DataViews/_PersonView.py: Use new package.
	* src/DisplayModels: Make new package.
	* src/Makefile.am: Remove old files.
	* src/Filters/_PersonSidebarFilter.py: Import gettext.
	* src/Filters/_SidebarFilter.py: Import gettext.
	* src/Filters/Makefile.am: Ship new files.

2006-05-16  Martin Hawlisch  <Martin.Hawlisch@gmx.de>
	* src/DataViews/_PedigreeView.py: Add navigation-arrows to the tree;
	work around bug in database-changed signals

2006-05-15  Alex Roitman  <shura@gramps-project.org>
	* src/GrampsDb/_GrampsXMLDB.py: Use callback, call parent's
	close() on close.
	* src/GrampsDb/_GrampsGEDDB.py: Use callback, call parent's
	close() on close.
	* src/GrampsDb/_WriteXML.py: Use new callback class.
	* src/GrampsDb/_WriteGedcom.py: Use new callback class.
	* src/GrampsDb/_DbUtils.py (db_copy): Update secondary indices for
	the InMem databases.

2006-05-15  Don Allingham  <don@gramps-project.org>
	* src/ViewManager.py: new stock icon support
	* src/gramps_main.py: new stock icon support
	* src/PageView.py: new stock icon support
	* src/images/stock_new-html.png: added
	* src/images/stock_delete-bookmark.png: added
	* src/images/stock_export.png: added
	* src/images/stock_edit-bookmark.png: added
	* src/images/stock_add-bookmark.png: added
	* src/images/stock_undo-history.png: added
	* src/images/stock_bookmark.png: added
	* src/DisplayTabs/_DataEmbedList.py: disable DND

2006-05-15  Alex Roitman  <shura@gramps-project.org>
	* src/ViewManager.py (save_as_activate): Use Save button in dialog.
	* src/GrampsDb/_DbUtils.py: import proper class.

2006-05-15  Don Allingham  <don@gramps-project.org>
	* src/DisplayTabs/_PersonEventEmbedList.py: fix selection of default type
	* src/Filters/__init__.py: add SidebarFilter, PersonSidebarFilter
	* src/Filters/_SidebarFilter.py: added
	* src/Filters/_PersonSidebarFilter.py: added
	* src/DataViews/_PersonView.py: cleaner interface to filters
	* src/plugins/RelCalc.py: cleaner interface to filters
	* src/PeopleModel.py: cleaner interface to filters
	* src/Selectors/_SelectPerson.py: cleaner interface to filters

2006-05-15  Alex Roitman  <shura@gramps-project.org>
	* src/Selectors/_Select*.py: Subclass from BaseSelector.
	* src/Selectors/Makefile.am: Ship new file.
	* src/Selectors/_BaseSelector.py: Add new file.

	* src/DataViews/_SourceView.py (edit,on_double_click): Catch exception.
	* configure.in: Generate new Makefile.
	* src/Makefile.am: adapt to new module.
	* src/Selectors: separate selectors in their own module.
	* src/Select*.py: move to Selectors.
	* src/DataViews/_FamilyView.py: Use new module.
	* src/Editors/_EditLdsOrd.py: Use new module.
	* src/Editors/_EditPersonRef.py: Use new module.
	* src/Editors/_EditFamily.py: Use new module.
	* src/DisplayTabs/_SourceEmbedList.py: Use new module.
	* src/DisplayTabs/_RepoEmbedList.py: Use new module.
	* src/DisplayTabs/_EventEmbedList.py: Use new module.
	* src/DisplayTabs/_GalleryTab.py: Use new module.
	* src/plugins/FilterEditor.py: Use new module.
	* src/plugins/SimpleBookTitle.py: Use new module.
	* src/PluginUtils/_Report.py: Use new module.

2006-05-14  Alex Roitman  <shura@gramps-project.org>
	* src/Makefile.am (gdir_PYTHON): Add new file.
	* src/SelectRepository.py: Add new file.
	* src/DisplayTabs/_RepoEmbedList.py: Add share button.

	* configure.in: Set up for 2.1.3.
	* src/GrampsDb/_ReadXML.py (start_url): Parse URL type.
	* example/gramps/exapmle.gramps: Add repositories, use new XML.
	* example/gramps/data.gramps: Add repositories, use new XML.
	* src/DateHandler/__init__.py: Remove unneeded imports.
	* src/plugins/Calendar.py (print_page): Use GrampsLocale._months.

2006-05-14  Brian Matherly  <brian@gramps-project.org>
	* src/PluginUtils/_ReportUtils.py: Change strings to include 
	gender instead of "child of"
	* src/plugins/FamilyGroup.py: Fix for Event and EventType changes.

2006-05-14  Don Allingham  <don@gramps-project.org>
	* src/DataViews/_RepositoryView.py: column fixes
	* src/DataViews/_SourceView.py: column fixes
	* src/DataViews/_EventView.py: column fixes
	* src/DataViews/_FamilyList.py: column fixes
	* src/DataViews/_PlaceView.py: column fixes
	* src/DataViews/_PersonView.py: column fixes
	* src/DisplayModels.py: column/sort fixes
	* src/PageView.py: column/sort fixes
	* src/DateHandler/__init__.py: import DateParser and DateDisplay
	* src/DataViews/_PersonView.py: default gender filter to "any"
	* configure.in: bump up to 2.1.2

2006-05-14  Alex Roitman  <shura@gramps-project.org>
	* src/DateHandler/__init__.py: Proper import sequence.
	* src/DateHandler/_DateHandler.py: Split into parts.
	* src/DateHandler/_DateUtils.py: Add new file.
	* src/DateHandler/_Date_sk.py: Bring to the new module structure.
	* src/DateHandler/Makefile.am (pkgdata_PYTHON): Ship new file.
	* src/GrampsDb/_ReadGedcom.py: Import from proper module.

	* src/plugins/ChangeTypes.py (init_gui): Work around intltool bug.
	* src/plugins/Summary.py: Set titles properly.
	* src/plugins/CountAncestors.py: Add window title, remove extra text.
	* src/Filters/Rules/Person/_HasNoteRegexp.py: Import re module.

2006-05-13  Brian Matherly  <brian@gramps-project.org>
	* src/plugins/NarrativeWeb.py: Add option for number of generations in
	  ancestor graph (bug #0000077)
	* src/PluginUtils/_Report.py: Fix custom paper size bug (bug #0000084)

2006-05-13  Don Allingham  <don@gramps-project.org>
	* src/DataViews/_FamilyView.py (FamilyView.redraw): handle history

2006-05-13  Alex Roitman  <shura@gramps-project.org>
	* src/ViewManager.py (show_url): Set up link handler.
	* src/plugins/CmdRef.py (CmdRef.write_ref): Change the module name.

2006-05-13  Don Allingham  <don@gramps-project.org>
	* src/plugins/RelCalc.py: provide default search value

2006-05-12  Don Allingham  <don@gramps-project.org>
	* src/DataViews/_PersonView.py: add non-functioning (for now) clear
	button
	* src/Config/_GrampsGconfKeys.py: get_default fix
	* src/GrampsCfg.py: add revert option for colors
	* src/Config/_GrampsGconfKeys.py: added get_default
	* src/Config/_GrampsIniKeys.py: added get_default

2006-05-12  Alex Roitman  <shura@gramps-project.org>
	* data/gramps.schemas.in: Brighter colors to use with foreground.
	* src/GrampsCfg.py (add_color): Update text label after color change.
	* src/Config/_GrampsGconfKeys.py (get_default): Allow other types.
	* src/GrampsCfg.py (reset_colors): Emit color-set signal to
	trigget hex text updates.
	* src/Config/_GrampsIniKeys.py (get_default): Add optional arg
	indicating type.

2006-05-12  Don Allingham  <don@gramps-project.org>
	* src/ViewManager.py: move ScratchPad to Edit
	* src/GrampsCfg.py: fix color dialog buttons
	* src/Filters/Rules/Person/_HasEvent.py: handle EventType
	* src/DataViews/_PersonView.py: set up new filter fields, remove
	source field
	* src/Filters/Rules/Person/_RegExpIdOf.py: added
	* src/Filters/Rules/Person/__init__.py: added new files
	* src/Filters/Rules/Person/_HasNoteMatchingSubstringOf.py
	* src/Filters/Rules/Person/_HasBirth.py: use loose_data_cmp
	* src/Filters/Rules/Person/_SearchName.py: search all fields
	* src/Filters/Rules/Person/_HasDeath.py: use loose_data_cmp
	* src/Filters/Rules/Person/_RegExpName.py: added
	* src/Filters/Rules/Person/_MatchIdOf.py: added
	* src/Filters/Rules/Person/_HasNoteRegexp.py: added
	* src/Filters/Rules/Person/Makefile.am: added new files
	* src/Filters/Rules/_RuleUtils.py: added loose_date_cmp

2006-05-12  Martin Hawlisch  <Martin.Hawlisch@gmx.de>
	* data/gramps.schemas.in: Swap colors for ToDo and complete. Using
	green is more obvious for complete records.

2006-05-12  Alex Roitman  <shura@gramps-project.org>
	* src/UndoHistory.py (gtk_color_to_str): Better color to str.
	* src/QuestionDialog.py (QuestionDialog2.__init__): Use the
	underline for labels.
	* src/plugins/ChangeNames.py: Fix WM.
	* src/plugins/PatchNames.py: Fix WM.

2006-05-12  Don Allingham  <don@gramps-project.org>
	* src/GrampsWidgets.py: fix MonitoredDataType initialization
	* plugins/BookReport.py: append "file://" properly
	* src/GrampsCfg.py: update for selectable colors, default colors
	* src/PeopleModel.py: update for selectable colors
	* data/gramps.schemas.in: update for selectable colors, default colors
	
2006-05-12  Alex Roitman  <shura@gramps-project.org>
	* src/Filters/Makefile.am (pkgdata_PYTHON): Add new files.

2006-05-11  Don Allingham  <don@gramps-project.org>
	* src/DataViews/_PersonView.py: add additional fields, and build
	filter
	* src/PeopleModel.py: handle both search and filters
	* src/Filters/_GenericFilter.py: import RelLib

2006-05-11  Alex Roitman  <shura@gramps-project.org>
	* src/UndoHistory.py (gtk_color_to_str): Correct byte color.
	(UndoHistory._selection_changed): Enable/disable buttons.

2006-05-11  Don Allingham  <don@gramps-project.org>
	* src/PageView.py: fix search tuple
	* src/GrampsWidgets.py: handle Marker type properly
	* src/DataViews/_PersonView.py: fix cache problem
	* src/RelLib/_MarkerType.py: handle NONE/CUSTOM conflict

2006-05-11  Alex Roitman  <shura@gramps-project.org>
	* src/UndoHistory.py: Paint all rows in a selected block; Require
	exploicit button click on any action.
	* src/PeopleModel.py (_MARKER_COL): Correct column numbers.
	(PeopleModel.column_marker_color): properly access marker value.

2006-05-10  Alex Roitman  <shura@gramps-project.org>
	* src/GrampsDb/_ReadXML.py (GrampsParser): Use UpdateCallback.
	* src/GrampsDb/_ReadGedcom.py (GedcomParser): Use UpdateCallback.
	* src/GrampsDb/_DbUtils.py (db_copy): Use UpdateCallback class.
	(get_total): Add function, remove unneeded class.
	* src/BasicUtils.py: Add module.
	(UpdateCallback.update_real): Allow optional argument; 
	(UpdateCallback.set_total): Add method.
	* src/Makefile.am (gdir_PYTHON): Add new file.
	* src/DataViews/_MediaView.py (edit): Handle the exception.
	* src/plugins/BookReport.py (__init__): Fix url.
	* src/plugins/ChangeTypes.py (run_tool): Disable/enable signals.
	* src/plugins/ReorderIds.py (__init__): Disable/enable signals.
	* src/plugins/PatchNames.py (on_ok_clicked): Start transaction
	only if doing the changes; disable/enable signals.
	* src/plugins/SoundGen.py: Fix WM.

2006-05-10  Don Allingham  <don@gramps-project.org>
	* src/DataViews/_PersonView.py: support for inverted searchs
	* src/PeopleModel.py: support for inverted searchs
	* src/DisplayModel.py: support for inverted searchs
	* src/PageView.py: support for inverted searchs, correct col index
	* src/Filters/_SearchBar.py: support for inverted searchs, change
	button order
	* src/Filters/_SearchFilter.py: support for inverted searchs

2006-05-10  Alex Roitman  <shura@gramps-project.org>
	* src/GrampsDb/_ReadGedcom.py (func_person_attr): Typos.

2006-05-10  Don Allingham  <don@gramps-project.org>
	* src/ViewManager.py: remove debug statement
	* src/PeopleModel.py: use SearchFilter
	* src/DisplayModels.py: handle search filter
	* src/PageView.py: search bar support
	* src/Filters/_SearchBar.py: remove SearchFilter to separate file, 
	fix status bar message, improved buttons.
	* src/Filters/_SearchFilter.py: added
	* src/Filters/__init__.py: added SearchBar

2006-05-10  Alex Roitman  <shura@gramps-project.org>
	* src/GrampsDb/_DbUtils.py (db_copy): Use batch transaction.
	* src/GrampsDb/_GrampsBSDDB.py (transaction_begin): Proper indentation.

2006-05-09  Don Allingham  <don@gramps-project.org>
	* src/DataViews/_PersonView.py: search bar implementation
	* src/PeopleModel.py: search bar implementation
	* src/PageView.py: search bar implementation
	* src/Filters/_SearchBar.py: search bar functionality
	* src/Filters/__init__.py: search bar functionality
	* src/AddMedia.py: remember last directory for images for 
	the session

2006-05-09  Alex Roitman  <shura@gramps-project.org>
	* src/GrampsDb/_GrampsBSDDB.py (load_from): Add method.
	* src/GrampsDb/_GrampsXMLDB.py (load_from): Add method.
	* src/GrampsDb/_GrampsGEDDB.py (load_from): Add method.
	* src/GrampsDb/_GrampsDbBase.py (load_from): Add method.
	* src/GrampsDb/_WriteGrdb.py: Use db_copy.
	* src/GrampsDb/_DbUtils.py (db_copy): Add function.
	* src/ViewManager.py: Save as support.
	* src/DataViews/_MapView.py (enable_debug): Set to False to be
	able to see the output besides MapView.

	* src/plugins/FamilyGroup.py: Use triple quotes.
	* src/Exporter.py (Exporter.native_export): Use callback.
	* src/Utils.py (get_new_filename): Add path separator.
	* src/GrampsDb/_WriteGrdb.py: Proper export of tables with and
	without transaction support, add callback.
	* src/plugins/WriteCD.py: Correctly import XmlWriter.
	* src/GrampsDb/_WriteXML.py (write_object): Check whether path is
	empty before removing leading slash.
	* src/GrampsDb/_WriteGedcom.py: Bring to new API.
	* src/plugins/ExportVCard.py: Bring to new API.
	* src/plugins/ExportVCalendar.py: Bring to new API.
	* src/plugins/WriteFtree.py: Bring to new API.
	* src/Filters/_FilterMenu.py (build_filter_menu): Return the menu.
	* src/plugins/WriteGeneWeb.py: Bring to new API.

2006-05-09  Don Allingham  <don@gramps-project.org>
	* src/DataViews/_MapView.py: add tool tips to tool buttons
	* src/ViewManager.py: add tool tips to Open button

2006-05-08  Alex Roitman  <shura@gramps-project.org>
	* src/GrampsDb/_GrampsDbBase.py (get_default_person): Use proper
	way of getting person from the handle.

2006-05-08  Don Allingham  <don@gramps-project.org>
	* src/GrampsDb/_GrampsDbBase.py: get_default_handle()
	* src/DisplayState.py: use get_default_handle, fix race condition 

2006-05-08  Alex Roitman  <shura@gramps-project.org>
	* src/GrampsDb/_GrampsBSDDB.py (load): Better non-TXN support.
	* src/UndoHistory.py (__init__): Rename list to tree.

	* src/DataViews/_PersonView.py (delete_person_response): Use child_ref.
	* src/plugins/Leak.py: Typo.
	* src/plugins/Eval.py: Convert to ManagedWindow.
	* src/GrampsDb/_GrampsBSDDB.py (gramps_upgrade_9): Add callname to
	names during upgrade.
	* src/GrampsDb/_ReadXML.py (start_childref): Typo.
	* src/GrampsDb/_GrampsInMemDB.py (load): Define self.full_name
	prior to calling open_undodb().
	(GrampsInMemDB._del_*): Proper deletes.

2006-05-07  Don Allingham  <don@gramps-project.org>
	* configure.in: set for 2.1.1
	* src/GrampsDb/_ReadXML.py: call name support
	* src/GrampsDb/_WriteXML.py: call name support
	* src/DisplayState.py: include name and relationship on statusbar
	* src/DataViews/_MediaView.py: tool tips
	* src/DataViews/_RepositoryView.py: tool tips
	* src/DataViews/_SourceView.py: tool tips
	* src/DataViews/_EventView.py: tool tips
	* src/DataViews/_PedigreeView.py: tool tips
	* src/DataViews/_PlaceView.py: tool tips
	* src/DataViews/_PersonView.py: tool tips
	* src/ViewManager.py: tool tips
	* src/QuestionDialog.py: add info dialog
	* src/PageView.py: tool tips
	* src/DataViews/_PersonView.py: rebuild tree on surname change,
	don't attempt to delete/insert, since this can cause things to
	hang.

2006-05-06  Alex Roitman  <shura@gramps-project.org>
	* src/GrampsDb/_GrampsBSDDB.py (load): Use common undodb
	methods; reset undo history.
	* src/GrampsDb/_GrampsInMemDB.py (load): Use common undodb
	methods; reset undo history.
	* src/GrampsDb/_GrampsXMLDB.py: Minor fix.
	* src/GrampsDb/_GrampsGEDDB.py: Minor fix.
	* src/GrampsDb/_GrampsDbBase.py: Undo history support.
	* src/UndoHistory.py: Fixes and additions.
	* src/ViewManager.py (post_load): Re-set undo/redo labels.

2006-05-06  Don Allingham  <don@gramps-project.org>
	* src/PluginUtils/_ReportUtils.py: fix set_nick_name
	* src/RelLib/_MediaRef.py: handle initialization of Ref object
	* src/DataViews/_PersonView.py: handle filter option correctly
	* src/DisplayTabs/_SourceEmbedList.py: fix icon
	* src/DisplayState.py: add relationship calculator option to statusbar

2006-05-05  Don Allingham  <don@gramps-project.org>
	* src/DisplayTabs/_WebEmbedList.py: new icon

2006-05-05  Alex Roitman  <shura@gramps-project.org>
	* src/glade/gramps.glade: typo.
	* src/Editors/_EditSourceRef.py (_create_tabbed_pages): Add data
	and repository tabs.
	* src/GrampsDb/_GrampsDbBase.py (undo, redo): Add repository map
	to the tuple of tables.

2006-05-05  Don Allingham  <don@gramps-project.org>
	* src/DisplayTabs/_BackRefList.py: handle edit of events
	* src/DisplayTabs/_NoteTab.py: stock_notes icon
	* src/DisplayTabs/_GrampsTab.py: handle named icons
	* src/glade/gramps.glade: hide date edit by default
	* src/DateEdit.py: ManagedWindow
	* src/Editors/_EditAddress.py: new DateEdit interface
	* src/Editors/_EditLdsOrd.py: new DateEdit interface
	* src/Editors/_EditSourceRef.py: new DateEdit interface
	* src/Editors/_EditEventRef.py: new DateEdit interface
	* src/Editors/_EditMedia.py: new DateEdit interface
	* src/Editors/_EditName.py: new DateEdit interface
	* src/Editors/_EditEvent.py: new DateEdit interface
	* src/GrampsWidgets.py: new DateEdit interface
	* src/Editors/_EditFamily.py: import ChildModel

2006-05-05  Alex Roitman  <shura@gramps-project.org>
	* src/UndoHistory.py: Add new file.
	* src/ViewManager.py: undo history support.
	* src/GrampsDb/_GrampsDbBase.py (Transaction.__init__): Add
	timestamp to the transaction.
	(GrampsDbBase.redo): Update undo history window.
	(GrampsDbBase.undo): Update undo history window.
	(GrampsDbBase.transaction_commit): Update undo history window.
	(GrampsDbBase.transaction_commit): Set transaction timestamp.
	(GrampsDbBase.__init__): Define undo_history_callback.
	* src/Makefile.am (gdir_PYTHON): Ship new file.

2006-05-05  Don Allingham  <don@gramps-project.org>
	* src/GrampsDb/_ReadGedcom.py: nickname changes
	* src/GrampsDb/_ReadXML.py: nickname changes
	* src/GrampsDb/_WriteGedcom.py: nickname changes
	* src/GrampsDb/_WriteXML.py: nickname changes
	* src/Editors/_EditPerson.py: nickname/call name changes
	* src/Editors/_EditName.py: nickname/call name changes
	* src/RelLib/_AttributeType.py: nickname changes
	* src/RelLib/_Name.py: call name changes
	* src/RelLib/_Person.py: nickname changes
	* src/MergePeople.py: nickname elimination

2006-05-05  Alex Roitman  <shura@gramps-project.org>
	* src/DisplayTabs/_MediaBackRefList.py: Import model.
	* src/GrampsDb/_GrampsBSDDB.py (gramps_upgrade_9): Add nickname
	upgrade.

2006-05-05  Don Allingham  <don@gramps-project.org>
	* src/ViewManager.py: Add undo history menu entry

2006-05-04  Alex Roitman  <shura@gramps-project.org>

	* src/Makefile.am (gdir_PYTHON): Remove DisplayTabs.py.
	* src/plugins/Makefile.am (pkgdata_PYTHON): Ship rel_sk.py.

	* src/Filters/Rules/Makefile.am (pkgdata_PYTHON): Add mising files.
	* src/DisplayTabs.py: remove file.
	* src/DisplayTabs: Add package.

2006-05-04  Don Allingham  <don@gramps-project.org>
	* src/glade/gramps.glade: add call name field, add id fields
	* src/glade/edit_person.glade: add call name field
	* src/DataViews/_PersonView.py: start of filter sidebar,
	use hbox instead of hpaned
	* src/Editors/_EditPlace.py: add ID field
	* src/Editors/_EditSource.py: add ID field
	* src/Editors/_EditEventRef.py: add ID field
	* src/Editors/_EditEvent.py: add ID field

2006-05-04  Alex Roitman  <shura@gramps-project.org>
	* src/SelectObject.py: Convert to managed window.
	* src/SelectEvent.py: Convert to managed window.
	* src/SelectSource.py: Convert to managed window.
	* src/DisplayTabs.py: Properly call selectors.
	(DataEmbedList): Hook up data map for sources.

2006-05-03  Alex Roitman  <shura@gramps-project.org>
	* src/DisplayTabs.py (NoteTab.build_interface): Add spacing to
	radiobuttons.
	* src/plugins/ReorderIds.py (ReorderIds.reorder): Switch from
	cursors to keys iteration.

2006-05-03  Don Allingham  <don@gramps-project.org>
	* src/ViewManager.py: do a better job of building the buttons.

2006-05-03  Alex Roitman  <shura@gramps-project.org>
	* src/PluginUtils/_Tool.py (BatchTool): Add class taking care of
	tools with batch transactions.
	(ActivePersonTool.pass): Remove method.
	* src/plugins/Check.py (Check): Derive from BatchTool.
	* src/plugins/ReorderIds.py (ReorderIds): Use batch transactions;
	derive from BatchTool.
	* src/plugins/ChangeTypes.py (ChangeTypes): Use batch
	transactions; derive from BatchTool. 
	* src/plugins/ChangeNames.py (ChangeNames): Derive from BatchTool.
	* src/plugins/PatchNames.py (PatchNames): Use batch transactions;
	derive from BatchTool.
	* src/glade/gramps.glade: Make both buttons' lables in
	questiondialog use underline property.
	* src/GrampsDb/_GrampsInMemDB.py (abort_changes): Remove method.
	* src/GrampsDb/_GrampsDbBase.py (abort_changes): Remove method.
	(GrampsDbBase.transaction_begin): No aborting after batch transaction.
	* src/GrampsDb/_GrampsBSDDB.py (undo,redo): Use the status from
	GrampsDbBase undo/redo;
	(abort_changes): Remove method.
	(GrampsBSDDB.transaction_begin): No aborting after batch transaction.
	* src/ViewManager.py (abort): Add method for abandoning changes.
	(ViewManager.import_data): Add undo warning for imports.

	* configure.in: Set release to 0.SVN.
	* src/DataViews/_PersonView.py (define_actions): Change label.

2006-05-03  Don Allingham  <don@gramps-project.org>
	* src/ViewManager.py: Optionally exclude text from buttons
	* src/GrampsCfg.py: add SIDEBAR_TEXT option
	* src/GrampsConfigKeys.py: add SIDEBAR_TEXT option
	* data/gramps.schemas.in: add SIDEBAR_TEXT option
	* src/GrampsGconfKeys.py: handle None returned by routines properly
	* src/Filters/Rules/Person/Makefile.am: remove unused files
	* src/DataViews/_FamilyView.py: update on db change
	* src/DataViews/_FamilyList.py: Move ColumnEdit local
	* src/ViewManager.py: remove ColumnEdit, make local

2006-05-03  Alex Roitman  <shura@gramps-project.org>
	* src/Editors/_EditPlace.py (_setup_fields): Typo.

2006-05-02  Don Allingham  <don@gramps-project.org>
	* src/Config/_GrampsConfigKeys.py: add family-warn back in
	* data/gramps.schemas.in: add family-warn back in
	
2006-05-02  Alex Roitman  <shura@gramps-project.org>
	* src/Filters/Rules/*: Add object-specific rules.

	* src/GrampsWidgets.py (IconButton): Replace event box with button.
	* src/GrampsWidgets.py (WarnButton): Replace event box with button.

	* configure.in: Generate new Makefiles.
	* src/GenericFilters.py: Remove.
	* src/Filters: Move filtering to its own package.
	
	* src/RelLib/_BaseObject.py (PrivacyBase): Remove class, as it
	already has its own module.
	* src/AutoComp.py (StandardCustomSelector.fill): Adapt to new types.
	* src/GrampsDb/_GrampsBSDDB.py (gramps_upgrade_9): Add broken
	witness note.

2006-05-01  Don Allingham  <don@gramps-project.org>
	* src/DataViews/_PersonView.py: view specific key mapping support
	* src/ViewManager.py: remember last View
	* src/Config/GrampsConfigKeys.py: LAST_VIEW key
	* src/PageView.py: key binding support
	* data/gramps.schemas.in: LAST_VIEW key
	* src/Editors/_EditPersonRef.py (EditPersonRef._select_person): fix
	call to SelectPerson
	* src/DataViews/_PersonView.py (PersonView.define_actions): add
	expand and collapse all node menu entries

2006-05-01  Alex Roitman  <shura@gramps-project.org>
	* src/DataViews/_PedigreeView.py (define_actions): Translate labels.
	* src/DataViews/_SourceView.py (define_actions): Translate labels.
	* src/DataViews/_PlaceView.py (define_actions): Translate labels.
	* src/DataViews/_MediaView.py (define_actions): Translate labels.
	* src/DataViews/_RepositoryView.py (define_actions): Translate labels.
	* src/DataViews/_MapView.py (define_actions): Translate labels.
	* src/DataViews/_EventView.py (define_actions): Translate labels.
	* src/DataViews/_PersonView.py (define_actions) Translate labels.
	* src/PageView.py (BookMarkView.define_actions,
	PersonNavView.define_actions, ListView.define_actions): Translate
	labels.

	* src/plugins/rel_sk.py: Typo.
	* src/GrampsDb/_GrampsBSDDB.py (gramps_upgrade_9): Skip broken witness.
	* src/GrampsDb/_GrampsDbBase.py (find_backlink_handles): Correctly
	loop over all primary classes looking for a given handle.
	* src/RelLib/_Source.py (serialize, unserialize): properly save
	and restore marker.
	* src/RelLib/_MediaObject.py (serialize, unserialize): properly
	save and restore marker.
	* src/RelLib/_Place.py (serialize, unserialize): properly save and
	restore marker.
	* src/RelLib/_Repository.py (serialize, unserialize): properly
	save and restore marker.
	* src/RelLib/_Event.py (serialize, unserialize): properly save and
	restore marker.
	* various: merge changes from gramps20.

2006-04-30  Alex Roitman  <shura@gramps-project.org>
	* src/plugins/Verify.py (Verify.run_tool): Typo.
	
2006-04-30  Don Allingham  <don@gramps-project.org>
	* src/DataViews.py/_PersonView.py: don't add handles of top level
	objects
	* src/GrampsWidgets.py: handle both types and tuples

2006-04-30  Brian Matherly  <brian@gramps-project.org>
	* src/plugins/CountAncestors.py: Use positive numbers for generations to be 
	  consistent with the rest of GRAMPS

2006-04-30  Don Allingham  <don@gramps-project.org>
	* src/RelLib/_Person.py: prevent duplicate entries in family lists

2006-04-29  Don Allingham  <don@gramps-project.org>
	* src/Editors/_EditFamily.py: fix Select Person calls
	* src/docgen/Makefile.am: add ODSDoc.py
	* po/POTFILES.in: add ODSDoc.py
	* src/NEWS: Updated for 2.1.0 release

2006-04-29  Brian Matherly  <brian@gramps-project.org>
	* src/plugins/CountAncestors.py: Add percent of theoretical ancestors

2006-04-28  Don Allingham  <don@gramps-project.org>
	* src/AddMedia.py: assign handle to notes

2006-04-28  Brian Matherly  <brian@gramps-project.org>
	* src/docgen/ODSDoc.py: Add Open Document Spreadsheet document
	* src/plugins/EventCmp.py: Use ODSDoc instead of OpenSpreadSheet

2006-04-28  Don Allingham  <don@gramps-project.org>
	* src/DataViews/_MediaView.py (MediaView.add): Fix call to AddMedia
	* src/ViewManager.py: add ScratchPad to the View menu
	* src/Editors/_EditFamily.py: Fix tooltips
	* src/glade/gramps.glade: remove predefined tooltips
	* src/AutoComp.py (StandardCustomSelector.fill): handle unicode
	in addition to str
	* src/ScratchPad.py (ScratchPadWindow.__init__): fix call to
	set_window, passing proper arguments

2006-04-28  Alex Roitman  <shura@gramps-project.org>
	* src/ScratchPad.py (ScratchPadWindow.__init__): Allow only one
	instance; translate label; remove unneeded event handlers.
	* src/ViewManager.py (ViewManager.scratchpad): Catch exception.
	(ViewManager._init_lists): Translate menu labels.

2006-04-27  Alex Roitman  <shura@gramps-project.org>
	* src/ViewManager.py (ViewManager.build_plugin_menu): Use unique
	command-line name for action menu.
	* src/plugins/GraphViz.py: Fix report.
	* src/PluginUtils/_PluginMgr.py (_register_standalone): Remove
	unneeded import.
	* src/PluginUtils/_Plugins.py (build_tools_menu, build_report_menu,
	build_plugin_menu, by_menu_name): Remove functions already
	re-implemented in ViewManager.
	* src/plugins/EventCmp.py: Correct button label.
	* src/plugins/StatisticsChart.py: Fix report.

2006-04-27  Don Allingham  <don@gramps-project.org>
	* src/GrampsDb/_GrampsDbBase.py: fix custom event storing
	* src/GrampsDb/_GrampsBSDDB.py: fix custom event storing
	* src/Editors/_EditEventRef.py: fix custom event storing
	* src/Editors/_EditEvent.py: fix custom event storing
	* src/GrampsWidgets.py: fix custom data types
	* src/AutoComp.py: fix custom data types
	
2006-04-27  Brian Matherly  <brian@gramps-project.org>
	* src/docgen/OpenSpreadSheet.py: fix manifest so files open in calc

2006-04-27  Don Allingham  <don@gramps-project.org>
	* src/Editors/_EditReference.py: fix warn_box call
	* src/DisplayTabs.py: handle canceled edit box for media
	* src/AddMedia.py: ManagedWindow support
	* src/SelectPerson.py: ManagedWindow support

2006-04-27  Alex Roitman  <shura@gramps-project.org>
	* src/ViewManager.py (reports_clicked, tools_clicked): handle
	exception.
	* src/PluginUtils/_Plugins.py (PluginDialog.on_apply_clicked):
	Correctly call gui_tool, fix wm.	

2006-04-27  Don Allingham  <don@gramps-project.org>
	* src/Editors/_EditPerson.py (EditPerson._create_tabbed_pages): 
	initialize load_image callback
	* src/DisplayTabs.py (GalleryTab): call callback if defined when
	the list is updated, handle reorder inserting of None objects
	* src/ViewManager.py: fix top on Config.set calls
	* data/gramps.schemas.in: remove toolbar, now unused
	* src/TipOfDay.py (TipOfDay.__init__): switch to ManagedWindow
	* src/Editors/_EditFamily.py: provide add new parent option
	* src/Editors/_EditEvent.py: used set_window
	* src/glade/gramps.glade: add new buttons for add new parent

2006-04-27  Alex Roitman  <shura@gramps-project.org>
	* src/plugins/CmdRef.py: Fix tool.
	* src/PluginUtils/_PluginStatus.py: Fix wm.
	* src/PluginUtils/_Plugins.py: Fix Reload tool. The re-building of
	the menus still needs to be fixed.
	* src/plugins/Leak.py: Fix wm.
	* src/docgen/LPRDoc.py: Import Errors module before it is called.
	* src/plugins/DumpGenderStats.py: Fix wm.

2006-04-27  Don Allingham  <don@gramps-project.org>
	* src/DisplayModels.py: flush cache on row update
	* src/DisplayTabs.py: check of event==None when determining default type
	* src/ViewManager.py: support for keypress events
	* src/gramps.py: fix gnome init

2006-04-26  Alex Roitman  <shura@gramps-project.org>
	* src/plugins/PatchNames.py (PatchNames.on_ok_clicked): Properly
	call update.
	* src/plugins/Verify.py: Fix wm.
	* src/plugins/RelCalc.py: Fix wm.
	* src/plugins/SoundGen.py: Fix wm.
	* src/plugins/Checkpoint.py: Fix wm.
	* src/plugins/ReorderIds.py: Adapt to new API; rebuild for Events
	and Repositories.
	* src/GrampsLogger/_ErrorReportAssistant.py
	(ErrorReportAssistant._get_sys_information): Add LANG to report.

	* src/plugins/ChangeTypes.py: Fix wm; adapt to RelLib changes.
	* src/plugins/ChangeNames.py: Fix wm.
	* src/MergePeople.py: Adapt to RelLib changes.
	* src/plugins/Merge.py: Properly call MergePeople; properly call
	update; set dbstate and uistate as instance attributes.

	* src/plugins/Check.py: Adapt to new family relation types.

2006-04-26  Don Allingham  <don@gramps-project.org>
	* src/Bookmarks.py: connect goto_handle function for bookmark 
	callback
	* src/PageView.py: connect goto_handle function for bookmark 
	callback
	* src/ViewManager.py: force uimanager updates
	* src/Bookmarks.py: force uimanager updates
	* src/DisplayState.py: force uimanager updates
	* src/Navigation.py: force uimanager updates
	* src/ManagedWindow.py: force uimanager updates
	* src/DataViews/_MediaView.py: multiple bookmark lists
	* src/DataViews/_RepositoryView.py: multiple bookmark lists
	* src/DataViews/_SourceView.py: multiple bookmark lists
	* src/DataViews/_EventView.py: multiple bookmark lists
	* src/DataViews/_FamilyView.py: multiple bookmark lists
	* src/DataViews/_FamilyList.py: multiple bookmark lists
	* src/DataViews/_PedigreeView.py: multiple bookmark lists
	* src/DataViews/_PlaceView.py: multiple bookmark lists
	* src/DataViews/_PersonView.py: multiple bookmark lists
	* src/ViewManager.py: multiple bookmark lists
	* src/GrampsDb/_GrampsDbBase.py: multiple bookmark lists
	* src/GrampsDb/_GrampsBSDDB.py: multiple bookmark lists
	* src/Bookmarks.py: multiple bookmark lists
	* src/gramps_main.py: multiple bookmark lists
	* src/PageView.py: multiple bookmark lists

2006-04-26  Martin wlisch  <Martin.Hawlisch@gmx.de>
	* src/DataViews/_MapView.py: First badly hacked version of online map
	downloading.

2006-04-25  Alex Roitman  <shura@gramps-project.org>
	* src/GrampsCfg.py (build_window_key): Remove, as there's no need
	to override the base class anymore.
	* src/plugins/PatchNames.py: Adapt to new wm.
	* src/PluginUtils/_Tool.py (gui_tool): handle exception.
	* src/plugins/EventCmp.py (DisplayChart.on_write_table): Use
	FileChooser dialog.
	* src/plugins/eventcmp.glade: remove unused dialog.

2006-04-25  Don Allingham  <don@gramps-project.org>
	* src/Bookmarks.py: Don't use goto submenu
	* src/GrampsCfg/py: move and rename tabs, change Prefixes for Formats
	* src/ViewManager.py: new config changes, handle exception, enable
	Edit button by default
	* src/GrampsCfg.py: new config changes
	* src/Config/gen_schema_keys.py: new config changes
	* src/gramps_main.py: new config changes

2006-04-25  Alex Roitman  <shura@gramps-project.org>
	* src/plugins/Desbrowser.py: Window Management fixes.
	* src/Bookmarks.py: Redraw "Go to bookmark" menu if changes were
	made in the bookmard editor; Use fixed column widths in editor.

	* src/plugins/EventCmp.py: Adapt to RelLib changes.
	* src/GenericFilter.py (GenericFilter.check_and): Correct logic.
	* src/PluginUtils/_PluginStatus.py: Use new set_window.

	* src/Makefile.am: Include BaseDoc in the docmodules list.
	* src/GrampsDb/_GrampsBSDDB.py: Different order of closing.

2006-04-24  Brian Matherly  <pez4brian@users.sourceforge.net>
	* src/GrampsDisplay.py: make manual work in Windows

2006-04-24  Don Allingham  <don@gramps-project.org>
	* src/GrampsDb/_GrampsBSDDB.py: handle data_map during
	reload of the database
	* src/DataViews/_FamilyView.py: Config changes
	* src/ViewManager.py: Config changes
	* src/GrampsDb/_GrampsDbBase.py: Config changes
	* src/Exporter.py: Config changes
	* src/GrampsCfg.py: Config changes
	* src/Config/_GrampsConfigKeys.py: Config changes
	* src/Config/__init__.py: Config changes
	* src/Config/_GrampsGconfKeys.py: Config changes
	* src/Config/Makefile.am: Config changes
	* src/Config/_GrampsIniKeys.py: Config changes
	* src/Config/gen_schema_keys.py: Config changes
	* src/StartupDialog.py: Config changes
	* src/Editors/_EditPrimary.py: Config changes
	* src/Editors/_EditFamily.py: Config changes
	* src/TipOfDay.py: Config changes
	* src/DisplayState.py: Config changes
	* src/Spell.py: Config changes
	* src/QuestionDialog.py: Config changes
	* src/PluginUtils/_Report.py: Config changes
	* src/PluginUtils/_Plugins.py: Config changes
	* src/PluginUtils/_ReportOptions.py: Config changes
	* src/gramps_main.py: Config changes
	* src/ArgHandler.py: Config changes

2006-04-23  Don Allingham  <don@gramps-project.org>
	* src/DataViews/_MediaView.py: Column editor changes
	* src/DataViews/_RepositoryView.py: Column editor changes
	* src/DataViews/_SourceView.py: Column editor changes
	* src/DataViews/_EventView.py: Column editor changes
	* src/DataViews/_FamilyView.py: Column editor changes
	* src/DataViews/_PlaceView.py: Column editor changes
	* src/DataViews/_PersonView.py: Column editor changes
	* src/GrampsDb/_DbUtils.py: fix add_child_to_family to handle refs
	* src/ColumnOrder.py: format changes
	* src/glade/gramps.glade: format changes
	* src/SelectFamily.py: ManagedWindow support

2006-04-23  Alex Roitman  <shura@gramps-project.org>
	* src/Utils.py: Make set_titles call ManagedWindow.set_titles
	with warning.
	* src/ManagedWindow.py: move set_titles here.
	* src/plugins/FilterEditor.py: Use new set_window method.
	* src/Editors/_Edit*.py: new set_window method.

2006-04-23  Don Allingham  <don@gramps-project.org>
	* src/ColumnOrder.py: use ManagedWindow
	* src/DataViews/_MediaView.py: ColumnOrder update
	* src/DataViews/_RepositoryView.py: ColumnOrder update
	* src/DataViews/_SourceView.py: ColumnOrder update
	* src/DataViews/_EventView.py: ColumnOrder update
	* src/DataViews/_PlaceView.py: ColumnOrder update
	* src/DataViews/_PersonView.py: ColumnOrder update
	* src/ColumnOrder.py: preserved column width
	* src/GrampsCfg.py: remove familyview stuff
	* src/plugins/TestcaseGenerator.py: fix BIRTH, DEATH constants

2006-04-23  Alex Roitman  <shura@gramps-project.org>
	* src/GrampsDb/_GrampsBSDDB.py (gramps_upgrade_9): Delete column
	metadata.
	* src/PluginUtils/_PluginStatus.py (PluginTrace.__init__): Set
	scrolling policy to auto;
	(PluginTrace.close_window): Add method.

2006-04-22  Brian Matherly  <pez4brian@users.sourceforge.net>
	* src/PluginUtils/_ReportUtils.py: keep up with RelLib changes
	* src/plugins/NavWebPage.py: keep up with RelLib changes

2006-04-22  Don Allingham  <don@gramps-project.org>
	* src/GrampsDb/_GrampsDbBase.py: pychecker
	* src/GrampsDb/_GrampsBSDDB.py: pychecker
	* src/RelLib/_CalSdn.py: pychecker
	* src/RelLib/_PrivateSourceNote.py: pychecker
	* src/RelLib/_GenderStats.py: pychecker
	* src/MergePeople.py: pychecker
	* src/SelectObject.py: pychecker
	* src/ScratchPad.py: pychecker
	* src/ImgManip.py: pychecker
	* src/docgen/ODFDoc.py: pychecker
	* src/docgen/OpenOfficeDoc.py: pychecker
	* src/docgen/LPRDoc.py: pychecker
	* src/SelectEvent.py: pychecker
	* src/GrampsDb/_ReadXML.py: fix Type str_from_xml calls
	* src/DataViews/_MediaView.py: Shorten tab name
	* src/DataViews/_RepositoryView.py: Shorten tab name
	* src/DataViews/_SourceView.py: Shorten tab name
	* src/DataViews/_EventView.py: Shorten tab name
	* src/DataViews/_FamilyView.py: Shorten tab name
	* src/DataViews/_FamilyList.py: Shorten tab name
	* src/DataViews/_PedigreeView.py: Shorten tab name
	* src/DataViews/_PlaceView.py: Shorten tab name
	* src/DataViews/_PersonView.py: Shorten tab name
	* src/DataViews/_MapView.py: Shorten tab name
	* src/glade/gramps.glade: remove unused option
	* src/const.py.in: bugtracker address fix

2006-04-21  Brian Matherly  <pez4brian@users.sourceforge.net>
	* src/PluginUtils/_ReportUtils.py: keep up with RelLib changes
	* src/plugins/DetDescendantReport.py: keep up with RelLib changes
	* src/plugins/DescendChart.py: keep up with RelLib changes
	* src/plugins/DetAncestralReport.py: keep up with RelLib changes

2006-04-21  Alex Roitman  <shura@gramps-project.org>
	* src/PluginUtils/_ReportUtils.py (buried_str): Typo.
	* src/plugins/DetDescendantReport.py (write_children): Use child_refs.
	* src/plugins/DetAncestralReport.py (write_children): Use child_refs.
	* src/plugins/IndivComplete.py (write_fact): Use new event type.
	* src/docgen/KwordDoc.py (KwordDoc.close): Use tarile.

2006-04-21  Don Allingham  <don@gramps-project.org>
	* src/StartupDialog.py: fix close
	* src/plugins/Desbrowser.py: Use ActivPersonTool
	* src/PluginUtils/_Tool.py: active person tool added
	* src/plugins/FilterEditor.py: fix close arguments
	* src/plugins/ChangeNames.py: fix close arguments
	* src/plugins/Merge.py: fix close arguments
	* src/plugins/ChangeTypes.py: fix close arguments
	* src/plugins/PatchNames.py: fix close arguments
	* src/plugins/Desbrowser.py: check for active person
	* src/GrampsDb/_ReadXML.py: fix typos
	* src/PluginUtils/_PluginMgr.py: handle module to description mapping
	* src/Editors/_EditRepoRef.py: fix typos
	* src/Editors/_EditMediaRef.py: define warnbox
	* src/GrampsDb/_DbUtils.py: fix old call to get_child_handle_list
	* src/Editors/_EditSource.py: remove warnbox
	* src/Editors/_EditMedia.py: remove warnbox
	* src/PluginUtils/_PluginStatus.py: add viewing of exceptions

2006-04-21  Martin Hawlisch  <Martin.Hawlisch@gmx.de>
	* src/DataViews/_PedigreeView.py: Set dirty flag to force redrawing
	when changing tree style
	* src/plugins/TestcaseGenerator.py: Update to new GrampsTypes
	
2006-04-21  Don Allingham  <don@gramps-project.org>
	* src/Editors/_EditRepository.py: fix warnbox call
	* src/Editors/_EditPlace.py: fix warnbox call
	* src/Editors/_EditRepoRef.py: Add backreference tab

2006-04-21  Alex Roitman  <shura@gramps-project.org>
	* src/GrampsDb/_ConstXML.py: Remove.
	* src/RelLib/_GrampsType.py (set_from_xml_str): Remove extra def.
	* src/PluginUtils/_PluginStatus.py: Many small fixes.
	* src/ManagedWindow.py (GrampsWindowManager.display_menu_list):
	Fix building the menu for child-less windows.

2006-04-21  Don Allingham  <don@gramps-project.org>
	* src/GrampsDb/_GrampsDbBase.py: AttributeType changes
	* src/GrampsDb/_ReadGedcom.py: AttributeType changes
	* src/GrampsDb/_ReadXML.py: AttributeType changes
	* src/GrampsDb/_ConstXML.py: AttributeType changes
	* src/GrampsDb/_WriteXML.py: AttributeType changes
	* src/GrampsDb/_GrampsBSDDB.py: AttributeType changes
	* src/RelLib/__init__.py: AttributeType changes
	* src/RelLib/_AttributeType.py: AttributeType changes
	* src/RelLib/_Attribute.py: AttributeType changes
	* src/RelLib/Makefile.am: AttributeType changes
	* src/Editors/_EditAttribute.py: AttributeType changes
	* src/Utils.py: AttributeType changes
	* src/ViewManager.py: start of cleaned up plugin manager
	* src/Errors.py: warning error for unavailable plugin
	* src/PluginUtils/__init__.py: start of cleaned up plugin manager
	* src/PluginUtils/_Plugins.py: start of cleaned up plugin manager
	* src/PluginUtils/_PluginMgr.py: start of cleaned up plugin manager
	* src/docgen/PdfDoc.py: Issue unavailable error on reportlab failure
	* src/docgen/LPRDoc.py: Issue unavailable error on gnomeprint failure

2006-04-20  Don Allingham  <don@gramps-project.org>
	* src/DataViews/_EventView.py: pychecker fixes
	* src/ViewManager.py: call scratchpad properly
	* src/GrampsCfg.py: pychecker fixes
	* src/Editors/_EditEvent.py
	* src/DisplayModels.py:pychecker fixes
	* src/DisplayTabs.py: pychecker fixes
	* src/ScratchPad.py: use ManagedWindow
	* src/GenericFilter.py: pychecker fixes
	* src/ImgManip.py: pychecker fixes
	* src/PageView.py: pychecker fixes
	* src/ArgHandler.py: pychecker fixes
	* src/Editors/_EditFamily.py: Handle marker type in UI
	* src/DataViews/_FamilyViews.py: clean up
	* src/DataViews/_PedigreeViews.py: clean up
	* src/RelLib/_Name.py: fix type on set_type

2006-04-20  Alex Roitman  <shura@gramps-project.org>
	* src/GrampsDb/_GrampsBSDDB.py: Upgrade to new types.
	* src/GrampsDb/_ReadGedcom.py: Adapt to new types.
	* src/RelLib/_Event.py: Properly set type.
	* src/RelLib/_EventRef.py: Properly set type.
	* src/RelLib/_Family.py: Properly set type.
	* src/RelLib/_Name.py: Properly set type.
	* src/RelLib/_Person.py: Properly set type.
	* src/RelLib/_PrimaryObject.py: Properly set type.
	* src/RelLib/_RepoRef.py: Properly set type.
	* src/RelLib/_Repository.py: Properly set type.
	* src/RelLib/_Url.py: Properly set type.

2006-04-20  Brian Matherly  <pez4brian@users.sourceforge.net>
	* src/docgen/ODFDoc.py: Fix space at begining of paragraph

2006-04-20  Don Allingham  <don@gramps-project.org>
	* src/Editors/_EditPlace.py: fix display of shared info warning box
	* src/Editors/_EditSourceRef.py: fix display of shared info warning box
	* src/Editors/_EditReference.py: fix display of shared info warning box
	* src/Editors/_EditSource.py: fix display of shared info warning box
	* src/Editors/_EditMediaRef.py: fix display of shared info warning box
	* src/Editors/_EditEventRef.py: fix display of shared info warning box
	* src/Editors/_EditRepository.py: fix display of shared info warning box
	* src/Editors/_EditMedia.py: fix display of shared info warning box
	* src/Editors/_EditEvent.py: fix display of shared info warning box
	* src/DisplayTabs.py: fix display of shared info warning box

2006-04-20  Alex Roitman  <shura@gramps-project.org>
	* src/RelLib/_EventRef.py (unserialize): Avoid class constructor.
	* src/RelLib/_Person.py (unserialize): Avoid class constructor.
	* src/RelLib/_Name.py (unserialize): Avoid class constructor.
	* src/RelLib/_Repository.py (unserialize): Avoid class constructor.
	* src/RelLib/_RepoRef.py (unserialize): Avoid class constructor.
	* src/GrampsDb/_WriteXML.py: Update to export new types.

2006-04-19  Alex Roitman  <shura@gramps-project.org>
	* src/Editors/_EditPrimary.py (EditPrimary.build_window_key):
	Always have a window key, even if there is no handle.
	* src/Editors/_EditFamily.py (EditFamily.build_menu_names):
	Properly set up menu labels.
	* src/Utils.py (family_name): Add optional argument.

2006-04-19  Martin Hawlisch  <Martin.Hawlisch@gmx.de>
	* src/plugins/ImportGeneWeb.py: Use new type classes;
	Start of parsing relationships (unfinished)

2006-04-19  Don Allingham  <don@gramps-project.org>
	* src/GrampsDb/_GrampsBSDDB.py: use correct field for building
	surname key

2006-04-19  Don Allingham  <don@gramps-project.org>
	* src/GrampsDb/_DbUtils.py: fix handle vs. ref issues
	* src/RelLib/_Family.py: add remove_child_handle
	* src/DataViews/_EventView.py: more GrampsTypes changes
	* src/DataViews/_PedigreeView.py: more GrampsTypes changes
	* src/RelLib/_ChildRef.py: more GrampsTypes changes
	* src/RelLib/_Family.py: more GrampsTypes changes
	* src/RelLib/_Repository.py: more GrampsTypes changes
	* src/RelLib/_Event.py: more GrampsTypes changes
	* src/Editors/_EditPerson.py: more GrampsTypes changes
	* src/Editors/_EditEventRef.py: more GrampsTypes changes
	* src/Editors/_EditEvent.py: more GrampsTypes changes
	* src/PeopleModel.py: more GrampsTypes changes
	* src/DisplayTabs.py: more GrampsTypes changes
	* src/GrampsWidgets.py: more GrampsTypes changes
	* src/Utils.py: more GrampsTypes changes
	* src/PageView.py: more GrampsTypes changes

2006-04-19  Alex Roitman  <shura@gramps-project.org>
	* src/Utils.py: Remove obsolete code.
	* src/DisplayTabs.py (EventRefModel.column_role): Adapt to new types.
	* src/PeopleModel.py: Adapt to new types.
	* src/plugins/TestcaseGenerator.py: Adapt to new types.
	* src/RelLib/Makefile.am: Ship new files.
	* src/RelLib/_EventRef.py: Adapt to new types.
	* src/RelLib/_PrimaryObject.py: Adapt to new types.
	* src/RelLib/_EventRoleType.py: Add new module.
	* src/RelLib/_RepoRef.py: Adapt to new types.
	* src/RelLib/_MarkerType.py: Add new module.
	* src/RelLib/_Family.py: Adapt to new types.
	* src/RelLib/_Person.py: Adapt to new types.
	* src/RelLib/_SourceMediaType.py: Add new module.
	* src/RelLib/__init__.py: Expose new modules.
	* src/Editors/_EditPerson.py: Use new type.
	* src/GrampsDb/_GrampsBSDDB.py (gramps_upgrade_9): Adapt to new types.
	* src/GrampsDb/_ConstXML.py: Comment out obsolete code.
	* src/GrampsDb/_ReadXML.py: Adapt to new types.
	* src/GrampsDb/_GrampsDbBase.py (commit_person): Properly use marker.
	* src/GrampsDb/_ReadGedcom.py: Adapt to new types.
	* src/DataViews/_FamilyView.py (write_relationship): Use new type.
	* src/DataViews/_PedigreeView.py (format_relation): Use new type.

2006-04-19  Don Allingham  <don@gramps-project.org>
	* src/DataViews/_FamilyView.py: GrampsType support
	* src/DataViews/_PedigreeView.py: GrampsType support
	* src/GrampsDb/_ReadGedcom.py: GrampsType support
	* src/GrampsDb/_GrampsDbBase.py: GrampsType support
	* src/GrampsDb/_ReadXML.py: GrampsType support
	* src/GrampsDb/_ConstXML.py: GrampsType support
	* src/GrampsDb/_GrampsBSDDB.py: GrampsType support
	* src/RelLib/_Family.py: GrampsType support
	* src/RelLib/_Event.py: GrampsType support
	* src/Editors/_EditEventRef.py: GrampsType support
	* src/Editors/_EditFamily.py: GrampsType support
	* src/Editors/_EditEvent.py: GrampsType support
	* src/plugins/ImportvCard.py: GrampsType support
	* src/plugins/GraphViz.py: GrampsType support
	* src/plugins/Check.py: GrampsType support
	* src/plugins/FamilyGroup.py: GrampsType support
	* src/plugins/ExportVCalendar.py: GrampsType support
	* src/plugins/Verify.py: GrampsType support
	* src/DisplayModels.py: GrampsType support
	* src/DisplayTabs.py: GrampsType support
	* src/GrampsWidgets.py: GrampsType support
	* src/SubstKeywords.py: GrampsType support
	* src/Utils.py: GrampsType support
	* src/ScratchPad.py: GrampsType support
	* src/GenericFilter.py: GrampsType support
	* src/PluginUtils/_ReportUtils.py: GrampsType support
	* src/SelectEvent.py: GrampsType support

2006-04-19  Martin Hawlisch  <Martin.Hawlisch@gmx.de>
	* src/plugins/TestcaseGenerator.py: Use the new types

2006-04-19  Alex Roitman  <shura@gramps-project.org>
	* src/RelLib/Makefile.am: Ship new file.
	* src/PluginUtils/_ReportUtils.py: Use fam relations from new module.
	* src/Relationship.py: Use family relations from new module.
	* src/Utils.py: Remove family relations.
	* src/RelLib/__init__.py: Expose new module.
	* src/RelLib/_Family.py: Adapt to new types.
	* src/GrampsDb/_ReadXML.py: Adapt to new types.
	* src/GrampsDb/_ConstXML.py: Remove family relations.
	* src/RelLib/_FamilyRelType.py: Add new class
	* src/RelLib/_Event.py: Add "personal" attribute to events.
	* src/RelLib/_Event.py: Revert this change.

2006-04-18  Don Allingham  <don@gramps-project.org>
	* src/Editors/_EditName.py: fix call for MonitoredDataType
	* src/Editors/_EditChildRef.py: fix call for MonitoredDataType
	* src/RelLib/__init__.py: added _EventType
	* src/RelLib/_EventType.py: added
	* src/RelLIb/Makefile.am: added _EventType.py

2006-04-18  Brian Matherly  <pez4brian@users.sourceforge.net>
	* src/plugins/FamilyGroup.py: update for RelLib changes
	* src/plugins/IndivComplete.py: update for RelLib changes

2006-04-18  Don Allingham  <don@gramps-project.org>
	* src/GrampsDb/_ReadXML.py: new types
	* src/GrampsDb/_ConstXML.py: new types
	* src/GrampsDb/_WriteXML.py: new types
	* src/Editors/_EditUrl.py: new types
	* src/Editors/_EditPerson.py: new types
	* src/Editors/_EditRepository.py: new types
	* src/Editors/_EditName.py: new types
	* src/Editors/_EditChildRef.py: new types
	* src/RelLib/__init__.py: new types
	* src/RelLib/_Url.py: new types
	* src/RelLib/_RepositoryType.py: new types
	* src/RelLib/_GrampsType.py: new types
	* src/RelLib/_UrlType.py: new types
	* src/RelLib/_Repository.py: new types
	* src/RelLib/_NameType.py: new types
	* src/RelLib/_ChildRefType.py: new types
	* src/DisplayTabs.py: new types
	* src/GrampsWidgets.py: new types
	* src/Utils.py: new types
	* src/Editors/_EditFamily.py: button messages
	* src/DisplayTabs.py: remove property button stuff

2006-04-18  Alex Roitman  <shura@gramps-project.org>
	* data/grampsxml.dtd: Update.
	* data/grampsxml.rng: Update.
	* src/GrampsDb/_ReadXML.py: Parse old and new XML.
	* src/GrampsDb/_WriteXML.py (dump_child_ref, dump_person_ref): Add
	methods.
	* src/RelLib/_ChildRef.py (ChildRef.set_mother_relation): Adapt to
	new types;
	(ChildRef.set_father_relation): Adapt to new types.
	* src/RelLib/_GrampsType.py (GrampsType.get_custom): Add method.
	(GrampsType.set): Allow setting from the same class instance.
	(GrampsType.is_default): Add method.
	* src/DisplayTabs.py (BackRefList.create_buttons): Allow an
	additional argument to keep the caller happy.

2006-04-18  Don Allingham  <don@gramps-project.org>
	* src/DataViews/_PersonView.py: removal of inversion
	* src/GenericFilter.py: Interface changes for filtering
	* src/Editors/__init__.py: added EditChildRef
	* src/Editors/Makefile.am: added EditChildRef
	* src/Editors/_EditChildRef.py: added
	* src/Editors/_EditFamily.py: add child reference editor
	* src/DisplayTabs.py: add optional properties button
	* src/glade/gramps.glade: add child reference editor
	* src/plugins/Desbrowser.py: bring up to speed with ManagedWindow
	* src/GrampsWidgets.py: fix the type return value 

2006-04-17  Don Allingham  <don@gramps-project.org>
	* src/DataViews/_FamilyView.py: handle the dirty flag for updates
	* src/DataViews/_PersonView.py: goto active person properly
	* src/SelectObject.py: scale thumbnails to 1/2 size
	* src/ListModel.py: reduce size of thumbnails
	* src/GrampsDb/_ReadGedcom.py: set author properly for GEDCOM name
	on default source

2006-04-16  Brian Matherly  <pez4brian@users.sourceforge.net>
	* src/plugins/DescendReport.py: Don't sort children (Bug #1453010)

2006-04-15  Don Allingham  <don@gramps-project.org>
	* src/GrampsDb/_ReadXML.py: provide an event description if one does 
	not exist.

2006-04-15  Alex Roitman  <shura@gramps-project.org>
	* src/GrampsDb/_GrampsBSDDB.py (gramps_upgrade_9): Adapt to 
	ChildRefType.

2006-04-15  Don Allingham  <don@gramps-project.org>
	* src/DisplayTabs.py: handle child type callback
	* src/Editors/_EditFamily.py: handle child type callback

2006-04-14  Alex Roitman  <shura@gramps-project.org>
	* src/DisplayTabs.py (edit_button_clicked): Proceed only if
	selection exists.

2006-04-14  Don Allingham  <don@gramps-project.org>
	* src/GrampsDb/_ReadXML.py: handle ChildRefType
	* src/GrampsDb/_ConstXML.py: remove unused map

2006-04-14  Martin Hawlisch  <Martin.Hawlisch@gmx.de>
	* src/DataViews/_PedigreeView.py: Fix ChildRef, Show person references
	* src/Editors/_EditFamily.py: Typo
	* src/GrampsDb/_GrampsDbBase.py (get_active_person): Handle case of no
	active person
	* src/plugins/TestcaseGenerator.py: really generate shared events; use
	new GrampsType; randomize name type
	* src/DataViews/_PersonView.py: DnD only for lines of persons; Fix set
	for python 2.3; fix get_parent_family_handle_list usage
	
2006-04-13  Don Allingham  <don@gramps-project.org>
	* src/DataViews/_FamilyView.py: Type class support
	* src/DataViews/_PedigreeView.py: Type class support
	* src/GrampsDb/_ReadGedcom.py: Type class support
	* src/GrampsDb/_ReadXML.py: Type class support
	* src/GrampsDb/_DbUtils.py: Type class support
	* src/GrampsDb/_ConstXML.py: Type class support
	* src/GrampsDb/_WriteXML.py: Type class support
	* src/GrampsDb/_GrampsBSDDB.py: Type class support
	* src/RelLib/__init__.py: Type class support
	* src/RelLib/_Person.py: Type class support
	* src/RelLib/_ChildRef.py: Type class support
	* src/RelLib/_Name.py: Type class support
	* src/Editors/_EditPerson.py: Type class support
	* src/Editors/_EditName.py: Type class support
	* src/Editors/_EditFamily.py: Type class support
	* src/plugins/DumpGenderStats.py: Type class support
	* src/plugins/ChangeNames.py: Type class support
	* src/plugins/TestcaseGenerator.py: Type class support
	* src/plugins/GraphViz.py: Type class support
	* src/plugins/Check.py: Type class support
	* src/plugins/NavWebPage.py: Type class support
	* src/plugins/ChangeTypes.py: Type class support
	* src/plugins/summary.glade: Type class support
	* src/plugins/PatchNames.py: Type class support
	* src/DisplayTabs.py: Type class support
	* src/GrampsWidgets.py: Type class support
	* src/Utils.py: Type class support
	* src/ScratchPad.py: Type class support
	* src/GenericFilter.py: Type class support
	* src/RelLib/ChildRefType.py: Type class support
	* src/RelLib/GrampsType.py: Type class support
	* src/RelLib/NameType.py: Type class support
	* src/GrampsDb/_ReadGedcom.py: handle ASSO tag
	* src/GrampsDb/_GedTokens.py: handle ASSO tag
	* example/gedcom/sample.ged: add ASSO tag
	* src/GrampsDb/_WriteXML.py: write old style XML.
	* src/Editors/_EditPersonRef.py: display person correctly in label
	* src/Editors/_EditFamily.py: comment out unused tab
	* src/plugins/Check.py: get working with childrefs
	* src/DisplayTabs.py: remove debug
 
2006-04-13  Martin Hawlisch  <Martin.Hawlisch@gmx.de>
	* src/DataViews/_PedigreeView.py: Adapt to changes in RelLib
	* src/plugins/TestcaseGenerator.py: Adapt to changes in RelLib
	* src/Utils.py: Adapt to changes in RelLib

	* src/ToolTips.py: Adapt to changes in RelLib

2006-04-13  Don Allingham  <don@gramps-project.org>
	* src/DataViews/_FamilyView.py: remove bad tab

2006-04-13  Alex Roitman  <shura@gramps-project.org>
	* src/RelLib/_PersonRef.py (serialize): Typo.
	* src/GrampsDb/_GrampsBSDDB.py: Upgrade path to new RelLib.
	* src/RelLib/_Family.py: Require non-empty child_ref.
	* src/Editors/_EditPerson.py (reorder_child_ref_list): Use
	child_ref_list. 
	* src/RelLib/_ChildRef.py (serialize): Typo.

2006-04-13  Don Allingham  <don@gramps-project.org>
	* various: start childref conversion

2006-04-13  Martin Hawlisch  <Martin.Hawlisch@gmx.de>
	* src/RelLib/*: fix different typos.
	* src/DataViews/_FamilyView.py: adapt changes in RelLib

2006-04-12  Alex Roitman  <shura@gramps-project.org>
	* src/NameDisplay.py: Add constants to number name components.
	* src/PeopleModel.py: Correct constants.

2006-04-12  Brian Matherly  <pez4brian@users.sourceforge.net>
	* src/plugins/GraphViz.py: Add graph preview based on mime (Bug 1449796)

2006-04-12  Alex Roitman  <shura@gramps-project.org>
	* various: Add ChildRef class, reorganize RelLib.
	* src/plugins/Check.py (Check.__init__): Typo.

2006-04-11  Alex Roitman  <shura@gramps-project.org>
	* src/GrampsDb/_DbUtils.py (remove_parent_from_family): If
	removing family, also remove it from the child's
	parent_family_list.
	* src/ViewManager.py (ViewManager.change_page): Always toggle the
	sidebar buttons, even if no data is loaded.

	* src/RelLib/_PersonRef.py: Add to repository.
	* src/RelLib/Makefile.am: Ship new file.
	* src/RelLib/_Person.py: Add person_ref_list to store person-to-
	person references.

2006-04-11  Martin Hawlisch  <Martin.Hawlisch@gmx.de>
	* src/images/mk_blue_marble.py: Properly exit on error to let `make`
	stop in that case; Provide fallback if jpegtrans does not work/exist.

2006-04-10  Martin Hawlisch  <Martin.Hawlisch@gmx.de>
	* src/DataViews/_MapView.py: Reworked to display multiple smaller
	tiled map images
	* src/images/mk_blue_marble.py: Script to create the map tiles out of
	the nasa blue marble image
	* src/images/Makefile.am: Add map tile images and bootstrap them using
	mk_blue_marble.py

2006-04-10  Nathan Bullock <nathanbullock@gmail.com>
	* src/GrampsDb/_ReadGedcom.py: LDS fixes.
	* src/Editors/_EditLdsOrd.py: LDS fixes.
	* src/lds.py: LDS fixes.

2006-04-10  Alex Roitman  <shura@gramps-project.org>
	* src/ArgHandler.py: Get rid of obsolete self.parent.

2006-04-10  Don Allingham  <don@gramps-project.org>
	* src/DateViews/_PersonView.py: goto active person after a redraw.
	* src/DataViews/_PedigreeViews.py: optimize the screen draws,
	redrawing only when the view is displayed and when the data needs
	to be updated.
	* src/Editors/_EditFamily.py: Fix adding of spouse after family
	has been created

2006-04-09  Alex Roitman  <shura@gramps-project.org>
	* src/ViewManager.py (ViewManager.create_pages): Use toggle
	buttons on the sidebar.
	(ViewManager.change_page): Turn off previously active button.

2006-04-09  Brian Matherly  <pez4brian@users.sourceforge.net>
	* src/docgen/ODFDoc.py: Improve graphic alignment (Bug 1370498)
	* src/docgen/OpenOfficeDoc.py: Improve graphic alignment (Bug 1370498)
	* src/plugins/FamilyGroup.py: Fix traceback when no spouse exists.

2006-04-09  Alex Roitman  <shura@gramps-project.org>
	* src/GrampsDb/_GrampsBSDDB.py
	(GrampsBSDDB._delete_primary_from_reference_map): Accept txn
	argument; pass it on to self._remove_reference().
	(GrampsBSDDB._do_remove_object): Work out both regular and batch
	transactions.

	* src/Makefile.am: Clean byte-compiled files.
	* src/DataViews/Makefile.am: Clean byte-compiled files.
	* src/GrampsDb/Makefile.am: Clean byte-compiled files.
	* src/Config/Makefile.am: Clean byte-compiled files.
	* src/RelLib/Makefile.am: Clean byte-compiled files.
	* src/Editors/Makefile.am: Clean byte-compiled files.
	* src/plugins/Makefile.am: Clean byte-compiled files.
	* src/ObjectSelector/Makefile.am: Clean byte-compiled files.
	* src/TreeViews/Makefile.am: Clean byte-compiled files.
	* src/Models/Makefile.am: Clean byte-compiled files.
	* src/Mime/Makefile.am: Clean byte-compiled files.
	* src/GrampsLogger/Makefile.am: Clean byte-compiled files.
	* src/PluginUtils/Makefile.am: Clean byte-compiled files.
	* src/docgen/Makefile.am: Clean byte-compiled files.
	* src/DateHandler/Makefile.am: Clean byte-compiled files.

2006-04-09  Don Allingham  <don@gramps-project.org>
	* src/plugins/*: bring up to ManagedWindow

2006-04-07  Don Allingham  <don@gramps-project.org>
	* src/Editors/_EditFamily.py: remove empty families

2006-04-07  Brian Matherly  <pez4brian@users.sourceforge.net>
	* src/docgen/PdfDoc.py: fix columns, error check images
	* src/docgen/RTFDoc.py: error check images

2006-04-07  Don Allingham  <don@gramps-project.org>
	* src/EditPerson.py: Fix call to EditName, pylint fixes

2006-04-06  Don Allingham  <don@gramps-project.org>
	* src/glade/gramps.glade: restored addr_edit
	* src/DataViews/_FamilyView.py: add select parents function

2006-04-06  Alex Roitman  <shura@gramps-project.org>
	* various: Revert back to using gettext except for the modules
	that need context -- those will use TransUtils.sgettext
	* src/Makefile.am (gdir_PYTHON): Add new files to the list.
	* src/Editors/_EditLdsOrd.py (EditLdsOrd): Formatting.
	* src/GrampsWidgets.py (MonitoredMenu): Factor out commong code.

2006-04-06  Don Allingham  <don@gramps-project.org>
	* src/RecentFiles.py: check for a files' existence before adding
	to the list.

2006-04-05  Don Allingham  <don@gramps-project.org>
	* src/Editors/_EditFamily.py: add lds tab
	* src/Editors/_EditLdsOrd.py: save place information, family support
	* src/SelectFamily.py: added
	* src/GrampsDb/_ReadXML.py: support new lds stuff
	* src/GrampsDb/_WriteXML.py: support new lds stuff
	* src/GrampsDb/_ReadGedcom.py: support new lds stuff
	* src/GrampsDb/_WriteGedcom.py: support new lds stuff
	* src/Editors/_EditLdsOrd.py: save place information, connect
	family dialog (SelectFamily)
	* src/GrampsWidgets.py: select default value in menu
	* src/BaseDoc.py: pylint
	* src/DisplayTabs.py: handle temple not set for LdsOrd, provide list of
	default types
	* src/RelLib/_LdsOrd.py: unserialize returns self, fix serialize
	* src/RelLib/_LdsOrdBase.py: variable name change

2006-04-04  Brian Matherly  <pez4brian@users.sourceforge.net>
	* src/_ImgManip.py: open images as binary
	* src/docgen/ODFDoc.py: open images as binary, fix image embedding
	* src/docgen/OpenOfficeDoc.py: open images as binary

2006-04-04  Don Allingham  <don@gramps-project.org>
	* src/RelLib/_LdsOrd.py: lds status changes
	* src/Editors/_EditLdsOrd.py: lds status changes
	* src/DisplayTabs.py: lds status changes
	* src/GrampsWidgets.py: lds status changes
	* src/glade/gramps.glade: lds status changes
	* src/lds.py: lds status changes

2006-04-04  Alex Roitman  <shura@gramps-project.org>
	* README, INSTALL: update.

2006-04-04  Don Allingham  <don@gramps-project.org>
	* src/GrampsDb/_GrampsBSDDB.py: new upgrade for LDS change
	* src/Editors/_EditLdsOrd.py: addedn
	* src/Editors/__init__.py: add EditLdsOrd
	* src/Editors/_EditPerson.py: LDS support
	* src/RelLib/_LdsOrdBase.py: added
	* src/RelLib/_Person.py: use a list of LdsOrds
	* src/RelLib/_Family.py: use a list of LdsOrds
	* src/RelLib/_LdsOrd.py: add type field
	* src/DisplayTabs.py: lds tab
	* src/GrampsWidgets.py: menus
	* src/glade/gramps.glade: lds support
	* src/lds.py: additional support

2006-04-04  Martin Hawlisch  <Martin.Hawlisch@gmx.de>
	* src/plugins/TestcaseGenerator.py: Fix lds ord; Add new option
	to put a linebreak into each textfield

2006-04-03  Brian Matherly  <pez4brian@users.sourceforge.net>
	* src/_ImgManip.py: fix typo
	* src/plugins/DetDescendantReport.py: remove use of deprecated functions
	* src/plugins/DescendReport.py: fix death dates

2006-04-02  Don Allingham  <don@gramps-project.org>
	* src/PluginUtils/Plugins.py: Fix args
	* src/GrampsWidgets.py: Fix place autocompletion
	* src/glade/gramps.glade: start of LDS Ord editor

2006-04-01  Don Allingham  <don@gramps-project.org>
	* src/ViewManager.py: dbstate.active fixes
	* src/GrampsDb/_GrampsDbBase.py: dbstate.active fixes
	* src/Exporter.py: dbstate.active fixes
	* src/RelLib/_DateBase.py: remove unused stuff 
	* src/DisplayState.py: Remove managed window
	* src/PluginUtils/_ReportUtils.py: fix check
	* src/PageView.py: dbstate.active fixes
	* src/ManagedWindow.py: add assertions
	* autogen.sh: require automake 1.9

2006-04-01  Brian Matherly  <pez4brian@users.sourceforge.net>
	* src/PluginUtils/_ReportUtils.py: remove use of deprecated functions
	* src/plugins/NavWebPage.py: various fixes - should work now
	* src/plugins/FamilyGroup.py: various fixes, add Marriage info

2006-04-01  Martin Hawlisch  <Martin.Hawlisch@gmx.de>
	* src/DataViews/_PedigreeView.py: Work around the bug of
	dbstate.active not being updated when the active person was edited.
	* src/DisplayTabs.py (EventEmbedList.edit_button_clicked): Fix params
	of EditEventRef call

2006-03-31  Don Allingham  <don@gramps-project.org>
	* src/ManagedWindow.py: added
	* src/DisplayState.py: break out managed window stuff
	* src/Editors/_EditPrimary.py: use ManagedWindow
	* src/Editors/_EditSecondary.py: use ManagedWindow
	* src/Editors/_EditReference.py: use ManagedWindow
	* src/ObjectSelector/_ObjectSelectorWindow.py: use ManagedWindow
	* src/PluginUtils/_Plugins.py: use ManagedWindow
	* src/GrampsDb/_GrampsDbBase.py: handle saving of custom 
	attributes and event types for use in menus
	* src/Editors/_EditAttribute.py: support for family vs. person
	* src/Editors/_EditEventRef.py: support for family vs. person
	* src/Editors/_EditEvent.py: support for family vs. person
	* src/DisplayTabs: support for family vs. person attributes/events
	* src/GrampsWidgets.py: initialize type value properly
	* src/GrampsDb/_WriteGedcom.py: fix lds calls
	* src/lds.py: restore baptism status values
	* src/Editors/_EditPrimary.py: check for empty objects
	* src/Editors/_EditPlace.py: check for empty objects
	* src/Editors/_EditSource.py: check for empty objects
	* src/Editors/_EditPerson.py: check for empty objects
	* src/Editors/_EditRepository.py: check for empty objects
	* src/Editors/_EditMedia.py: check for empty objects
	* src/Editors/_EditEvent.py: check for empty objects
	* src/RelLib/_DateBase.py: fix handling of empty dates on 
	serialize/unserialize

2006-03-30  Don Allingham  <don@gramps-project.org>
	* various: convert get_birth_handle()/get_death_handle() to ref
	calls

2006-03-30  Brian Matherly  <pez4brian@users.sourceforge.net>
	* src/plugins/GraphViz.py: import const
	* src/plugins/DecendReport.py: use full dates instead of just year.
	* src/plugins/NavWebPage.py: various fixes. Doesn't work yet.

2006-03-30  Don Allingham  <don@gramps-project.org>
	* src/Editors/_EditFamily.py: add surname guessing back in
	* src/Mime/_GnomeMime.py: filter out bad KDE mime type commands
	* src/Utils.py: clean up launch routine
	* src/Editors/_EditPerson.py: setup autocomp list
	* src/GrampsWidgets.py: enable autocompletion on MonitoredEntry if
	a list is provided
	* src/plugins/Check.py: fix event_handle/event_ref conversion
	* src/PluginUtils/_Options.py: Fix parsing of file if file does not exist
	* src/PluginUtils/_Tool.py: Fix recursive __init__ in OptionHandler

2006-03-29  Brian Matherly  <pez4brian@users.sourceforge.net>
	* src/Sort.py: remove use of deprecated functions
	* src/BaseDoc.py: remove use of deprecated functions
	* src/PluginUtils/_ReportUtils.py: remove use of deprecated functions
	* src/plugins/DecendReport.py: remove use of deprecated functions
	* src/plugins/IndivComplete.py: remove use of deprecated functions
	* src/plugins/DetDescendantReport.py: remove use of deprecated functions
	* src/plugins/DetAncestralReport.py: remove use of deprecated functions
	* src/PluginUtils/_Plugins.py: remove statbox
	* src/SubstKeywords.py: remove use of deprecated functions
	* src/plugins/ various files: remove use of deprecated functions

2006-03-29  Don Allingham  <don@gramps-project.org>
	* src/Utils.py: provide launch function for spawning processes
	* src/DisplayTabs.py: fix import, move launch function
	* src/Editors/_EditPerson.py: Fix imports of EditMediaRef, remove
	specific edit image from top image window.
	* src/glade/gramps.glade: remove unused dialogs, replaced by 
	gtk.MessageDialog
	* src/AddMedia.py: clean up scale_image
	* src/Utils.py: replace fork() with spawn to prevent Xlib async errors
	* src/GrampsDisplay.py: replace fork() with spawn to prevent Xlib 
	async errors
	* src/QuestionDialog.py: Simply some dialogs by using gtk.MessageDialog
	* src/ImgManip.py: replace fork() with spawn to prevent Xlib async 
	errors
	* src/ViewManager.py: enable actiongroups if file loaded before
	the interface is initialized (command line or autoload)
	* src/SelectObject.py: Provide images in preview
	* src/DisplayTabs.py: Add support of SelectObject
	* src/GenericFilter.py: check for xml file before trying to parse
	* src/ListModel.py: image support in view

2006-03-28  Don Allingham  <don@gramps-project.org>
	* src/DataViews/_PlaceView.py: delete place properly
	* src/gramps_main.py: remove 2.0.X message
	* src/ViewManager.py: remove expanduser
	* src/Exporter.py: remove expanduser
	* src/plugins/BookReport.py: remove expanduser
	* src/plugins/Calendar.py: remove expanduser
	* src/plugins/GrampViz.py: remove expanduser
	* src/const.py.in: fix home dir.
	* src/PluginsUtils.py: remove expanduser
	* src/RecentFiles.py: remove expanduser

2006-03-28  Brian Matherly  <pez4brian@users.sourceforge.net>
	* src/PluginUtils/_Options.py: Use filename instead of URI for XML parser
	* src/PluginUtils/_Report.py: Use filename instead of URI for XML parser
	* src/PluginUtils/_ReportOptions.py: Use filename instead of URI
	* src/Plugins/BookReport.py: Use filename instead of URI for XML parser
	* src/RecentFiles.py: Use filename instead of URI for XML parser
	* src/GenericFilter.py: Use filename instead of URI for XML parser
	* src/BaseDoc.py: Use filename instead of URI for XML parser 
	(works on Windows and Linux)
	* src/plugins/FamilyGroup.py: use new functions

2006-03-28  Don Allingham  <don@gramps-project.org>
	* src/const.py.in: use_thumbnail tag
	* src/ImgManip.py: use pygtk instead of Imagick for image
	conversions
	* src/Mime/_GnomeMime.py: find the default application instead of 
	using the first returned by mime_get_app_short_list

2006-03-27  Martin Hawlisch  <Martin.Hawlisch@gmx.de>
	* src/DataViews/_PedigreeView.py (_PersonWidget_base): Use other name for
	the drag_begin callback to not conflict with a gtk.Widget internal method.

2006-03-26  Don Allingham  <don@gramps-project.org>
	* src/DataViews/_PedigreeView.py: start of dnd-icon - not working yet
	* src/DataViews/_PersonView.py: set dnd icon
	* src/PageView.py: set dnd icon

2006-03-25  Martin Hawlisch  <Martin.Hawlisch@gmx.de>
	* src/DataViews/_PedigreeView.py: Add DnD support to the person boxes;
	copy person data into clipboard; Open FamilyEditor to add missing
	parents

2006-03-24  Don Allingham  <don@gramps-project.org>
	* src/Editors/_EditFamily.py: handle single parent families on 
	family switch with adding parents
	* src/Editors/Makefile.am: added _EditRepoRef.py
	* src/Editors/_EditRepoRef.py: Added

2006-03-23  Don Allingham  <don@gramps-project.org>
	* src/Editors/_EditFamily.py: fix arglist to save, handle add parent
	family switching.
	* src/DataViews/_FamilyView.py: don't use LinkLabel for unknown
	parent

2006-03-23  Martin Hawlisch  <Martin.Hawlisch@gmx.de>
	* src/DdTargets.py,
	* src/DisplayTabs.py,
	* src/ScratchPad.py: Support Location DnD

2006-03-22  Brian Matherly  <pez4brian@users.sourceforge.net>
	* src/ScratchPad.py: Filter double drops in Windows.

2006-03-22  Don Allingham  <don@gramps-project.org>
	* src/ScratchPad.py: handle repositories
	* 
	* src/DataViews/_SourceView.py: handle drag and drop
	* src/DataViews/_PersonView.py: handle drag and drop
	* src/ViewManager.py: pychecker fixes
	* src/RelLib/_Person.py: pychecker fixes
	* src/RelLib/_Date.py: pychecker fixes
	* src/RelLib/_Family.py: pychecker fixes
	* src/RelLib/_Note.py: pychecker fixes
	* src/RelLib/_EventRef.py: pychecker fixes
	* src/PeopleModel.py: pychecker fixes
	* src/DisplayModels.py: pychecker fixes 
	* src/DisplayTabs.py: allow a display tab to handle other dnd types other
	than the default. This allows reference tabs to catch their sources. SourceTab
	can now handle catching both a sourceref and a source, for example.
	* src/Utils.py: pychecker
	* src/NameDisplay.py: pychecker
	* src/ScratchPad.py: unified dnd handling with rest of system.
	* src/DdTargets.py: support for new types (refs and handles)
	* src/DateEdit.py: pychecker
	* src/ListModel.py: pychecker
	* src/gramps_main.py: pychecker
	* src/BaseDoc.py: pychecker
	* src/SelectSource.py: pychecker
	* src/ImgManip.py: pychecker
	* src/PageView.py: drag-n-drop fixes

2006-03-22  Martin Hawlisch  <Martin.Hawlisch@gmx.de>
	* src/Utils.py: Add wrappers for displaying the tuple types
	* src/DataViews/_PedigreeView.py,
	* src/PluginUtils/_ReportUtils.py,
	* src/DisplayModels.py,
	* src/DisplayTabs.py,
	* src/ScratchPad.py: Use the new wrapers
	
2006-03-21  Don Allingham  <don@gramps-project.org>
	* src/Config/_GramspGconfKeys.py: family_warn flag
	* src/Config/_GramspIniKeys.py: family_warn flag
	* src/Editors/_EditFamily.py: display family_warn dialog
	* src/glade/gramps.glade: family warn dialog
	* src/DisplayTabs.py: Send Attribute instead of None for new
	object
	* src/Editors/_EditAddress.py: specify callback

2006-03-21  Alex Roitman  <shura@gramps-project.org>
	* various: rename doc to data; move most of src/data to data.

2006-03-20  Don Allingham  <don@gramps-project.org>
	* src/const.py.in: fix path combination
	* src/Config/__init__.py: actually pay attention to no_gconf

2006-03-20  Brian Matherly  <pez4brian@users.sourceforge.net>
	* src/GrampsDb/_GrampsIniKeys.py: os independent path

2006-03-20  Don Allingham  <don@gramps-project.org>
	* src/lds.py: move LDS specific data out of const.py.in
	* src/const.py.in: remove unused info
	* src/DataViews.py: allow suppression of tool tips
	* src/NameDisplay.py: sorted name key generation
	* src/RelLib/_Name.py: remove sorted name function
	* src/DisplayTabs.py: assign reference handle to new event_ref
	* src/DisplayModels.py: new sort function
	* src/Editors/_EditPerson.py: call the callback if defined
	* src/SelectPerson.py: take out the profiling code
	* src/GrampsDb/_GrampsBSDDB.py: use db.THREAD to avoid 
	RUNRECOVERY error, fix cursors

2006-03-19  Don Allingham  <don@gramps-project.org>
	* src/Editors/_EditFamily.py: select person used for children
	* src/PeopleModel.py: used raw data functions for name display
	* src/NameDisplay.py: add raw functions for name display to 
	avoid the need to create a Name instance
	* src/SelectPerson.py: fixed widths

2006-03-18  Don Allingham  <don@gramps-project.org>
	* src/Editors/_EditFamily.py: add add_person functionality
	* src/DisplayTabs.py: add share option to sources
	* src/glade/gramps.glade: change dialog size
	* src/ListModel.py: fixed column widths, ellipses
	* src/SelectEvent.py: grab correct field
	* src/SelectSource.py: added

2006-03-18  Alex Roitman  <shura@gramps-project.org>
	* configure.in: Remove scrollkeeper checks and other unused
	statements.

2006-03-18  Don Allingham  <don@gramps-project.org>
	* src/RelImage.py: removed
	* src/AddMedia.py: added scale_image function from RelImage
	* src/DataViews/_PersonView.py: use fixed width/height mode to
	prevent unnecessary reads during initialization. Prevent double
	loading of data from filter.
	* src/GrampsDb/_GrampsDbBase.py: provide widths for person view columns
	* src/RelLib/_Name.py: provide fast, shallow initialization of values
	for quick access when only name functions are needed
	* src/Editors/_EditFamily.py: Switch from ObjectSelector to SelectPerson
	until the ObjectSelector cursor issues are resolved
	* src/PeopleModel.py: Faster access to rebuilding data
	* src/Utils.py: handle if locale.getpreferredencondings fails
	* src/NameDisplay.py: speed up name display by using string join
	* src/GenericFilter.py: provide match function as a temporary fix until
	filters are redesigned
	* src/SelectPerson.py: used fixed width/height mode
	* src/PageView.py: suppress tooltips if requested

2006-03-17  Don Allingham  <don@gramps-project.org>
	* src/Editors/_EditFamily.py: convert father to use SelectPerson instead
	of ObjectSelector
	* src/PeopleModel.py: add skip capability
	* src/SelectPerson.py: call person model correctly
	* src/DataViews/_FamilyView.py: use new Dbutils functions
	* src/DataViews/_FamilyList.py: use new Dbutils functions
	* src/GrampsDb/_DbUtils.py: new routines to remove families and
	family relationships

2006-03-17  Alex Roitman  <shura@gramps-project.org>
	* intltool-*.in: remove from svn.
	* help: add new dir with new gnome-doc-utils infrastructure.

	* configure.in: Multiple improvements.
	* config.guess, config.sub: newer versions.
	* autogen.sh: Better gnome-common message.
	* src/TipOfDay.py (TipParser): skip messages with xml:lang
	attribute, because these are already supplied in the po file.

2006-03-16  Alex Roitman  <shura@gramps-project.org>
	* various: Use TransUtils.sgettext instead of gettext.gettext to
	work out stripping the context.
	* py-compile: Remove as it is autogenerated.
	* po/Makefile.in.in: Remove as it is autogenerated.
	* po/*po: Remove and re-add from old src/po to keep history.

2006-03-15  Alex Roitman  <shura@gramps-project.org>
	* various: intltoolize and gettextize properly.

2006-03-14  Alex Roitman  <shura@gramps-project.org>
	* src/GrampsDb/_GrampsBSDDB.py (update_empty,update_real): Add
	functions for updating the display;
	(gramps_upgrade): Set up display updaters;
	(gramps_upgrade_9): Reflect progess of db upgrade.
	(low_level_9): Return status and length of the db.
	(_table_low_level_9): Return table length if successful.
	* src/ViewManager.py (post_load): Remove database upgrade, since
	db.load takes care of upgrade.

2006-03-13  Alex Roitman  <shura@gramps-project.org>
	* src/RelLib/_NoteBase.py (NoteBase.serialize): Work out the case
	of note being None -- leftover from gramps20.

2006-03-11  Alex Roitman  <shura@gramps-project.org>
	* src/PluginUtils/_ReportOptions.py: Use correct namespace for the
	base clases from _Options module.

2006-03-10  Don Allingham  <don@gramps-project.org>
	* src/DataViews/_MapView.py: try to avoid startup traceback

2006-03-10  Alex Roitman  <shura@gramps-project.org>
	* src/Plugins.py, src/PluginMgr.py: Move to ReportUtils.
	* various: use ReportUtils instead of PluginMgr.
	* DateHandler/_DateHandler.py: Rename __init__; remove dependency
	on load_plugins.
	* DateHandler/__init__.py: Add new file.

2006-03-10  Don Allingham  <don@gramps-project.org>
	* src/Mime/PythonMime.py: import gtk
	* src/DataViews/_FamilyList.py: family_add explict function added,
	remove family functionality
	* src/GrampsWidgets.py: use STOCK_DIALOG_INFO as a fallback if
	STOCK_INFO does not exist (FreeBSD?)

2006-03-09  Don Allingham  <don@gramps-project.org>
	* src/AddMedia.py: avoid double commit
	* src/GrampsDb/_GrampsDbBase.py: fix add of places in internal map
	* src/Editors/_EditEventRef.py: commit place properly
	* src/DataViews/_FamilyView.py: avoid reentry
	* src/DataViews/_PedigreeView.py: handle PluginUtils
	* src/DataViews/_PersonView.py: handle remove person better
	* src/Editors/_EditFamily.py: connect children up properly
	* src/PeopleModel.py: handle delete properly

2006-03-09  Alex Roitman  <shura@gramps-project.org>
	* PluginUtils: Add module with Report and Tool utils.

2006-03-09  Don Allingham  <don@gramps-project.org>
	* src/const.py.in: add use_tips variable
	* src/PeopleModel.py: use_tips to control tool tips
	* src/DataModels.py: use_tips to control tool tips

2006-03-08  Don Allingham  <don@gramps-project.org>
	* src/DataViews/_FamilyView.py: fix spacing
	* src/Editors/_EditPrimary.py: make sure object is valid before
	compare
	* src/GenericFilter.py: remove print
	* src/Editors/_EditFamily.py: fix family selection

2006-03-08  Alex Roitman  <shura@gramps-project.org>
	* src/Editors/_EditFamily.py: Use tuple relations.
	* src/GramspDb/_GrampsBSDDB.py: Minor fixes.

2006-03-08  Don Allingham  <don@gramps-project.org>
	* src/GramspDb/_GrampsBSDDB.py: make txn support optional via UseTXN

2006-03-07  Don Allingham  <don@gramps-project.org>
	* src/AddMedia.py: remove WindowsUtils dependency
	* src/WindowUtils.py: remove

2006-03-07  Alex Roitman  <shura@gramps-project.org>
	* src/DateHadnler: Move all date parsers/displayers into new
	directory.

2006-03-07  Don Allingham  <don@gramps-project.org>
	* src/DataViews/_FamilyView.py: connect up to signals correctly
	* src/Editors/_EditFamily.py: connect family members to a new family
	correctly.

2006-03-06  Don Allingham  <don@gramps-project.org>
	* src/DataViews/_FamilyView.py: put the person in the correct spot
	when adding a new family
	* src/DataViews/_PersonView.py: remove DataFilter
	* src/GrampsDb/_GrampsDbBase.py: handle the default argument of
	no_magic
	* src/Editors/_EditFamily.py: handle the fact that family
	information is not a simple list.

2006-03-05  Don Allingham  <don@gramps-project.org>
	* src/Editors/_EditEventRef.py: add vs. commit handling 
	* src/Editors/_EditPerson.py: handle None as person
	* src/TipOfDay.py: Fix the image location
	* src/Editors/_EditPerson.py: fix focus_out_event
	* src/ViewManager.py: replace the data
	* src/DataViews/_RepositoryView.py: column editing
	* src/DataViews/_MediaView.py: column editing
	* src/DataViews/_SourceView.py: column editing
	* src/DataViews/_PedigreeView.py: column editing
	* src/DataViews/_PersonView.py: column editing
	* src/DataViews/_PlaceView.py: column editing
	* src/ViewManager: column editing
	* src/PeopleModel.py: fix color
	* src/images/stock_lock-open.png: added, so not to require 
	hicolor theme
	* src/images/stock_lock.png: added, so not to require 
	hicolor theme
	* src/images/Makefile.am: add new files
	* src/GrampsWidgets.py: use new image files
	* src/Sources.py: removed
	
2006-03-04  Don Allingham  <don@gramps-project.org>
	* src/GrampsDb/_ReadGedcom.py: use new logging scheme
	* src/GrampsDb/_ReadXML.py: use new logging scheme
	* src/GrampsDb/_WriteGedcom.py: use new logging scheme
	* src/GrampsDb/_WriteXML.py: use new logging scheme
	* src/plugins/FilterEditor.py: use new logging scheme
	* src/plugins/WriteCD.py: use new logging scheme
	* src/plugins/ImportGeneWeb.py: use new logging scheme
	* src/plugins/BookReport.py: use new logging scheme
	* src/plugins/WritePkg.py: use new logging scheme
	* src/plugins/ExportVCard.py: use new logging scheme
	* src/plugins/Rebuild.py: use new logging scheme
	* src/plugins/ImportvCard.py: use new logging scheme
	* src/plugins/GraphViz.py: use new logging scheme
	* src/plugins/Check.py: use new logging scheme
	* src/plugins/NavWebPage.py: use new logging scheme
	* src/plugins/ExportVCalendar.py: use new logging scheme
	* src/plugins/ReadPkg.py: use new logging scheme
	* src/plugins/WriteFtree.py: use new logging scheme
	* src/plugins/WriteGeneWeb.py: use new logging scheme
	* src/plugins/WebPage.py: removed
	* src/DisplayTrace.py: removed
	* src/Editors/EditEventRef.py: derive from EditReference
	* src/const.py.in: change glade file names
	* src/glade/rule.glade: moved to subdirectory
	* src/glade/gramps.glade: moved to subdirectory
	* src/glade/mergedata.glade: moved to subdirectory
	* src/glade/edit_person.glade: moved to subdirectory
	* src/glade/scratch_pad.glade: moved to subdirectory
	* src/glade/plugins.glade: moved to subdirectory
	* src/ScratchPad.py: fix setting of window icon
	* src/data/system_filters.xml: moved to data directory
	* configure.in: use svnversion to get version number
	* src/DataViews/Makefile.in: added
	* src/DataViews/__init__.py: added
	* src/DataViews/_MapView.py: moved to DataViews directory
	* src/DataViews/_MediaView.py: moved to DataViews directory
	* src/DataViews/_RepositoryView.py: moved to DataViews directory
	* src/DataViews/_SourceView.py: moved to DataViews directory
	* src/DataViews/_FamilyView.py: moved to DataViews directory
	* src/DataViews/_FamilyList.py: moved to DataViews directory
	* src/DataViews/_PlaceView.py: moved to DataViews directory
	* src/DataViews/_PersonView.py: moved to DataViews directory
	* src/DataViews/_PedigreeView.py: moved to DataViews directory
	* src/DataViews/_RepositoryView.py: moved to DataViews directory
	
2006-03-04  Martin Hawlisch  <Martin.Hawlisch@gmx.de>
	* src/Models/Makefile.am: Added file
	* Editors/__init__.py: Added file
	
2006-03-03  Don Allingham  <don@gramps-project.org>
	* src/images/Makefile.am: update path
	* src/EditPerson.py: handle module rename
	* src/Makefile.am: module renames
	* src/EventView.py: call new module name
	* src/EditName.py: renamed from NameEdit.py
	* src/EditEvent.py: renamed from EventEdit.py
	* src/images/Makefile.am: restore
	* src/plugins/Makefile.am: remove stock_link.png from dependency list
	* src/Editors/EditPrimary.py: moved to separate module
	* src/Editors/EditPlace.py: moved to separate module
	* src/Editors/EditAddress.py: moved to separate module
	* src/Editors/EditSecondary.py: moved to separate module
	* src/Editors/EditSourceRef.py: moved to separate module
	* src/Editors/EditSource.py: moved to separate module
	* src/Editors/EditUrl.py: moved to separate module
	* src/Editors/EditAttribute.py: moved to separate module
	* src/Editors/EditPerson.py: moved to separate module
	* src/Editors/EditLocation.py: moved to separate module
	* src/Editors/EditMediaRef.py: moved to separate module
	* src/Editors/EditEventRef.py: moved to separate module
	* src/Editors/EditMedia.py: moved to separate module
	* src/Editors/EditRepository.py: moved to separate module
	* src/Editors/EditName.py: moved to separate module
	* src/Editors/EditEvent.py: moved to separate module
	* src/Editors/EditFamily.py: moved to separate module
	* src/DisplayTabs.py: handle noew submodule
	* src/ObjectSelector/_PersonFrame.py: handle noew submodule
	* src/MediaView.py: handle noew submodule
	* src/FamilyList.py: handle noew submodule
	* src/PlaceView.py: handle noew submodule
	* src/SourceView.py: handle noew submodule
	* src/PersonView.py: handle noew submodule
	* src/FamilyView.py: handle noew submodule
	* src/EventView.py: handle noew submodule
	* src/Makefile.am: handle noew submodule

2006-03-03  Alex Roitman  <shura@gramps-project.org>
	* src/plugins/stock_link.png: Remove (already present in
	src/images, used by ScratchPad only).
	* src/Config, src/Mime, src/images: Ignore Makefiles.	

2006-03-03  Don Allingham  <don@gramps-project.org>
	* src/GrampsDb/Makefile.am: install correct files
	* src/Config/Makefile.am: added
	* src/MapView.py: fix image paths 
	* src/Mime/Makefile.am: added
	* src/images/Makefile: added
	* src/gramps_main.py: fix image paths
	* src/Makefile.am: install correct files

2006-03-03  Martin Hawlisch  <Martin.Hawlisch@gmx.de>
	* src/Mime/__init__.py: Honour renamed files
	* src/Makefile.am: Images have been moved into subdir (makes "make" work again)
	* src/FamilyView.py (info_string): Done crash is None as handle was
	given (e.g. no father in family)
	* src/plugins/TestcaseGenerator.py: Feed in more data, support Repositories,
	properly set types as (id,str) tuples instead of custom strings.
	* src/Makefile.am: More updates to latest file moves/remanes to make
	"make distcheck" work for me 

2006-03-02  Don Allingham  <don@gramps-project.org>
	* src/EditUrl.py: renamed from UrlEdit.py
	* src/Makefile.am: adapt to module renames
	* src/NoteEdit.py: removed
	* src/EditAttribute.py: renamed from AttrEdit.py
	* src/EditAddress.py: renamed from AddrEdit.py
	* src/DisplayTabs.py: adapt to module renames
	* src/GrampsDb/_GedcomInfo.py: update to new data path
	* src/const.py.in: new data, image path defintions
	* src/gramps_main.py: update to new install paths
	* src/Assistant.py: update to new install paths
	* src/ImgManip.py: update to new install paths
	* src/ObjectSelector/_FamilyPreviewFrame.py: update to new install paths
	* src/ObjectSelector/_OjbectSelectorWindow.py: update to new install paths
	* src/ObjectSelector/_PersonPreviewFrame.py: update to new install paths
	* src/plugins/NavWebPage.py: update to new install paths
	
2006-03-02  Alex Roitman  <shura@gramps-project.org>
	* src/Mime/__init__.py: Add new package.
	* src/GrampsMime.py, src/GnomeMime.py, src/PythonMimie.py: Remove
	(placed under Mime now).
	* src/Config/__init__.py: Add new package.
	* src/GrampsGconfKeys.py, src/GrampsIniKeys.py, src/GrampsKeys.py:
	Remove (placed under Config now).
	* calendar, filers: Remove directories.
	* images: Create directory.
	* src/*png, src/*jpg: move under images directory.

2006-03-02  Don Allingham  <don@gramps-project.org>
	* configure.in: make distcheck fixes
	* src/MapView.py: make distcheck fixes
	* src/GrampsLogger/Makefile.am: make distcheck fixes
	* src/Makefile.am: make distcheck fixes
	* src/TreeViews.am: make distcheck fixes

2006-03-02  Alex Roitman  <shura@gramps-project.org>
	* src/GrampsLogger/Makefile.am (pkgdata_PYTHON): Typo.
	* configure.in: Generate Makefile-s in new directories.
	* src/Makefile.am (SUBDIRS): Typo.
	* *png, *jpg: Add proper svn:mime-type, remove mime-type.
	* .cvsignore: Remove from all directories.

2006-03-02  Don Allingham  <don@gramps-project.org>
	* src/place.png: fix corruption due to svn conversion
	* src/sources.png: fix corruption due to svn conversion
	* src/gramps.png: fix corruption due to svn conversion
	
2006-03-01  Don Allingham  <don@gramps-project.org>
	* src/EditSecondary.py: Base class for standard secondary object
	editors (not including reference editors)
	* src/AddrEdit.py: Base on EditSecondary
	* src/AttrEdit.py: Base on EditSecondary
	* src/LocEdit.py: Base on EditSecondary
	* src/NameEdit.py: Base on EditSecondary
	* src/UrlEdit.py: Base on EditSecondary
	* src/EditPerson.py: fix focus_out_event signal handling
	* src/DisplayTabs.py: provide double click/edit button handling
	for back references.

2006-02-28  Alex Roitman  <shura@gramps-project.org>
	* src/Exporter.py (Exporter): Callback support, busy cursor.
	* src/ViewManager.py (ViewManager): Move progress bar handling
	into DisplayState.
	* src/DisplayState.py (DisplayState): Move progress bar here.
	* src/Assistant.py (Assistant.set_busy_cursor): Add method.
	* src/plugins/WritePkg.py: Callback support.
	* src/GrampsDb/_WriteGedcom.py: Callback support.

2006-02-28  Don Allingham  <don@gramps-project.org>
	* src/AddrEdit.py: remove already_exist check in favor of exception
	* src/AttrEdit.py: remove already_exist check in favor of exception
	* src/DisplayState.py: remove already_exist variable
	* src/DisplayTabs.py: handle exception
	* src/EditEventRef.py: remove already_exist check in favor of exception
	* src/EditFamily.py: update to derive from EditPrimary
	* src/EditMedia.py: update to derive from EditPrimary
	* src/EditMediaRef.py: remove already_exist check in favor of exception
	* src/EditPerson.py: update to derive from EditPrimary
	* src/EditPlace.py: update to derive from EditPrimary
	* src/EditRepository.py:update to derive from EditPrimary
	* src/EditSource.py: update to derive from EditPrimary
	* src/EditSourceRef.py: remove already_exist check in favor of exception
	* src/Errors.py: new exception
	* src/EventEdit.py: update to derive from EditPrimary
	* src/EventView.py: catch exception of window already exists
	* src/FamilyList.py: catch exception of window already exists
	* src/FamilyView.py: catch exception of window already exists
	* src/GrampsWidgets.py: typos
	* src/NameEdit.py: remove already_exist check in favor of exception
	* src/PedView.py: catch exception of window already exists
	* src/PersonView.py: catch exception of window already exists
	* src/PlaceView.py: catch exception of window already exists
	* src/Plugins.py: catch exception of window already exists
	* src/UrlEdit.py: remove already_exist check in favor of exception
	* src/const.py.in: dynamically determine path 
	* src/gramps.glade: name changes
	* src/gramps.py: set path
	
2006-02-28  Alex Roitman  <shura@gramps-project.org>
	* src/plugins/WritePkg.py (PackageWriter.export): Add existing
	image filenames to the archive.
	* src/GrampsDb/_WriteXML.py: Improve callback use, add another
	strip_photo option.
	* src/ViewManager.py: Typos.
	* src/Exporter.py: Start for callback support.
	* src/GrampsDb/_WriteGedcom.py: Callback support.

	* src/ViewManager.py (ViewManager.import_data): Properly process
	non-native (plugin) imports; (_do_import): factor common code into
	the new method.
	* src/GrampsDb/_ReadXML.py (GrampsParser.__init__): Skip updating
	if callback is empty (non-callable).
	* src/docgen/HtmlDoc.py (HtmlDoc.load_tpkg): Use tarfile.
	* src/ArgHandler.py (ArgHandler.cl_import): Use tarfile.
	* src/plugins/WritePkg.py (PackageWriter.export): Use tarfile.
	* src/plugins/ReadPkg.py (impData): Use tarfile module.

	* various: merge changes made in gramps20 up until R2_0_10_real tag.

2006-02-25  Don Allingham  <don@gramps-project.org>
	* src/DisplayTabs.py: repository reference editor
	* src/EditRepository.py: repository reference editor
	* src/EditSource.py: repository reference editor
	* src/GrampsWidgets.py: more readonly support
	* src/RepositoryRefEdit.py: removed
	* src/gramps.glade: repository reference editor
	* src/EditRepositoryRef.py: added - repository reference editor

2006-02-24  Don Allingham  <don@gramps-project.org>
	* src/DisplayTabs.py: backreference tabs
	* src/EditEventRef.py: backreference tabs
	* src/EditMedia.py: backreference tabs
	* src/EditMediaRef.py: backreference tabs
	* src/EditPlace.py: backreference tabs
	* src/EditSource.py: backreference tabs
	* src/EventEdit.py: backreference tabs
	* src/gramps.glade: notebook tab fixes

2006-02-24  Alex Roitman  <shura@gramps-project.org>
	* src/RelLib/_Person.py (Person.get_handle_referents): Add
	birth_ref and death_ref to the list of referents.

2006-02-23  Don Allingham  <don@gramps-project.org>
	* src/EditEventRef.py: switch to monitored widgets, place selector
	* src/EventEdit.py: switch to monitored widgets, place selector
	* src/GrampsWidgets.py: place selection widget
	* src/GrampsDb/_GrampsDbBase.py: move completion widget, handle 
	place lists

2006-02-22  Don Allingham  <don@gramps-project.org>
	* src/EditPlace.py: use monitored widgets
	* src/EditSource.py: use monitored widgets
	* src/EventEdit.py: use monitored widgets
	* src/GrampsWidgets.py: start of monitored place
	* src/GrampsDb/_GrampsDbBase.py: monitor place changes

2006-02-22  Alex Roitman  <shura@gramps-project.org>
	* src/EditSourceRef.py (__init__): Typos.
	* src/DisplayTabs.py (GalleryTab.add_button_clicked): Typos.

2006-02-21  Don Allingham  <don@gramps-project.org>
	* src/EditMediaRef.py: added
	* src/EditPerson.py: call EditMediaRef
	* src/EditPlace.py: remove import ImageSelect
	* src/DisplayTabs.py: media double click
	* src/UrlEdit.py: Full edit functionality
	* src/ImageSelect.py: removed
	* src/AddrEdit.py: Full edit functionality
	* src/AttrEdit.py: Full edit functionality
	* src/DisplayTabs.py: call EditEventRef
	* src/EditSourceRef.py: Full edit functionality
	* src/EventEdit.py: separate out EditEventRef
	* src/GrampsWidgets.py: Add date, menu, type handling widgets
	* src/NameEdit.py: Full edit functionality
	* src/gramps.glade: fix names and privacy buttons
	* src/EditEventRef.py: broken out of EditEvent

2006-02-20  Don Allingham  <don@gramps-project.org>
	* src/GrampsWidgets.py: Add monitored widgets for type and combo
	* src/EditFamily.py: use MonitoredType
	* src/EditSourceRef.py: complete monitoring of values
	* src/gramps.glade: add text field

2006-02-19  Don Allingham  <don@gramps-project.org>
	* src/DisplayTabs.py: connect new EditSourceRef editor
	* src/EditSourceRef.py: update data on save
	* src/gramps.glade: hide src_edit_ref by default
	* src/plugins/Makefile.am: Calendar.py and holidays.xml

2006-02-18  Don Allingham  <don@gramps-project.org>
	* src/DisplayModels.py: display date properly
	* src/DisplayTabs.py: fix create_buttons default value
	* src/GrampsDb/_ReadGedcom.py: handle the "FORM" value for
	PLAC definition

2006-02-17  Don Allingham  <don@gramps-project.org>
	* src/GrampsDb/_ReadGedcom.py: fix character translation

2006-02-16  Don Allingham  <don@gramps-project.org>
	* src/GrampsDb/_GedTokens.py: fix constant table
	* src/GrampsDb/_ReadGedcom.py: ALIA fix

2006-02-15  Don Allingham  <don@gramps-project.org>
	* src/DisplayTabs.py: Set up for EditSourceRef
	* src/GrampsMime.py: handle special mime types
	* src/gramps.glade: add sourceref editor
	* src/GrampsDb/_GedTokens.py: Unused tokens, FTM 3.0 tokens
	* src/GrampsDb/_ReadGedcom.py: use TOKEN_IGNORE
	* src/EditSourceRef.py: added

2006-02-09  Don Allingham  <don@gramps-project.org>
	* src/DisplayState.py: Manage history on db change
	* src/Navigation.py: Manage history on db change
	* src/PedView.py: fix quote
	* src/PersonView.py: reset db and build tree on database reload
	* src/GrampsDb/_GrampsDbBase.py: clear active on database change
	* src/FamilyView.py: initialize Family
	* src/EditFamily.py: fix empty gramps_id for new families
	* src/GrampsWidgets.py: fix empty gramps_id for new families
	* src/DisplayTabs.py: fix editing of person events
	* src/EditPerson.py: sort out birth/death references
	* src/EventEdit.py: Handle event references properly
	* src/PageView.py: Add setting default person
	* src/PersonView.py: Add SetActive action
	* src/ViewManager.py: move ColumnEdit action

2006-02-09  Jérôme Rapinat  <romjerome@yahoo.fr>
	* src/data/gramps.desktop: Add French strings.

2006-02-09  Alexandre Prokoudine  <alexandre.prokoudine@gmail.com>
	* src/data/gramps.desktop: Improve Russian string, add Office
	category.

2006-02-08  Don Allingham  <don@gramps-project.org>
	* src/PeopleModel.py: clear data cache
	* src/EditFamily.py: set focus on surname
	* src/EditPerson.py: hook up add child
	* src/PersonView.py: fix delete person dispay
	* src/ViewManager.py: re-enable bookmark functions
	* src/DisplayTabs.py: pychecker fixes
	* src/EditMedia.py: Handle Note types properly
	* src/EditPerson.py: minor cleanup
	* src/EventEdit.py: pychecker fixes
	* src/MediaView.py: Don't call NoteEditor, use EditMedia instead
	* src/PageView.py: pychecker fixes
	* src/PersonView.py: typo
	* src/gramps.glade: Handle note types in media editor

2006-02-08 Richard Taylor <rjt-gramps@thegrindstone.me.uk>
	* src/ObjectSelector/_FamilyPreviewFrame.py: use new baseclass
	* src/ObjectSelector/_FamilyTreeFrame.py: use new baseclass
	* src/ObjectSelector/_FilterSpec.py: removed
	* src/ObjectSelector/_ObjectSelectorResult.py: removed
	* src/ObjectSelector/_PersonPreviewFrame.py: use new baseclass
	* src/ObjectSelector/_PersonTreeFrame.py: use new baseclass
	* src/ObjectSelector/_PreviewFrameBase.py: added
	* src/ObjectSelector/_TreeFrameBase.py: added
	* src/ObjectSelector/__init__.py: added some documentation

2006-02-08  Don Allingham  <don@gramps-project.org>
	* src/DisplayTabs.py: reordering items in a Gallery

2006-02-08 Richard Taylor <rjt-gramps@thegrindstone.me.uk>
        * src/ObjectSelector/_FilterFrameBase.py,
	 src/ObjectSelector/_ObjectSelectorWindow.py,
	 src/ObjectSelector/_PersonFrame.py: fixed add button in object selector.

2006-02-08 Richard Taylor <rjt-gramps@thegrindstone.me.uk>
        * src/EditFamily.py, src/Models/_FastFilterModel.py,
	 src/Models/_FastModel.py, src/ObjectSelector/_FilterFrameBase.py,
	 src/ObjectSelector/_ObjectFrameBase.py, src/ObjectSelector/_ObjectSelectorWindow.py,
	 src/ObjectSelector/_PersonFilterFrame.py, src/ObjectSelector/_PersonFrame.py,
	 src/ObjectSelector/_PersonPreviewFrame.py, src/ObjectSelector/_PersonTreeFrame.py,
	 src/TreeViews/_PersonTreeView.py: Integrated new treeview/model code into ObjectSelector


2006-02-07  Don Allingham  <don@gramps-project.org>
	* src/DisplayModels.py: gobject.TYPE_STRING -> str
	* src/EditFamily.py: privacy widget
	* src/EditPerson.py: privacy widget
	* src/EventEdit.py: save support
	* src/GrampsWidgets.py: Add PrivacyButton support
	* src/PageView.py: make sure active before updating rows
	* src/edit_person.glade: privacy icons
	* src/gramps.glade: privacy icons

2006-02-06  Don Allingham  <don@gramps-project.org>
	* src/SourceView.py: fix source query dialog, fix source deleting
	* src/ansel_utf8.py: fix unicode conversion
	* src/GrampsDb/_GrampsDbBase.py: fix surname detection
	* src/GrampsDb/_ReadGedcomp.py: fix note importation
	* src/EditFamily.py: Complete save operation, handle new family
	* src/EditMedia.py: Add file selector button
	* src/FamilyList.py: Save properly
	* src/edit_person.glade: lock icon
	* src/gramps.glade: file selector button

2006-02-06  Alex Roitman  <shura@gramps-project.org>
	* src/GrampsDb/_GrampsBSDDB.py (transaction_commit): Typo.

2006-02-05  Don Allingham  <don@gramps-project.org>
	* src/AttrEdit.py: remove unused parameters
	* src/EditFamily.py: start apply operation, data saving
	* src/DisplayModels.py: handle places correctly
	* src/DisplayTabs.py: Add LocationTab
	* src/EditPlace.py: update to use DisplayTabs
	* src/ImageSelect.py: remove SelectObject
	* src/LocEdit.py: use DisplayManager
	* src/gramps.glade: update editors
	* src/GrampsDb/_GrampsDbBase.py: use db_is_open
	* src/RelLib/_Place.py: typo
	
2006-02-04  Don Allingham  <don@gramps-project.org>
	* src/ChooseParents.py: removed
	* src/ListBox.py: removed
	* src/TransTable.py: removed
	* src/AddSpouse.py: removed
	* src/Marriage.py: removed
	* src/AddMedia.py: relative path support
	* src/AddrEdit.py: add DisplayTab support
	* src/DdTargets.py: repository references support
	* src/DisplayTabs.py: repository reference support
	* src/EditMedia.py: save support
	* src/EditSource.py: save support
	* src/ImageSelect.py: remove unused stuff
	* src/Sources.py: use object instead of gobject.TYPE_PYOBJECT
	* src/Utils.py: relative path calculator
	* src/ViewManager.py: change cwd to directory of the file so that
	relative paths work
	* src/edit_person.glade: fix size
	* src/gramps.glade: add relative path indicator
	* src/GrampsDb/_ReadGedcom.py: remove useless comparea

2006-02-03  Don Allingham  <don@gramps-project.org>
	* src/AttrEdit.py: use DisplayTabs
	* src/NameEdit.py: use DisplayTabs
	* src/gramps.glade: use DisplayTabs
	* src/DisplayTabs.py: Handle notes properly
	* src/EventEdit.py: commit modified events
	* src/PeopleModel.py: remove unused functions
	* src/PersonView.py: remove debug

2006-02-03  Alex Roitman  <shura@gramps-project.org>
	* RelLib/_*.py: Make objects serialize all the way down to built-in
	python objects, so that Gramps classes are never pickled.
	* Date.py, CalSdn.py: Move to RelLib.
	* src/dates/Date_*.py: Use new Date.
	* src/plugins/*.py: Use new Date.
	* src/GrampsDb/_*.py: Use new Date, new unserialize.
	* src/*.py: Use new Date.

	* src/Makefile.am: Remove absent glade files from the list.
	* src/GrampsDb/Makefile.am: Ship new glade files; correct directory.

	* src/PeopleModel.py: Correct column numbers.
	* src/GrampsDb/_ReadGedcom.py (parse_header_source): Typo.
	* src/RelLib/_RepoRef.py (unserialize): Return unserialized object.

2006-02-03 Richard Taylor <rjt-gramps@thegrindstone.me.uk>
        * src/TreeViews/_PersonTreeView.py: added more columns
	
2006-02-03 Richard Taylor <rjt-gramps@thegrindstone.me.uk>
        * src/GrampsDb/_GrampsBSDDB.py: fixed typo
	* src/Models: added initial fast model implementation
	* src/TreeViews: added treeview that uses new Models
	* src/try_tree_model.py: harness for running treeview
	
2006-02-02  Don Allingham  <don@gramps-project.org>
	* src/PersonView.py: history
	* src/EditPerson.py: start the save routine.
	* src/DdTargets.py: add support for data items in sources
	* src/EventEdit.py: use DisplayTabs
	* src/gramps.glade: New EventEditor with display tabs
	* src/DisplayTabs.py: specify data _DND_TYPE, don't enable d-n-d if 
	_DND_TYPE not defined
	* src/DisplayState.py: add standard function for using WATCH cursor
	* src/PageView.py: enable watch cursor when it is necessary to 
	rebuild a page.
	* src/EditMedia.py: break out of ImageSelect, since ImageSelect
	will probably go away. Add media editing ability using DisplayTabs.
	* src/MediaView.py: call EditMedia
	* src/gramps.glade: clean up media editor dialog

2006-02-02  Alex Roitman  <shura@gramps-project.org>
	* src/GrampsDb/_GrampsBSDDB.py (transaction_begin,
	transaction_commit): only do secondary index magic if not
	instructde otherwise; (BdbTransaction.__init__): accept additional
	argument, pass it on to Transaction class.
	* src/GrampsDb/_GrampsDbBase.py (Transaction.__init__): accept
	additional argument for no_magic.
	* src/GrampsDb/_ReadGedcom.py (NoteParser): count people during
	first pass; (parse_gedcom_file): start transaction with or without
	secondary index magic.
	* src/GrampsDb/_ReadXML.py (LineParser):count people during
	first pass; (parse): start transaction with or without secondary
	index magic.

2006-02-01  Don Allingham  <don@gramps-project.org>
	* src/EditPerson.py: unused code
	* src/ImgManip.py: convienence code
	* src/Sources.py: DisplayManager-ize the SourceEditor
	* src/DisplayTabs.py: Hook up editors
	* src/EditFamily.py: Add _DND_TYPE
	* src/UrlEdit.py: Add type selector
	* src/Utils.py: add type/string maps for url types
	* src/gramps.glade: add type selector comboboxentry
	* src/ObjectSelector/_ObjectSelectorWindow.py: fix window management
	so that the system is closed properly

2006-02-01  Alex Roitman  <shura@gramps-project.org>
	* src/GrampsDb/_GrampsBSDDB.py (_find_from_handle): Revert the
	change, as it does not seem to bring any speedup.

2006-01-31  Alex Roitman  <shura@gramps-project.org>
	* src/GrampsDb/_GrampsDbBase.py (find_next_*_gramps_id): check 
	whether the key exists, do not read.
	* src/GrampsDb/_GrampsBSDDB.py (find_next_*_gramps_id): Remove 
	methods, as there's no need to override ones the DbBase now.

	* src/GrampsDb/_GrampsBSDDB.py (_find_by_handle): delegate key
	lookup to dbmap.db; (transaction_commit, transaction_begin):
	Enable removing/rebuilding of the secondary index.
	* src/GrampsDb/_ReadXML.py (LineParser): Improve first pass.

2006-01-31  Don Allingham  <don@gramps-project.org>
	* src/EditPerson.py: clean up building notebook pages
	* src/DisplayTabs.py: support for drag-n-drop

2006-01-30  Alex Roitman  <shura@gramps-project.org>
	* src/GrampsDb/_GrampsBSDDB.py (get_gramps_ids): Move to
	GrampsDbBase; (_get_obj_from_gramps_id,_find_from_handle): Only
	read data if the key exists.
	* src/GrampsDb/_GrampsDbBase.py (get_gramps_ids,has_gramps_id):
	Add methods; (check_*_from_handle): Add methods that make sure
	that object exists in the db, create as necessary, but do not read
	if it exists; (_check_from_handle): Add lower-level method; 
	(_find_from_handle): Only read data if the key exists.
	* src/GrampsDb/_GrampsInMemDB.py (get_gramps_ids): Move to 
	GrampsDbBase.
	* src/GrampsDb/_ReadXML.py: Multiple improvements.

2006-01-29  Don Allingham  <don@gramps-project.org>
	* src/DdTargets.py: Add support for EventRef
	* src/DisplayTabs.py: Drag and drop support in base class
	* src/EditPerson.py: remove unused functions
	* src/edit_person.glade: privacy flag change
	* src/gramps.glade: add tooltip

2006-01-29  Alex Roitman  <shura@gramps-project.org>
	* src/GrampsDb/_WriteXML.py (write_place_obj): Always write ptitle.
	* src/GrampsDb/_ReadXML.py: Prase file and ptitle tags.
	* example/gramps/example.gramps: Update XML example.
	* src/Exporter.py: Set initial person in case there's no active.
	* src/ViewManager.py (find_initial_person): Remove method.
	* src/GrampsDb/_GrampsDbBase.py (find_initial_person): Add method.

2006-01-28  Don Allingham  <don@gramps-project.org>
	* src/DisplayTabs.py: hook up event ref editor

2006-01-28  Alex Roitman  <shura@gramps-project.org>
	* src/GnomeMime.py: Import neede modules.
	* doc/grampsxml.dtd: Events preceed people.
	* doc/grampsxml.rng: Events preceed people.
	* src/GrampsDb/_WriteXML.py: Events preceed people.
	* src/GrampsDb/_ReadXML.py: Parse old and new style events, old
	witnesses, new eventrefs.

2006-01-28  Don Allingham  <don@gramps-project.org>
	* src/DisplayTabs.py: add SourceRefModel, NameEmbedList, 
	AddrEmbedList
	* src/EditPerson.py: Use new EmbedLists
	* src/ViewManager.py: set max value on set_fraction
	* src/edit_person.glade: remove old lists
	* src/GrampsDb/_ReadGedcom.py: fix types
	* src/EditFamily.py: fix variable names
	* src/GrampsDb/_GrampsBSDDB.py: qualify strxfrm

2006-01-27  Alex Roitman  <shura@gramps-project.org>
	* src/GrampsDb/_ReadGedcom.py: Typo.
	* src/GrampsDb/_GrampsBSDDB.py: Correct duplicate event IDs on upgrade.
	* src/GrampsDb/_WriteXML.py: More XML updates.

	* doc/grampsxml.dtd: Update to reflect new XML.
	* src/GrampsDb/_ReadGedcom.py (parse_repo_ref_caln): Properly set
	media type.
	* src/GrampsDb/_WriteXML.py: More XML updates.
	* doc/grampsxml.rng: Update to reflect new XML.

	* src/GrampsDb/_GrampsBSDDB.py: Typos.
	* src/GrampsDb/_WriteXML.py: Minor corrections.
	* doc/grampsxml.rng: Updates.
	* example/gramps/example.gramps: New XML example.

2006-01-27  Don Allingham  <don@gramps-project.org>
	* src/GrampsDb/_ReadGedcomp.py: preselect gramps ids for events

2006-01-26  Don Allingham  <don@gramps-project.org>
	* src/DisplayModels.py: optimization
	* src/DisplayTabs.py: improved docs
	* src/ViewManger.py: remove import_tool_callback
	* src/GrampsDb/_ReadGedcom.py: fix repeated translation call

2006-01-25  Alex Roitman  <shura@gramps-project.org>
	* src/GrampsDb/_GrampsBSDDB.py: Add proper upgrade path from
	within load.
	* src/GenericFilters.py (get_filters): Use default value of
	'generic' for the namespace argument; Remove unneeded import.
	* src/GrampsDb/_ConstXML.py: Add new file.
	* src/GrampsDb/Makefile.am: Ship new file.
	* src/GrampsDb/_GrampsBSDDB.py: Convert family and parent family
	relations from integer to tuple on upgrade.
	* src/GrampsDb/_WriteGedcom.py: Convert from tuple to string.
	* src/GrampsDb/_WriteXML.py: Handle some of new XML.
	
	* src/GrampsDb/_ConstXML.py: More XML export fixes.
	* src/GrampsDb/_GrampsBSDDB.py: More XML export fixes.
	* src/GrampsDb/_GrampsDbBase.py: More XML export fixes.
	* src/GrampsDb/_GrampsInMemDB.py: More XML export fixes.
	* src/GrampsDb/_WriteXML.py: More XML export fixes.

2006-01-25  Don Allingham  <don@gramps-project.org>
	* src/DisplayTabs.py: use idle_loop to load data for source
	backreferences
	* src/EditSource.py: close the BackReferences tab to turn off the
	idle loop if still active
	* src/GrampsDb/_GrampsBSDDB.py: close secondary indexes before primary
	
2006-01-24  Don Allingham  <don@gramps-project.org>
	* src/DisplayTabs.py: SourceRef tab
	* src/EditSource.py: New source ref dialog
	* src/grampsl.glade: New source ref dialog
	* src/GrampsDb/_GedTokens.py: repository tokens
	* src/GrampsDb/_ReadGedcom.py: repository support

2006-01-24  Alex Roitman  <shura@gramps-project.org>
	* src/GrampsDb/_GrampsBSDDB.py (load): Set max locks and objects
	to 25000; Add DB_RECOVER flag to the environment.

2006-01-24  Don Allingham  <don@gramps-project.org>
	* src/DisplayModels.py: Fix column handling for repositories
	* src/RepositoryView.py: Columns for repositories
	* src/GrampsDb/_GrampsDbBase.py: default columns settings for repositories
	* src/GrampsDb/_ReadGedcom.py: Import repository information
	* src/RelLib/_Event.py: check Event type values

2006-01-23  Don Allingham  <don@gramps-project.org>
	* src/DisplayTabs.py: Add source ref model/tab
	* src/PeopleModel.py: specify handle column
	* src/PersonView.py: fix selection column
	* src/DisplayState.py: Warning log handler, add timeout handler
	* src/EditFamily.py: remove icon in father/mother column, add source tab
	* src/EditPerson.py: remove commented out code
	* src/GrampsWidgets.py: add WarnButton
	* src/ViewManager.py: use WarnButton in the status bar
	* src/GrampsDb/_GedTokens.py: Add HEAD
	* src/GrampsDb/_ReadGedcom.py: New min-lexical analyzer

2006-01-22  Don Allingham  <don@gramps-project.org>
	* src/DisplayState.py: add info button
	* src/ViewManager.py: add info button
	* src/GrampsWidgets.py: add optional size to icon button
	* src/Makefile.am: remove PeopleView.py
	* src/PeopleView.py: removed, replaced by PersonView
	* src/PersonView.py: set ellipsize property
	* src/GrampsDb/_ReadGedcom.py: fix event handling, fix skip_record

2006-01-21  Don Allingham  <don@gramps-project.org>
	* src/PeopleModel.py: fix sorting of subnames
	* src/Utils.py: fix GEDCOM mappings
	* src/GrampsDb/_ReadGedcom.py:  More updates, bring up to the new RelLib

2006-01-21  Alex Roitman  <shura@gramps-project.org>
	* src/ViewManager.py (pulse_progressbar): Print percentage text;
	Set cursor to WATCH on open and import.

2006-01-20  Don Allingham  <don@gramps-project.org>
	* src/PageView.py: remove debug statements
	* src/ViewManager.py: check for existing action group before removing
	* src/GrampsDb/_GrampsBSDDB.py: remove function call in find_surname
	* src/GenericFilter.py: implement short-circuit if only rule is
	Everyone
	* src/NameDisplay.py: optimization
	* src/PeopleModel.py: optimization of data building

2006-01-20  Alex Roitman  <shura@gramps-project.org>
	* src/GrampsDb/_GrampsBSDDB.py (transaction_begin,
	transaction_commit): disable secondary index removal/rebuilding
	due to bugs in bsddb; (_update_reference_map): explicitly check
	for addition versus update.
	* src/GrampsDb/_GrampsDbBase.py: Move _update_reference_map into
	_commite_base.
	* src/GrampsDb/_GrampsBSDDB.py: Move _update_reference_map into
	_commite_base.

2006-01-20  Don Allingham  <don@gramps-project.org>
	* src/PageView.py: add ellipsize, better dirty/clean management,
	set fixed column width and fixed height
	* src/GrampsDb/_GrampsDbBase.py: handle default column sizes

2006-01-20 Richard Taylor <rjt-gramps@thegrindstone.me.uk>
        * src/ObjectSelector/Makefile.am: added automake stuff.
	
2006-01-20 Richard Taylor <rjt-gramps@thegrindstone.me.uk>
        * src/ObjectSelector/_Constants.py, src/ObjectSelector/_Factories.py,
	  src/ObjectSelector/_FamilyFilterFrame.py,src/ObjectSelector/_FamilyFrame.py,
	  src/ObjectSelector/_FamilyPreviewFrame.py,src/ObjectSelector/_FamilyTreeFrame.py,
	  src/ObjectSelector/_FilterFrameBase.py,src/ObjectSelector/_FilterSpec.py,
	  src/ObjectSelector/_FilterSpecBase.py,src/ObjectSelector/_ObjectFrameBase.py,
	  src/ObjectSelector/_ObjectSelectorResut.py,src/ObjectSelector/_ObjectSelectorWindow.py,
	  src/ObjectSelector/_PersonFilterFrame.py,src/ObjectSelector/_PersonFilterSpec.py,
	  src/ObjectSelector/_PersonFrame.py,src/ObjectSelector/_PersonPreviewFrame.py,
	  src/ObjectSelector/_PersonTreeFrame.py,src/ObjectSelector/__init__.py: added standard header

2006-01-20 Richard Taylor <rjt-gramps@thegrindstone.me.uk>
	* src/gramps.py: stoped Ctrl-C causing an error report
        * src/EditFamily.py: integrated ObjectSelector
	* src/ObjectSelector/_Factories.py, src/ObjectSelector/_FamilyFilterFrame.py,
	  src/ObjectSelector/_FamilyFrame.py, src/ObjectSelector/_FamilyPreviewFrame.py,
	  src/ObjectSelector/_FilterFrameBase.py, src/ObjectSelector/_ObjectSelectorWindow.py,
	  src/ObjectSelector/_PersonFilterFrame.py, src/ObjectSelector/_PersonFrame.py,
	  src/ObjectSelector/_PersonPreviewFrame.py,  src/ObjectSelector/_FilterSpec.py,
	  src/ObjectSelector/_FilterSpecBase.py, src/ObjectSelector/_PersonFilterSpec.py,
	  src/ObjectSelector/__init__.py: implemented filter specs and setup package exports

2006-01-19  Don Allingham  <don@gramps-project.org>
	* src/DisplayModels.py: use dirty flag to only draw when requested
	* src/PageView.py: use dirty flag to only draw when requested
	* src/PeopleView.py: use dirty flag to only draw when requested
	* src/PeopleModel.py: provide simple caching
	* src/ViewManager.py: control dirty flags

2006-01-19 Richard Taylor <rjt-gramps@thegrindstone.me.uk>
	* src/ObjectSelector/_PersonFilterFrame.py, src/ObjectSelector/_PersonFrame.py
	  src/ObjectSelector/_PersonTreeFrame.py: filters in Person view just about work.
	
2006-01-19 Richard Taylor <rjt-gramps@thegrindstone.me.uk>
       * src/ObjectSelector/_FamilyFilterFrame.py, src/ObjectSelector/_ObjectSelectorWindow.py
         src/ObjectSelector/_PersonFilterFrame.py: ground work for filters
	* src/ObjectSelector/_FilterFrameBase.py: new file

2006-01-19  Alex Roitman  <shura@gramps-project.org>
	* src/GrampsDb/_GrampsBSDDB.py (transaction_begin): Disconnect
	unneeded secondary indices; (transaction_commit): Create new
	secondary indices to replace the ones removed.
	* src/plugins/ChangeNames.py (on_ok_clicked): Properly set batch
	transaction.
	* src/GrampsDb/_GrampsDbBase.py (transaction_begin): Add batch
	argument; (set_batch): Remove method.

2006-01-19 Richard Taylor <rjt-gramps@thegrindstone.me.uk>
       * src/ListBox.py: added import for gettext
       * src/ObjectSelector/_Factories.py, src/ObjectSelector/_FamilyFrame.py
         src/ObjectSelector/_ObjectFrameBase.py, src/ObjectSelector/_ObjectSelectorWindow.py
	 src/ObjectSelector/_PersonFrame.py, src/ObjectSelector/_PersonTreeFrame.py: added New button 
	for Person view

2006-01-18  Don Allingham  <don@gramps-project.org>
	* src/GrampsDb/_ReadGedcom.py: fix MARNM
	* src/GrampsWidgets.py: edit label for column header
	* src/DisplayTabs.py: mediatab improvements
	* src/EditFamily.py: monitor for changed people and update if needed,
	CellRendererCombo for child relations

2006-01-18  Alex Roitman  <shura@gramps-project.org>
	* src/GrampsDb/_GrampsBSDDB.py (load): Use BTREE for
	reference_map; sort reference_map_referenced_map index.
	* src/GrampsDb/_ReadGedcom.py (parse_record): Restore add def_src.
	* src/GrampsDb/_GrampsBSDDB.py (rebuild_secondary): Proper
	rebuild; convert surnames secondary index to DUPSORTed BTREE.
	* src/GrampsDb/_GrampsBSDDB.py: upgrade from gramps20.
	* src/GrampsDb/_ReadXML.py (parse): Properly set batch transaction.
	* src/GrampsDb/_ReadGrdb.py (importData): Properly set batch
	transaction.
	* src/plugins/Check.py: Properly set batch transaction.
	* src/plugins/ImportGeneWeb.py: Properly set batch transaction.
	* src/plugins/ImportvCard.py: Properly set batch transaction.
	* src/plugins/TestCaseGenerator.py: Properly set batch transaction.

2006-01-17  Don Allingham  <don@gramps-project.org>
	* src/DbPrompter.py: removed
	* src/gramps.glade: delete unused stuff
	* src/ViewManger.py: progressbar callbacks
	* src/GrampsDb/_GrampsBSDDB.py: progressbar callbacks
	* src/GrampsDb/_GrampsGEDDB.py: progressbar callbacks
	* src/GrampsDb/_ReadXML.py: progressbar callbacks
	* src/GrampsDb/_ReadGedcom.py: progressbar callbacks

2006-01-17 Richard Taylor <rjt-gramps@thegrindstone.me.uk>
        * src/GrampsDb/_GrampsBSDDB.py: make ref update optional
	
2006-01-17  Alex Roitman  <shura@gramps-project.org>
	* src/GrampsDb/_GrampsDbBase.py (redo): Properly abort redo action
	when no redo is available.

	* src/GrampsDb/_GrampsDbBase.py: Set batch transaction property in
	the constructor.
	* src/GrampsDb/_GrampsBSDDB.py: Back to durable transactions, set
	TXN_NOSYNC flag only on batch transactions.
	* src/GrampsDb/_ReadGedcom.py (parse_record): Do not add def_src
	to person/family. Need to optimize the performance first.

2006-01-17  Martin Hawlisch  <Martin.Hawlisch@gmx.de>
	* src/EventView.py (ui_definition): Add filter menu entry
	* src/FamilyList.py (ui_definition): Add filter menu entry
	* src/PlaceView.py (ui_definition): Add filter menu entry
	* src/RepositoryView.py (ui_definition): Add filter menu entry
	* src/SourceView.py (ui_definition): Add filter menu entry
	* src/GenericFilter.py: Adding generic filter widget to be used in all
	list views; Custom filter rules now get prefixed by primary object type
	* src/PageView.py: Add filter control to all list views
	* src/PersonView.py: Filter handling moved to GenericFiler

2006-01-17 Richard Taylor <rjt-gramps@thegrindstone.me.uk>
      * src/ObjectSelector/_FamilyFrame.py src/ObjectSelector/_FamilyPreviewFrame.py
        src/ObjectSelector/_FamilyTreeFrame.py src/ObjectSelector/_ObjectSelectorWindow.py
	src/ObjectSelector/_PersonFrame.py src/ObjectSelector/_PersonPreviewFrame.py
	src/ObjectSelector/_PersonTreeFrame.py: UI improvements to object selector

2006-01-17 Richard Taylor <rjt-gramps@thegrindstone.me.uk>
       * src/ObjectSelector/_FamilyFrame.py, src/ObjectSelector/_FamilyPreviewFrame.py,
         src/ObjectSelector/_ObjectFrameBase.py, src/ObjectSelector/_ObjectSelectorWindow.py,
	 src/ObjectSelector/_PersonFrame.py, src/ObjectSelector/_PersonPreviewFrame.py,
         src/ObjectSelector/_PersonTreeFrame.py src/ObjectSelector/_ObjectSelectorResult.py:
	object selection and initial preview works for Family and Person

2006-01-17 Richard Taylor <rjt-gramps@thegrindstone.me.uk>
       * src/ObjectSelector/_FamilyFrame.py: basic object selection now working
       * src/ObjectSelector/_FamilyTreeFrame.py: basic object selection now working
       * src/ObjectSelector/_ObjectFrameBase.py: basic object selection now working
       * src/ObjectSelector/_ObjectSelectorWindow.py: basic object selection now working
       * src/ObjectSelector/_PersonFrame.py: basic object selection now working
       * src/ObjectSelector/_PersonTreeFrame.py: basic object selection now working


2006-01-16  Don Allingham  <don@gramps-project.org>
	* src/AddMedia.py: glade path
	* src/AddrEdit.py: glade path
	* src/AttrEdit.py: glade path
	* src/DateEdit.py: glade path
	* src/EventEdit.py: glade path
	* src/GrampsCfg.py: glade path
	* src/ImageSelect.py: glade path
	* src/Sources.py: glade path
	* src/StyleEditor.py: glade path
	* src/const.py.in: glade path
	* src/Marriage.py: glade path
	* src/unlocked.png: added
	* src/gramps.glade: remove lock border
	* src/GrampsDb/_ReadGedcom.py: optimize UI updates, add test code

2006-01-16  Alex Roitman  <shura@gramps-project.org>
	* src/ViewManager: Remov unused code.
	* src/GrampsDb/_GrampsBSDDB.py: Do small txn during batch
	transaction; set db.DB_TXN_NOSYNC flag on an environment;
	Remove lock limits; set db.DB_LOG_AUTOREMOVE flag; add checkpoints
	on: open, batch transaction start and end; close.
	* src/GrampsDb/_GrampsDbBase.py (change_database, no_database):
	close existing db before changing to the new one.

2006-01-16  Martin Hawlisch  <Martin.Hawlisch@gmx.de>
	* src/PedView.py: Edit on doublecklick; only right click gives
	optionsmenu; Colors similar to tango icons
	
2006-01-16  Don Allingham  <don@gramps-project.org>
	* src/gramps.glade: reposition add/delete buttons, remove separator
	between parents and relationship info


2006-01-16 Richard Taylor <rjt-gramps@thegrindstone.me.uk>
       * src/ObjectSelector/_Factories.py: refactored object frame
       * src/ObjectSelector/_FamilyFrame.py: refactored object frame
       * src/ObjectSelector/_ObjectFrameBase.py: refactored object frame
       * src/ObjectSelector/_ObjectSelectorWindow.py: refactored object frame
       * src/ObjectSelector/_PersonFilterFrame.py: refactored object frame
       * src/ObjectSelector/_PersonFrame.py: refactored object frame
       * src/ObjectSelector/_PersonSearchCriteriaWidget.py: renamed file


2006-01-14  Don Allingham  <don@gramps-project.org>
	* src/DisplayTabs.py: add button control class
	* src/EditFamily.py: add icons
	* src/DisplayTabs.py: fix double click
	* src/EditFamily.py: fix double click
	* src/GrampsWidgets.py: add SimpleButton
	* src/ToolTips.py: Family tool tip

2006-01-14 Richard Taylor <rjt-gramps@thegrindstone.me.uk>
       * src/ObjectSelector/_Constants.py: enums
       * src/ObjectSelector/_Factories.py: multi object type factories
       * src/ObjectSelector/_FamilyFilterFrame.py: family support 
       * src/ObjectSelector/_FamilyPreviewFrame.py: family support 
       * src/ObjectSelector/_FamilyTreeFrame.py: family support 
       * src/ObjectSelector/_PersonTreeFrame.py: separated out person tree
       * src/ObjectSelector/_ObjectSelectorWindow.py: implemented view switching
       * src/ObjectSelector/_PersonPreviewFrame.py: implemented view switching
       * src/ObjectSelector/_PersonSearchCriteriaWidget.py: implemented view switching
	
2006-01-14  Don Allingham  <don@gramps-project.org>
	* src/DisplayTabs.py: fix scrolled window
	* src/EditFamily.py: delete button
	* src/gramps.glade: clean up the window.
	
2006-01-13  Don Allingham  <don@gramps-project.org>
	* src/const.py.in: remove unused variables
	* src/gramps.glade: remove unused dialogs
	* src/DisplayTabs.py: Move event list  
	* src/EditFamily.py: add editing of people, add relationship type
	* src/EventEdit.py: move event list
	* src/FamilyView.py: remove common widgets
	* src/gramps.glade: EditFamily changes
	* src/GrampsWidgets.py: Common widgets

2006-01-13  Alex Roitman  <shura@gramps-project.org>
	* src/ViewManager.py: Proper label change for Undo/Redo.

2006-01-13 Richard Taylor <rjt-gramps@thegrindstone.me.uk>
    * src/ObjectSelector/_IntEdit.py: added int only edit

2006-01-13  Martin Hawlisch  <Martin.Hawlisch@gmx.de>
	* src/PedView.py: Use the same font as used in the gtk style

2006-01-13 Richard Taylor <rjt-gramps@thegrindstone.me.uk>
    * src/ObjectSelector/_ObjectSelectorWindow.py: layout improvements
	* src/ObjectSelector/_PersonPreviewFrame.py: layout improvements
	* src/ObjectSelector/_PersonSearchCriteriaWidget.py: layout improvements

2006-01-12  Don Allingham  <don@gramps-project.org>
	* src/DisplayTabs.py: sub tabs for edit dialogs
	* src/EditFamily.py: family editor integration
	* src/gramps.glade: family editor changes

2006-01-12 Richard Taylor <rjt-gramps@thegrindstone.me.uk>
	* src/ObjectSelector/_ObjectSelectorWindow.py: initial outline of
	ObjectSelector 
	* src/ObjectSelector/_PersonPreviewFrame.py: initial outline of
	ObjectSelector
	* src/ObjectSelector/_PersonSearchCriteriaWidget.py: initial
	outline of ObjectSelector
	
2006-01-12  Alex Roitman  <shura@gramps-project.org>
	* src/ViewManager.py: Connect undo handler to the menu item.
	* src/GrampsDb/_GrampsBSDDB.py: Place reference_map under
	transaction management.
	* src/GrampsDb/_GrampsDbBase.py: reference_map changes.

	* src/GrampsDb/_GrampsDbBase.py, src/GrampsDb/_GrampsBSDDB.py:
	Add Redo capability.

2006-01-11  Alex Roitman  <shura@gramps-project.org>
	* src/Assistant.py: Many changes.
	* src/Exporter.py: Work with new Assistant.
	* src/StartupDialog.py: Work with new Assistant.
	* src/GrampsLogger/_ErrorReportAssistant.py: Work with new Assistant.
	* src/gedcomexport.glade, src/gedcomimport.glade: Move to GrampsDb.

2006-01-11  Don Allingham  <don@gramps-project.org>
	* src/FamilyList.py: call family editor
	* src/StartupDialog.py: pwm in try/except
	* src/gramps.py: don't fail on missing SIG_CHILD
	* src/EditPerson.py: removed unused variable
	* src/EditFamily.py: start of the family editor
	* src/FamilyView.py: call family editor
	* src/gramps.glade: family editor changes

2006-01-11  Martin Hawlisch  <Martin.Hawlisch@gmx.de>
	* src/PedView.py: Now using cairo :-)
	Changed menu handling

2006-01-10  Don Allingham  <don@gramps-project.org>
	* src/FamilyView.py: fix title
	* src/MapView.py: fix title
	* src/FamilyView.py: add/edit/delete buttons for families added,
	add support for no families or parents
	* src/GrampsDb/_GrampsBSDDB.py: txn handling for get_handles
	* src/GrampsDb/_GrampsDbBase.py: txn handling for get_handles
	* src/GrampsDb/_GrampsGEDDB.py: txn handling for get_handles
	* src/GrampsDb/_GrampsXMLDb.py: txn handling for get_handles
	
2006-01-10  Alex Roitman  <shura@gramps-project.org>
	* src/Assistant.py: Cosmetic changes.
	* src/Exporter.py: Start converting to Assistant.
	* src/ViewManager.py: Add handler for Export; add hot keys for
	import and export.

	* src/Assistant.py: More changes, still needs work.
	* src/Exporter.py: More changes, still needs work.

	* src/flist.svg: Add new icon.
	* src/gramps_main.py: Use new icon.

2006-01-09  Don Allingham  <don@gramps-project.org>
	* relation.svg: Relationship view icon
	* media.svg: Relationship view icon
	* src/ViewManager.py: no background color for sidebar
	* src/gramps_main.py: new icons

2006-01-09 Richard Taylor <rjt-gramps@thegrindstone.me.uk>
	* src/ChooseParents.py: replaced DisplayTrace with new logger
	* src/DbPrompter.py: replaced DisplayTrace with new logger
	* src/DisplayModels.py: replaced DisplayTrace with new logger
	* src/EditPlace.py: replaced DisplayTrace with new logger
	* src/EditSource.py: replaced DisplayTrace with new logger
	* src/FamilyView.py: replaced DisplayTrace with new logger
	* src/MapView.py: replaced DisplayTrace with new logger
	* src/Report.py: replaced DisplayTrace with new logger
	* src/StyleEditor.py: replaced DisplayTrace with new logger
	* src/Tool.py: replaced DisplayTrace with new logger
	* src/ViewManager.py: replaced DisplayTrace with new logger
	* src/gramps_main.py: replaced DisplayTrace with new logger
	* src/GrampsLogger/_ErrorReportAssistant.py: added a newline

2006-01-09 Richard Taylor <rjt-gramps@thegrindstone.me.uk>
	* src/GrampsLogger/_ErrorReportAssistant.py: corrected wording, minor layout 
	changes.

2006-01-09 Richard Taylor <rjt-gramps@thegrindstone.me.uk>
	* src/Assistant.py: remove print statement
	* src/GrampsLogger/_ErrorReportAssistant.py: polish UI and added option
	to start email client.
	
2006-01-08  Don Allingham  <don@gramps-project.org>
	* src/person.svg: new icon
	* src/gramps_main.py: add person.svg
	* src/gramps_main.py: Change "Family" title to "Relationships"
	* src/DisplayModels.py: Fix sorting
	* src/FamilyList.py: Fix sorting
	* src/PageView.py: Fix sorting
	* src/GrampsDb/_GrampsDbBase.py: set default column sorting order

2006-01-08 Richard Taylor <rjt-gramps@thegrindstone.me.uk>
	* src/GrampsLogger/_ErrorReportAssistant.py: don't show excep twice
	* src/GrampsLogger/_ErrorView.py: don't show excep twice
	* src/GrampsLogger/_GtkHandler.py: don't show excep twice
	* src/GrampsLogger/_RotateHandler.py: don't show excep twice
	
2006-01-08 Richard Taylor <rjt-gramps@thegrindstone.me.uk>
	* src/Assistant.py: changed button handling to improve usability
	* src/GrampsLogger/_ErrorReportAssistant.py: rewording and some frames.

2006-01-07  Don Allingham  <don@gramps-project.org>
	* src/FamilyList.py: new family list view
	* src/DisplayModels.py: model for family list
	* src/GrampsDb/_GrampsDbBase.py: column order for family view
	* src/PageView.py: support for ctrl-j for jump to person by gramps id
	* src/PersonView.py: support for ctrl-j for jump to person by gramps id
	* src/ToolTips.py: fix spacing
	* src/ViewManager.py: remember toolbar/sidebar status.
	* src/FamilyView.py: fix gtk.Table's bizzare way of handling empty
	columns that are spanned.
	* src/GrampsLogger/_ErrorView.py: make dialog more HIG compliant

2006-01-06  Don Allingham  <don@gramps-project.org>
	* src/DisplayModels.py: don't access db maps directly
	* src/PeopleModel.py: don't access db maps directly
	* src/FamilyView.py: add gender symbol to primary person
	* src/GrampsDb/_GrampsBSDDB.py: provide access functions to avoid
	redirect map access
	* src/GrampsDb/_GrampsDbBase.py: provide access functions to avoid
	redirect map access
	* src/GrampsDb/_ReadGedcom.py: don't access db maps directly

2006-01-06  Alex Roitman  <shura@gramps-project.org>
	* src/GrampsLogger/.cvsignore: Add to CVS.
	* src/const.py.in: Add directory for the db environment.
	* src/GrampsDb/_GrampsDbBase.py: Use new logging;
	(get_number_of_repositories): add method; (_del_*): add
	placeholder methods -- must be overriden in derived classes.
	* src/GrampsDb/_GrampsBSDDB.py: Use new logging; Add txn attribute
	to the database; (open_table): rename dbopen; (get_*_cursor): Pass
	txn to cursor constructors; (load): Open environment with
	transaction-capable flags, open tables with AUTO_COMMIT flag;
	(rebuild): use txn; (_delete_primary_from_reference_map): Use txn;
	(_update_reference_map): Use txn; (_del_*)L Use txn; (remove_*):
	remove unneeded functions (already in DbBase);
	(_get_obj_from_gramps_id): Use txn;
	(_commit_base,_do_commit,_find_from_handle): Add and use txn;
	(transaction_commit): create and commit txn; do not sync().	

2006-01-06 Richard Taylor <rjt-gramps@thegrindstone.me.uk>
        * src/Assistant.py: converted to gobject and added signals
	* src/GrampsLogger/_ErrorReportAssistant.py: uses new Assistant signals
	
2006-01-06 Richard Taylor <rjt-gramps@thegrindstone.me.uk>
        * src/gramps.py, src/gramps_main.py: integration of logging framework.

2006-01-06 Richard Taylor <rjt-gramps@thegrindstone.me.uk>
 	* test/GrampsLogger/ErrorReportAssistant_Test.py: added unittest for
	ErrorReportAssistant
	
2006-01-05  Don Allingham  <don@gramps-project.org>
	* src/GrampsGconfKeys.py: family view detail options
	* src/GrampsIniKeys.py: family view detail options
	* src/Navigation.py: fix overflow bug
	* src/PageView.py: toggle initial value
	* src/FamiyView.py: use gender markers, remove Family/Parents,
	fix gender mouseover, inclusion options
	* src/data/gramps.schemas: new keys for family view detail

2006-01-05 Richard Taylor <rjt-gramps@thegrindstone.me.uk>
	* src/GrampsLogger/__init__.py: added package interface
	* src/GrampsLogger/_ErrorReportAssistant.py: enable rotate_handler output
	* src/GrampsLogger/_RotateHandler.py: enable rotate_handler output
	* test/GrampsLogger/GtkHandler_Test.py: add test for rotate_handler output
	
2006-01-05 Richard Taylor <rjt-gramps@thegrindstone.me.uk>
	* src/Assistant.py: added callback support for pages
	* src/GrampsLogger/_ErrorReportAssistant.py src/GrampsLogger/_ErrorView.py
	  src/GrampsLogger/_GtkHandler.py  src/GrampsLogger/_RotateHandler.py
	  test/GrampsLogger/GtkHandler_Test.py  test/GrampsLogger/RotateLogger_Test.py:
	added initial logging and error reporting framework.
	
2006-01-04  Don Allingham  <don@gramps-project.org>
	* src/FamilyView.py: Incorporate Steve Hall's identing ideas, general classes
	* src/DisplayView.py: Open/OpenRecent MenuToolButton goodness :-)
	* src/ViewManager.py: Open/OpenRecent MenuToolButton goodness :-), default icon
	* src/FamlyView.py: enable menu buttons, siblings
	* src/PageView.py: move home function into this class
	* src/PersonView.py: move home function out of this class

2006-01-04  Martin Hawlisch  <Martin.Hawlisch@gmx.de>
	* src/FamilyView.py: Handle active person == None
	
2006-01-04  Don Allingham  <don@gramps-project.org>
	* src/FamilyView.py: fix place == None problem

2006-01-03  Don Allingham  <don@gramps-project.org>
	* src/FamilyView.py: provide hyper links

2006-01-03  Alex Roitman  <shura@gramps-project.org>
	* src/DisplayState.py (push): Typo.

2006-01-03  Don Allingham  <don@gramps-project.org>
	* src/FamilyView.py: new format

2006-01-02  Martin Hawlisch  <Martin.Hawlisch@gmx.de>
	* src/PedView.py: Show marriage data; Dont use a black border for
	living people
	* src/ViewManager.py (post_load): Request interface rebuild after
	upgrading the database 

2006-01-01 Eero Tamminen <eerot@sf>
	* doc/gramps.1.in: nroff and a couple of typo fixes

2005-12-30  Martin Hawlisch  <Martin.Hawlisch@gmx.de>
	* src/ReportUtils.py: Use new RelLib API
	* src/PedView.py: Use ReportUtils to generate text; highlight selected
	person; enable Tooltips; Optionally show peoples images; Some pixel
	shifting; Tooltips for child relations; Sibling with childs bold
	* src/plugins/TestcaseGenerator.py: Use new RelLib API
	* src/GrampsDb/_GrampsBSDDB.py (_update_reference_map): Dont crash if
	no_longer_required_references dont exist in the database
	
	
2005-12-29  Don Allingham  <don@gramps-project.org>
	* src/GrampsLocale.py: handle platform specific locale issues
	* src/DateDisplay.py: use GrampsLocale
	* src/DateParser.py: use GrampsLocale
	* src/DisplayModels.py: use GrampsLocale
	* src/Exporter.py: start conversion to Assistant
	* src/PeopleModel.py: use GrampsLocale
	* src/RecentFiles.py: fcntl option for broken platforms
	* src/StartupDialog.py: convert to Assistant
	* src/ViewManager.py: remove debug statement
	* src/RelLib/_PrimaryObject.py: use GrampsLocale
	* src/plugins/Checkpoint.py: use GrampsLocale
	* src/plugins/NavWebPage.py: use GrampsLocale

2005-12-29  Martin Hawlisch  <Martin.Hawlisch@gmx.de>
	* src/PedView.py: Use a DrawingArea for nicer person boxes
	* src/GrampsDb/_GrampsDbBase.py (_update_reference_map): Sync
	parameters to other classes
	* src/GrampsDb/_ReadXML.py (stop_event): Catch invalid event
	code. Still has to be done properly

2005-12-29  Don Allingham  <don@gramps-project.org>
	* src/gramps_main.py: move gnome program init to gramps.py
	* src/gramps.py: add gnome program init	        
	* src/StartupDialog.py: use Assistant instead of gnome.ui.druid
	* src/Assistant.py: added
	* src/ArgHandler.py: remove DbPrompter dependency
	* src/GrampsGconfKeys.py: Support for saving window size
	* src/GrampsIniKeys.py: Support for saving window size
	* src/GrampsKeys.py: more gracefully handling missing gconf
	* src/Makefile.am: Fixed moved files
	* src/Report.py: clean up
	* src/ScratchPad.py: use GrampsDisplay instead of gnome.help_display
	* src/StartupDialog.py: clean up
	* src/ViewManager.py: save window size
	* src/gramps_main.py: don't require gnome
	* src/data/gramps.schemas: keys for saving window size

2005-12-29  Martin Hawlisch  <Martin.Hawlisch@gmx.de>
	* src/PedView.py: Add new submenu showing people that share
	the same event. This for example lists witnesses.
	Added alternate version of the tree; Tree is now centered;

2005-12-28  Don Allingham  <don@gramps-project.org>
	* src/Makefile.am: add PythonMime and GnomeMime
	* src/GnomeMime.py: GNOME based mime handling
	* src/PythonMime.py: Python based mime handling
	* src/AddMedia.py: gnome code isolation
	* src/DisplayState.py: gnome code isolation
	* src/EditPerson.py: gnome code isolation
	* src/EditRepository.py: gnome code isolation
	* src/GnomeMime.py: gnome code isolation
	* src/GrampsDisplay.py: gnome code isolation
	* src/GrampsMime.py: gnome code isolation
	* src/ImageSelect.py: gnome code isolation
	* src/ImgManip.py: gnome code isolation
	* src/PluginMgr.py: toolbar/menu support
	* src/Plugins.py: toolbar/menu support
	* src/RepositoryRefEdit.py: gnome code isolation
	* src/SelectObject.py: gnome code isolation
	* src/Utils.py: gnome code isolation
	* src/ViewManager.py: toolbar/menu support, gnome code isolation
	* src/GrampsDb/_GrampsBSDDB.py: unified messaging
	* src/GrampsDb/_ReadGedcom.py: unified messaging
	* src/plugins/WriteFtree.py: gnome code isolation

2005-12-25  Don Allingham  <don@gramps-project.org>
	* src/Bookmarks.py: remove debugging statements
	* src/DisplayState.py: remove extra rebuild request
	* src/Plugins.py: start support of Report menu
	* src/ViewManager.py: tie in report support

2005-12-25  Alex Roitman  <shura@gramps-project.org>
	* src/EditPlace.py: Change arguments, use correct track.
	* src/PlaceView.py: Call EditPlace with new arguments.
	* src/Sources.py: Minor.

2005-12-24  Don Allingham  <don@gramps-project.org>
	* src/Bookmarks.py: get bookmark menu working
	* src/EditPlace.py: menu tracking
	* src/DisplayState.py: recent file support
	* src/ViewManager.py: recent file support

2005-12-23  Don Allingham  <don@gramps-project.org>
	* src/DisplayState.py: recent file support
	* src/EditPerson.py: Window management
	* src/EditSource.py: Window management
	* src/EventEdit.py: Window management
	* src/ListBox.py: Window management
	* src/Sources.py: Window management
	* src/UrlEdit.py: Window management
	* src/ViewManager.py: Window management

2005-12-23  Alex Roitman  <shura@gramps-project.org>
	* src/EditPerson.py: Swap menu/submenu labels.
	* src/EventEdit.py: Menu label fixes.

	* src/DisplayState.py: Simplify ID generation for UIManager.
	* src/EditPerson.py: Use id(self) instead of self.
	* src/EditPlace.py: Use id(self) instead of self.
	* src/EditSource.py: Use id(self) instead of self.
	* src/EventEdit.py: Use id(self) instead of self.

	* doc/grampsxml.dtd: Describe new XML.
	* doc/grampsxml.rng: Describe new XML.

2005-12-22  Don Allingham  <don@gramps-project.org>
	* src/AddrEdit.py: More window management
	* src/AttrEdit.py: More window management
	* src/DisplayState.py: added push_message
	* src/EditPerson.py: More window management
	* src/ListBox.py: More window management
	* src/NameEdit.py: More window management
	* src/Navigation.py: More window management
	* src/PeopleModel.py: More window management
	* src/PersonView.py: More window management
	* src/ViewManager.py: better handling of ui and action groups

2005-12-22  Alex Roitman  <shura@gramps-project.org>
	* test/RunAllTests.py: Change header.
	* src/EventEdit.py: Fix build_ methods.
	* src/MediaView.py: Skip empty selections.
	* src/ToolTips.py (PersonTip.get_tip): Use new birth_ref interface.

2005-12-22  Don Allingham  <don@gramps-project.org>
	* src/DisplayState.py: window management improvements
	* src/EditPerson.py: window management improvements
	* src/EditPlace.py: window management improvements
	* src/EditSource.py: window management improvements
	* src/EventEdit.py: window management improvements
	* src/EventView.py: window management improvements
	* src/ListBox.py: window management improvements
	* src/NameEdit.py: window management improvements
	* src/SourceView.py: window management improvements
	* src/Sources.py: window management improvements

2005-12-22 Richard Taylor <rjt-gramps@thegrindstone.me.uk>
	* src/ImageSelect.py: changed display_refs to use find_backlink_handles and updated
	GlobalMediaProperties to use new UI model.
	* src/MediaView.py: changed call to GlobalMediaProperties to use new UI params.
	* src/Utils.py: added support for Gtk.labels to bold/unbold/temp label util funcs.

2005-12-22 Richard Taylor <rjt-gramps@thegrindstone.me.uk>
	* src/EditPlace.py: changed display_references to use find_backlink_handles
	* src/EditRepository.py: modified to use  find_backlink_handles and fixed subtle bug
	* src/RelLib/_Source.py: added reporef_list to referent object lists so that backref 
	are put in reference_map
	* test/GrampsDb/GrampsDbBase_Test.py: added unittest for source/reference backlinks
	* test/GrampsDb/GrampsDbTestBase.py: added unittest for source/reference backlinks
	
2005-12-21  Don Allingham  <don@gramps-project.org>
	* src/DisplayState.py: remove print statements
	* src/ViewManger.py: Fix const.app_* 
	* src/Bookmark.py: start of reimplementation
	* src/PersonView.py: commit fixes
	* src/GrampsDb/_GrampsBSDDB.py: refactor remove and id function

2005-12-21  Alex Roitman  <shura@gramps-project.org>
	* src/DisplayState.py (remove_item): Add code to adjust other
	item's tracks after deleting an item; (move_item_down):
	Recursively walk the items under a given item and lower the track
	entry.

	* src/DisplayState.py: Factor out recursive action function.
	* src/EditPerson.py: Use person handle to identify the window.
	* src/EventEdit.py: Use more descriptive menu label.
	* src/GrampsDb/_GrampsBSDDB.py (gramps_upgrade_9): Convert witness
	privacy flag and comment to the privacy flag and note of the new
	EventRef for old witness_by_ID references.

	* src/GrampsDb/Makefile.am, src/GrampsDb/.cvsignore: Add to CVS.
	* configure.in: Create Makefile in new directory.

	* src/GrampsDb/_GrampsBSDDB.py (close): close reference_map tables.
	* src/ViewManager.py (quit): Add function to properly quit.

	* src/DisplayState.py: Work out parent_window, correct close method.
	* src/EventEdit.py: Use parent_window; get rid of parent; remove
	unused code.
	
2005-12-21 Richard Taylor <rjt-gramps@thegrindstone.me.uk>
	* src/EditSource.py: fixed small mistake in display_references

2005-12-21 Richard Taylor <rjt-gramps@thegrindstone.me.uk>
	* src/EditSource.py: changed display_references to use find_backlink_handles
	
2005-12-21 Richard Taylor <rjt-gramps@thegrindstone.me.uk>
	* src/EditRepository.py: hack to work with current state of Address

2005-12-21 Richard Taylor <rjt-gramps@thegrindstone.me.uk>
	* src/GrampsDb: new package for all the db related modules
	* src/GedcomInfo.py moved to src/GrampsDb/_GedcomInfo.py
	* src/GrampsBSDDB.py moved to src/GrampsDb/_GrampsBSDDB.py
	* src/GrampsDBCallback.py moved to src/GrampsDb/_GrampsDBCallback.py
	* src/GrampsDbBase.py moved to src/GrampsDb/_GrampsDbBase.py
	* src/GrampsGEDDB.py moved to src/GrampsDb/_GrampsGEDDB.py
	* src/GrampsInMemDB.py moved to src/GrampsDb/_GrampsInMemDB.py
	* src/GrampsXMLDB.py moved to src/GrampsDb/_GrampsXMLDB.py
	* src/ReadGedcom.py moved to src/GrampsDb/_ReadGedcom.py
	* src/eadGrdb.py moved to src/GrampsDb/_ReadGrdb.py
	* src/ReadXML.py moved to src/GrampsDb/_ReadXML.py
	* src/WriteGedcom.py moved to src/GrampsDb/_WriteGedcom.py
	* src/WriteGrdb.py moved to src/GrampsDb/_WriteGrdb.py
	* src/WriteXML.py moved to src/GrampsDb/_WriteXML.py
	* src/GrampsDb/__init__.py: new package export file
	* src/GrampsDb/_GrampsDbExceptions.py: new module for GrampDb exceptions
	* src/GrampsDb/_GrampsDbFactories.py: new module for factory methods
	* test/RelLib: new test directory
	* test/RelLib: new test directory
	* test/GrampsDbBase_Test.py moved to test/GrampsDb/GrampsDbBase_Test.py
	* test/GrampsDbTestBase.py moved to test/GrampsDb/GrampsDbTestBase.py
	* test/RelLib_Test.py moved to test/RelLib/RelLib_Test.py
	* src/ArgHandler.py src/DbPrompter.py src/DisplayState.py 
	src/Exporter.py src/RepositoryRefEdit.py src/ViewManager.py 
	src/gramps_main.py: modified to work with new GrampsDb package
	* test/RunAllTests.py: find tests in subdirectories
	
2005-12-21 Richard Taylor <rjt-gramps@thegrindstone.me.uk>
	* src/RelLib/_SourceRef.py: added import for Note class
	
2005-12-20  Alex Roitman  <shura@gramps-project.org>
	* src/RelLib/__init__.py: More breaking up in RelLib;
	* src/RelLib/Makefile.am: Ship new files;
	* src/RelLib/ various files: add more files.

	* src/GrampsBSDDB.py (gramps_upgrade_9): Upgrade witness list in
	the old Event object.
	* src/RelLib/_Event.py: Remove external witnesses altogether.
	* src/RelLib/_Witness.py: Make even emptier (needed for upgrade only).
	* src/RelLib/__init__.py: Expose Witness (needed for upgrade only).

	* src/DisplayState.py (ManagedWindow.close): Add default argument.

2005-12-20 Richard Taylor <rjt-gramps@thegrindstone.me.uk>
	* src/RelLib/_helper.py: removed get_backlink_handles
	* test/RelLib_Test.py: removed test for get_backlink_handles

2005-12-19  Don Allingham  <don@gramps-project.org>
	* src/ReadXML.py: handle _NAME_TRANS keyerror exception

2005-12-19  Alex Roitman  <shura@gramps-project.org>
	* src/GrampsBSDDB.py (gramps_upgrade_9): Convert all Name and
	Attribute objects to use tuple types.
	* src/RelLib.py (Name.set_type): Typo in the wrapper code.

	* src/RelLib.py: Add privacy flag to all objects via making
	PrimaryObject inherit from PrivacyBase; Add AddressBase and
	UrlBase classes to manage Address and Url lists in other objects; 
	Add tuple type to the Url class; make Repository inherit from
	AddressBase and UrlBase to be able to store lists of both.
	* src/GrampsBSDDB.py (gramps_upgrade_9): Provide upgrade for the
	changes in RelLib.

	* src/RelLib.py: Remove file (replaced by the package dir).
	* src/RelLib: Add directory.
	* src/RelLib/__init__.py, src/RelLib/_helper.py,
	src/RelLib/_secondary.py, src/RelLib/Researcher.py,
	src/RelLib/GenderStats.py, src/RelLib/Person.py,
	src/RelLib/Family.py, src/RelLib/Event.py, src/RelLib/Place.py,
	src/RelLib/Source.py, src/RelLib/MediaObject.py,
	src/RelLib/Repository.py, src/RelLib/Makefile.am,
	src/RelLib/.cvsignore: Add to CVS.
	* src/configure.in: Create Makefile in src/RelLib.

2005-12-19 Richard Taylor <rjt-gramps@thegrindstone.me.uk>
	* src/RelLib.py: added get_backlink_handles method to PrimaryObject
        * test/GrampsDbBase_Test.py: factored out common db test methods
	* test/GrampsDbTestBase.py: new base class for unittests that need to 
	create database records
	* test/RelLib_Test.py: unittest for the get_backlink_handles method
	
2005-12-17  Alex Roitman  <shura@gramps-project.org>
	* src/GrampsBSDDB.py (gramps_upgrade_9): Switch to using keys in
	upgrade. When using DB cusrsor, modifying the record sometimes
	confuses the cursor operation. Possibly this only happens if
	secondary indexes are involved.

2005-12-17  Don Allingham  <don@gramps-project.org>
	* src/GrampsBSDDB.py: associate functions return str instead
	of unicode

2005-12-17 Richard Taylor <rjt-gramps@thegrindstone.me.uk>
	* src/GrampsBSDDB.py: fixed backlinks search to return classname rather
	than index.
	* test/GrampsDbBase_Test.py: added test for limiting classes 
	returned from backlink search
	
2005-12-17 Richard Taylor <rjt-gramps@thegrindstone.me.uk>
        * src/GrampsBSDDB.py: reference_map now uses keys rather 
	than class names
	* src/GrampsDbBase.py: reference_map now uses keys rather 
	than class names
	* test/GrampsDbBase_Test.py: reference_map now uses keys rather 
	than class names

2005-12-17 Richard Taylor <rjt-gramps@thegrindstone.me.uk>
	* src/GrampsDbBase.py: fixed UNDO buffer issue
	* test/GrampsDbBase_Test.py: improved performance test
	* test/RunAllTests.py: added -p cmdline flag
	
2005-12-17 Richard Taylor <rjt-gramps@thegrindstone.me.uk>
	* src/GrampsBSDDB.py: added work around for cursor set not 
	returing None.
	* test/GrampsDbBase_Test.py: corrected indent as found by Benny
	
2005-12-16 Richard Taylor <rjt-gramps@thegrindstone.me.uk>
	* test/GrampsDbBase_Test.py: added a crude performance test.
	* test/RunAllTests.py: fixed log level setting.
	
2005-12-16 Richard Taylor <rjt-gramps@thegrindstone.me.uk>
	* src/GrampsBSDDB.py: reindex_reference_map added to rebuild the 
	reference_map when upgrading database
	* test/RunAllTests.py: script to run multiple unittests
	* test/GrampsDbBase_Test.py: unittest to test reference_map table 
	implementation.
	
2005-12-15  Don Allingham  <don@gramps-project.org>
	* src/DisplayState.py: Window management completed
	* src/ViewManger.py: progress bar added back in
	* src/ReadXML.py: handle markers

2005-12-15  Alex Roitman  <shura@gramps-project.org>
	* src/GrampsBSDDB.py: go back to a single load function;
	finish gramps_upgrade_9.
	* src/ViewManager: Go back to the old way of load/upgrade.
	* src/RelLib.py (RepoRef): Typos.
	* src/Utils.py: Typos.

2005-12-15 Richard Taylor <rjt-gramps@thegrindstone.me.uk>
	* src/GrampsBSDDB.py: added delete support for the 
	reference_map

2005-12-15 Richard Taylor <rjt-gramps@thegrindstone.me.uk>
	* src/GrampsBSDDB.py: implemented get_backlink_handles that uses 
	the reference_map index, _update_reference_map that populates 
	the reference_map and supporting code.
	* src/GrampsDbBase.py: added hooks to update reference_map when
	primary objects are commited.

2005-12-15 Richard Taylor <rjt-gramps@thegrindstone.me.uk>
	* src/GrampsDbBase.py: in preparation for new reference_map, 
	added a sequencial scan implementation of get_backlink_handles 
	method that will work on all backends.

2005-12-14  Alex Roitman  <shura@gramps-project.org>
	* src/GrampsBSDDB.py: Rename upgrade to avoid collision; add DB
	upgrade routine; require DB to be at least version 5 (gramps
	2.0.0); separate primary and secondary load (may need to reverse
	later).
	* src/GrampsDbBase.py: Rename upgrade to avoid collission.
	* src/RelLib.py (Witness.py): Add empty class to enable upgrades
	from the earlier DB versions.
	* src/ViewManager.py: move upgrade into the DB class (may need to
	reverse later).

2005-12-14  Don Allingham  <don@gramps-project.org>
	* src/DisplayState.py: start of Windows menu
	* src/ReadGedcom.py: sync database with transaction
	* src/ViewManager.py: WinMenu support

2005-12-14  Martin Hawlisch  <Martin.Hawlisch@gmx.de>
	* src/gramps.glade: Fix Tip of the day

2005-12-13  Alex Roitman  <shura@gramps-project.org>
	* src/DisplayState.py: Correct and add comments.
	* src/EditPerson.py: Call child editors with new arguments.
	* src/EventEdit.py: Use new window management.
	* src/ListBox.py: Use new arguments.
	* src/PersonView.py: Add track argument to EditPerson.

2005-12-13  Don Allingham  <don@gramps-project.org>
	* src/EditPerson.py: fix after merge
	* src/GrampsDbBase.py: fix after merge
	* src/edit_person.glade: fix after merge

2005-12-12  Alex Roitman  <shura@gramps-project.org>
	* various: merge changes made in gramps20 up until R2_0_9 tag.

2005-12-12  Richard Taylor <rjt-gramps@thegrindstone.me.uk>
	* src/EditSource.py: Connected up add/del/edit buttons for Repos tab.
	
2005-12-12  Alex Roitman  <shura@gramps-project.org>
	* configure.in: bump up the version number.

2006-02-27  Alex Roitman  <shura@gramps-project.org>
	* configure.in: Bump up release number.
	* Release: Version 2.0.10 "Holy Hand Grenade of Antioch" released.

2005-12-11  Don Allingham  <don@gramps-project.org>
	* Release: Version 2.0.9 "Nobody expects the Spanish inquisition!"
	released.

2005-12-10  Alex Roitman  <shura@gramps-project.org>
	* src/po/it.po: Correct mismatched % parameters.
	* src/po/de.po: Correct mismatched % parameters.
	* src/po/eo.po: Correct mismatched % parameters.

2005-12-10  Jérôme Rapinat  <romjerome@yahoo.fr>
	* src/po/fr.po: Translation update.
	* src/dates/Date_fr.py (DateParserFR): Add more quality_to_int
	pairs.

2005-12-10  Don Allingham  <don@gramps-project.org>
	* doc/gramps-manual/C/getstart.xml: update
	* doc/gramps-manual/C/preface.xml: update
	* doc/gramps-manual/C/usage.xml: update

2005-12-09  Jérôme Rapinat  <romjerome@yahoo.fr>
	* doc/gramps-manual/fr/cmdplug.xml: Add file with new section.
	* doc/gramps-manual/fr/gramps-manual.xml: Define entity for new
	section.
	* doc/gramps-manual/fr/cmdline.xml: Insert new section
	.
	* doc/gramps-manual/fr/Makefile.am: Ship new file.
	* src/po/fr.po: Translation update.

2005-12-09  Martin Hawlisch  <Martin.Hawlisch@gmx.de>
	* src/po/de.po: Translation update

2005-12-09  Alex Roitman  <shura@gramps-project.org>
	* src/Report.py (parse_target_frame): Remove unneeded check; when
	checking existing file/dir, make sure we requested file/dir,
	correspondingly.
	* src/plugins/NavWebPage (archive_toggle): Add/remove '.tar.gz'
	to path when this options is turned on/off; (parse_style_frame):
	save archive option as an integer; (setup_html_frame): set the
	state for archive option.
	* test/det_ancestor_report.sh: Add thorough test for the Detailed
	Ancestor Report.
	* test/det_descendant_report.sh: Add thorough test for the 
	Detailed Descendant Report.

2005-12-08  Don Allingham  <don@gramps-project.org>
	* src/Merge.py: fix date comparison
	* src/Utils.py: add xml:lang generation function
	* src/docgen/AbiWord2Doc.py: set locale
	* src/docgen/OpenOfficeDoc: set locale using xml_lang()
	* src/plugins/NavWebPage.py: set locale
	* src/plugins/ChangeNames.py: call GrampsDisplay.help
	* src/plugins/Checkpoint.py: call GrampsDisplay.help
	* src/plugins/Desbrowser.py: call GrampsDisplay.help
	* src/plugins/EventCmp.py: call GrampsDisplay.help
	* src/plugins/FilterEditor.py: call GrampsDisplay.help
	* src/plugins/Merge.py: call GrampsDisplay.help
	* src/plugins/PatchNames.py: call GrampsDisplay.help
	* src/plugins/Verify.py: call GrampsDisplay.help

2005-12-08  Alex Roitman  <shura@gramps-project.org>
	* src/Utils.py (probably_alive): return False if any event
	of the person happened over 150 years ago; (too_old): add
	function; (not_too_old): require definite year for a positive
	decision.
	* src/Report.py (parse_target_frame): Check permissions for the
	specified file.

2005-12-07  Eero Tamminen  <eerot@sf>
	* src/po/fi.po: Translation update to latest template

2005-12-07  Benny Malengier  <bm@cage.UGent.be>
	* src/dates/Date_nl.py: Replace dashes with slashes, other
	enhancements.

2005-12-07  Alex Roitman  <shura@gramps-project.org>
	* src/DateDisplay.py (_display_gregorian): Replace dashes with
	slashes to prevent collision with the ISO format.
	* src/po/ru.po: Translation update.
	* doc/gramps-manual/Makefile.am: Remove existing link before
	creating a new one.
	* src/ReadGrdb.py: Disable signals and request rebuild at the end;
	properly set transaction.

2005-12-07  Don Allingham  <don@gramps-project.org>
	* src/Report.py: change from gtk.FILE_CHOOSER_CREATE_FOLDER to 
	gtl.FILE_CHOOSER_SELECT_FOLDER. GTK documentation error.
	* src/plugins/NavWebPage.py: restore .tar.gz archive option

2005-12-07  Jérôme Rapinat  <romjerome@yahoo.fr>
	* src/po/fr.po: Translation update.

2005-12-06  Alex Roitman  <shura@gramps-project.org>
	* src/gramps.glade (date_edit): Allow negative year integers.
	* src/po/nl.po: Correct %s mismatches.
	* src/plugins/NavWebPage.py (display_note_object,
	ContactPage.__init__, display_spouse): Do not treat linebreaks in
	the preformatted notes; (IndividualPage.__init__): restrict notes,
	url list, and source on living people.

2005-12-06  Jérôme Rapinat  <romjerome@yahoo.fr>
	* src/po/fr.po: Partial translation update.

2005-12-06  Don Allingham  <don@gramps-project.org>
	* src/FamilyView.py: Fixed FamilyView layout

2005-12-05  Alex Roitman  <shura@gramps-project.org>
	* merge some changes from gramps20.

2005-12-05  Don Allingham  <don@gramps-project.org>
	* src/data/main*.css: fix H6 and SUP

2005-12-05  Alex Roitman  <shura@gramps-project.org>
	* doc/gramps-manual/Makefile.am: Change symlink creation.

2005-12-05  Don Allingham  <don@gramps-project.org>
	* src/FamilyView.py: add more ui stuff
	* src/ReadGedcom.py: set batch properly

2005-12-04  Don Allingham  <don@gramps-project.org>
	* src/FamilyView.py: start of a new family view.
	* src/gramps_main.py: register FamilyView

2005-12-04  Alex Roitman  <shura@gramps-project.org>
	* src/po/ru.po: Partial translation update.

2005-12-03  Julio Sanchez  <jsanchez@users.sourceforge.net>
	* src/MergePeople.py: Avoid creating duplicate spouse-to-family links
	* src/po/es.po: Partial translation update.

2005-12-02  Alex Roitman  <shura@gramps-project.org>
	* src/po/ru.po: Partial translation update.

2005-12-02  Don Allingham  <don@gramps-project.org>
	* src/ReportOptions.py: fix inheritence

2005-12-01  Don Allingham  <don@gramps-project.org>
	* various: pychecker fixes
	* src/DateParser.py: properly call the date checking routine

2005-12-01  Alex Roitman  <shura@gramps-project.org>
	* src/ReportUtils.py (child_str): Initialize text.
	* src/docgen/LaTeXDoc.py: support "____"; support roman numerals
	in paragraph leaders.
	* src/plugins/BookReport.py (BookReportDialog.__init__):
	Initialize page_html_added before instantiating dialog class.

2005-12-01  Benny Malengier  <bm@cage.UGent.be>
	* src/dates/Date_nl.py: Add to CVS (bmcage).
	* src/dates/Makefile.am: Ship new file.

2005-11-30  Don Allingham  <don@gramps-project.org>
	* src/ReadGedcom.py: fix mixing note assignment
	* src/PeopleModel.py: streamline display

2005-11-29  Don Allingham  <don@gramps-project.org>
	* src/Relationship.py: limit search depth to 15 generations.

2005-11-29  Alex Roitman  <shura@gramps-project.org>
	* doc/xmldocs.make: Revert help path to keep under gramps dir.
	* doc/gramps-manual/Makefile.am: Add symlink to keep all gnome
	versions happy with the help path.
	* src/po/de.po: Typos: missing "\n".
	* src/plugins/Checkpoint.py: Replace combos with text entries.
	* src/plugins/checkpoint.glade: Replace combos with text entries.

2005-11-29  Don Allingham  <don@gramps-project.org>
	* src/GrampsBSDDB.py: change rebuilding of secondary indices
	to use keys instead of cursors.

2005-11-29  Julio Sanchez  <jsanchez@users.sourceforge.net>
	* NEWS: Better support for media objects in GEDCOM output

2005-11-28  Alex Roitman  <shura@gramps-project.org>
	* src/GenericFilter.py (MatchesFilter.apply): Typo.

2005-11-28  Martin Hawlisch  <Martin.Hawlisch@gmx.de>
	* NEWS: Better support for unicode filenames
	* src/FamilyView.py (change_families): Avoid exception if family
	 does not contain parents

2005-11-28  Julio Sanchez  <jsanchez@users.sourceforge.net>
	* src/DateParser.py: match modifiers in reverse length order so that
	multiword modifiers work even if other modifier matches the first
	words of the longer modifier
	* src/ReadGedcom.py: be more tolerant w.r.t. whitespace in input,
	to parse the output from tools that try (incorrectly) to make
	the GEDCOM easier to read.  Gedcom.pm is one example.
	* src/WriteGedcom.py: make sure referenced family sources are output

2005-11-27  Don Allingham  <don@gramps-project.org>
	* src/MergeData.py: fix dangling family after a merge.

2005-11-27  Alex Roitman  <shura@gramps-project.org>
	* src/po/template.po: Update.

2005-11-26  Don Allingham  <don@gramps-project.org>
	* src/EditPerson.py: properly handled added name types for the
	preferred name

2005-11-25  Wayne Bergeron  <wb@vallnet.com>
	* src/GenericFilter.py
	(IsLessThanNthGenerationAncestorOfDefaultPerson): Add new filter rule.

2005-11-25  Don Allingham  <don@gramps-project.org>
	* src/gramps.glade: enable word wrap on publication information
	on the source display

2005-11-25  Martin Hawlisch  <Martin.Hawlisch@gmx.de>
	* src/GenericFilter.py (HasCommonAncestorWith): Catch no longer
	existing person; (IsSpouseOfFilterMatch) Call prepare for recursive
	filter

2005-11-24  Don Allingham  <don@gramps-project.org>
	* src/po/template.po: updated translation file

2005-11-24  Alex Roitman  <shura@gramps-project.org>
	* NEWS: Update.
	* src/docgen/HtmlDoc.py (build_style_declaration): Use top- and
	bottom- margins for paragraph styles.

2005-11-23  Don Allingham  <don@gramps-project.org>
	* src/docgen/KwordDoc.py: fix margins and fonts.

2005-11-23  Wayne Bergeron  <wb@vallnet.com>
	* src/GenericFilter.py (IsLessThanNthGenerationAncestorOfBookmarked):
	Add new filter rule.

2005-11-23  Alex Roitman  <shura@gramps-project.org>
	* src/ArgHandler.py (cl_export): Add grdb export from the CLI.
	* src/plugins/Check.py (check_parent_relationships): Step through
	the progress bar.
	* test/runtest.sh: Add txt format and family_group report.
	* test/impex.sh: Add import/export test set.
	* example/gramps/example.gramps: Correct errors.
	* src/BaseDoc.py (SheetParser.startElement): Tolerate missing
	tmargin and bmargin (when reading older style files).
	* src/docgen/PSDrawDoc.py (encode): Add tolerant encoder;
	(patch_text): Remove unused method.
	* src/docgen/AsciiDoc.py (reformat_para): Add optional argument
	for the first line indent; (start_paragraph): remove leader
	handling; (end_paragraph): Handle all formatting, including leader
	and first line indent.
	* src/plugins/Checkpoint.py (rcs): Do not write comment on
	initialization.
	* test/tools.sh: Add test set for tools.

2005-11-22  Don Allingham  <don@gramps-project.org>
	* src/docgen/AbiWord2Doc.py: fix spacing for top and bottom margin
	* src/ArgHandler.py: fix typo
	* src/docgen/PSDrawDoc.py: removed print statements
	* src/plugins/DetDescendantReport.py: fixed insert_image
	* src/ReadGedcom.py: Fix handling of CONT

2005-11-22  Alex Roitman  <shura@gramps-project.org>
	* src/plugins/DetDescendantReport.py (write_write_children):
	Properly check for henry number; (write_mate): omit children list.
	* src/Report.py: Better packing in vertical direction.
	* test/runtest.sh: Switch to doing many reports in one call.

2005-11-22  Don Allingham  <don@gramps-project.org>
	* src/plugins/NavWebPage.py: Fix output_notebook remains.

2005-11-22  Martin Hawlisch  <Martin.Hawlisch@gmx.de>
	* src/AddrEdit.py,
	* src/AttrEdit.py,
	* src/EditPerson.py,
	* src/EditPlace.py,
	* src/EventEdit.py,
	* src/FamilyView.py,
	* src/MediaView.py,
	* src/NameEdit.py,
	* src/Sources.py: Better support for readonly DB;
	* src/ImageSelect.py: Better support for readonly DB;
	  dont crash if mimetype could not get retrieved
	* src/Marriage.py: Better support for readonly DB;
	  Avoid Traceback on DnD in empty list

2005-11-21  Don Allingham  <don@gramps-project.org>
	* src/ReadGedcom.py: Properly handle TEXT field in SOUR instances when
	undefined or unhandled fields are present

2005-11-21  Martin Hawlisch  <Martin.Hawlisch@gmx.de>
	* src/MediaView.py (media_update): Redisplay the media object at the top
	* src/FamilyView.py (drag_data_get): Avoid Traceback when dragging from empty list
	* src/gramps_main.py (read_file): More changes to unicode filename support

2005-11-20  Don Allingham  <don@gramps-project.org>
	* src/Report.py: shortened report dialog by making the Paper
	Options a tab of the rest of the options
	* src/plugins/AncestorReport.py: fix paragraph spacing
	* src/plugins/Check.py: handle None for family
	* src/plugins/DescendReport.py: fix paragraph spacing
	* src/plugins/IndivComplete.py: fix paragraph spacing

2005-11-20  Martin Hawlisch  <Martin.Hawlisch@gmx.de>
	* src/plugins/FilterEditor.py: Corrected plugin registration
	* src/GrampsCfg.py: Add validation for GRAMPS ID prefixes

2005-11-19  Don Allingham  <don@gramps-project.org>
	* src/WriteGedcom.py: add space between given and surname in output.
	* src/ReadGedcom.py: encoding list change
	* src/DateParser.py: match end of string for regex matching

2005-11-18  Martin Hawlisch  <Martin.Hawlisch@gmx.de>
	* src/Utils.py (find_file): new method that tries to check the
	  existance of a file by trying out multiple encoding variants for
	  the filename.
	* src/ImgManip.py (get_thumbnail_image): Use Utils.find_file to fix
	  encoding problems, additionally catch OSError
	* src/ImageSelect.py (on_name_changed): Use Utils.find_file
	* src/AddMedia.py (on_name_changed): Use Utils.find_file
	* src/plugins/Check.py (encoding) dont encode a utf-8 string as again,
	  (cleanup_missing_photos) Use Utils.find_file to fix encoding problems
	* src/Utils.py (find_folder): new method
	* src/gramps_main.py: Use Utils.find_file and Utils.find_folder to
	  enable using unicode names for gramps databases

2005-11-17  Martin Hawlisch  <Martin.Hawlisch@gmx.de>
	* src/gramps.glade,
	  src/TipOfDay.py: Add window title

2005-11-16  Don Allingham  <don@gramps-project.org>
	* src/DisplayModels.py: try to handle encoding errors
	* src/ImageSelect.py: call fix_encoding to handle path names
	* src/Utils.py: provide a routine to attempt to fix encoding of
	str values
	* src/plugins/Check.py: repair bad filenames

2005-11-16  Eero Tamminen  <eerot@sf>
	* src/po/fi.po: Translation update to latest template,
	  finetune keyboard shortcuts.

2005-11-13  Alex Roitman  <shura@gramps-project.org>
	* src/docgen/PdfDoc.py: Proper indentation for the first line with
	and without bullets.

2005-11-12  Don Allingham  <don@gramps-project.org>
	* src/plugins/DetDescendantReport.py: add support for Henry
	numbers for descendants

2005-11-12  Alex Roitman  <shura@gramps-project.org>
	* src/docgen/PdfDoc.py: Minor fixes.

2005-11-10  Don Allingham  <don@gramps-project.org>
	* src/GraphLayout.py: removed, incorporated into DesGraph
	* src/Makefile.am: removed GraphLayout.py
	* src/Plugins.py: don't enter into menus if not in debug mode
	* src/plugins/CmdRef.py: don't enter into menus if not in debug mode
	* src/plugins/Eval.py: don't enter into menus if not in debug mode
	* src/plugins/Leak.py: don't enter into menus if not in debug mode
	* src/plugins/TestcaseGenerator.py: don't enter into menus if not 
	in debug mode
	* src/plugins/DumpGenderStats.py: don't enter into menus if not 
	* src/AncestorChart.py: Move to unsupported
	* src/DesGraph.py: Move to unsupported
	* src/AncestorChart2.py: More consistent name
	* src/DescendChart.py: More consistent name

2005-11-10  Alex Roitman  <shura@gramps-project.org>
	* src/po/nl.po: Typo.
	* src/plugins/IndivSummary.py: Move to Unsupported (duplicates
	a subset of the IndivComplete report functionality).
	* src/plugins/IndivComplete.py: Add author.

2005-11-10  Don Allingham  <don@gramps-project.org>
	* src/DisplayModels.py: fix datalist[0] problem running with accessbility enabled
	* doc/xmldocs.make: fix for GNOME 2.12 help path
	* doc/gramps-manual/C/gramps-manual-C.omf: fix for GNOME 2.12 help path.

2005-11-10  Julio Sanchez  <jsanchez@users.sourceforge.net>
	* src/plugins/rel_es.py: More detail for some relationships
	* src/ImageSelect.py: Recompute mime type in case of path change
	* src/ReadGedcom.py: fix window object name

2005-11-09  Don Allingham  <don@gramps-project.org>
	* src/plugins/DetAncestralReport.py: fix spacing
	* src/Report.py: use filechooser for report dialog
	* src/ReportUtils.py: use a single photo for image display

2005-11-09  Alex Roitman  <shura@gramps-project.org>
	* src/docgen/LPRDoc.py: Use paragraph padding correctly.
	* src/BaseDoc.py: Support space above/below paragraph.
	* src/StyleEditor.py: Support space above/below paragraph.
	* src/gramps.glade: Support space above/below paragraph.
	* src/Report.py: Minor tweaks for file selection.
	* src/docgen//OpenOfficeDoc.py: Correct output for spacing.
	* src/docgen/LPRDoc.py: Properly use space above/below.
	* src/docgen/LPRDoc.py: Support post-leader directive.
	* src/docgen/LPRDoc.py: Remove extra line after the paragraph.
	* NEWS: Update.
	* example/gramps/*: Add new example data.

2005-11-09  Martin Hawlisch  <Martin.Hawlisch@gmx.de>
	* src/DbPrompter.py (DbPrompter): Use Combo to list multiple rcecent files
	* src/gramps.glade: Use Combo to list multiple rcecent files
	
2005-11-08  Martin Hawlisch  <Martin.Hawlisch@gmx.de>
	* src/DbPrompter.py (DbPrompter): Give possibility to open
	the recent file
	* src/gramps.glade: Add recent file to DbPrompter
	
2005-11-08  Alex Roitman  <shura@gramps-project.org>
	* src/EditPlace.py: Fix idle for new objects.
	* src/EditSource.py: Fix idle for new objects.
	* src/ImageSelect.py: Fix idle for new objects.
	* src/Report.py (parse_report_options_frame): Do not allow
	negative-numbered selection in the filter menu.
	* NEWS: Update.

2005-11-07  Alex Roitman  <shura@gramps-project.org>
	* src/EditPlace.py: Convert References to the list view.
	* src/gramps.glade: Replace TextView with TreeView.
	* src/EditSource.py: Support editing Source from References tab.
	* src/ImageSelect.py: Support editing objects through References.

2005-11-07  Martin Hawlisch  <Martin.Hawlisch@gmx.de>
	* src/gramps_main.py: Fix improper active person handling

2005-11-06  Alex Roitman  <shura@gramps-project.org>
	* src/EditSource.py (display_references): Return control if the
	events are pending, not every 0.1 sec; Draw references as they
	are found instead of deferring.
	* src/EditPlace.py (display_references): Make nice.
	* src/ImageSelect.py (GlobalMediaProperties.display_refs): Make nice.

	* src/EditSource.py (display_references): Check for elapsed time
	and return control to the main loop after 0.1 sec from the idle
	callback; convert callback to being able to store its state and
	continue from the middle.

2005-11-05  Alex Roitman  <shura@gramps-project.org>
	* src/PluginMgr.py: Add the optional argument indicating the
	unsupported status to all registrations.
	* src/Plugins.py: Reflect unsupported status in menus and trees.
	* src/plugins/BookReport.py: Reflect unsupported status.
	* src/plugins/WebPage.py, src/plugins/FtmStyleAncestors.py,
	src/plugins/FtmStyleDescendants.py: Declare unsupported status.

2005-11-05  Don Allingham  <don@gramps-project.org>
	* src/plugins/*.py: updated email addresses and status

2005-11-04  Alex Roitman  <shura@gramps-project.org>
	* src/Witness.py (WitnessEditor.__init__): Typo.
	* src/PluginMgr.py: Update all lists properly on any registration;
	(purge_failed): Add function.
	* src/Plugins.py (Reload.__init__): Purge plugins newly failed on
	reload; Regenerate all menus after reload.
	* src/gramps_main.py (build_plugin_menus): Add optional argument
	indicating rebuild, do not load plugins on rebuild; (load_plugins)
	factor out plugin loading routine. 

2005-11-04  Martin Hawlisch  <Martin.Hawlisch@gmx.de>
	* src/ReportUtils.py (sanitize_person): Restrict Media reference list
	* src/plugins/NavWebPage.py: Add many more filtering of private data

2005-11-02  Alex Roitman  <shura@gramps-project.org>
	* src/DbPrompter.py: Close database in all cases; close dialogs
	prior to that.

2005-11-02  Don Allingham  <don@gramps-project.org>
	* src/plugins/NavWebPage.py: fix surnames/surnames_count problem,
	fix intro/home page naming issue

2005-11-01  Don Allingham  <don@gramps-project.org>
	* src/plugins/NavWebPage.py: fix private family records

2005-10-31  Don Allingham  <don@gramps-project.org>
	* src/plugins/NavWebPage.py: use builtin python tarfile module

2005-10-29  Don Allingham  <don@gramps-project.org>
	* src/Sources.py: fix callback (caught by Martin)

2005-10-28  Alex Roitman  <shura@gramps-project.org>
	* src/plugins/TimeLine.py: Import strip_context correctly.
	* src/plugins/SimpleBookText.py: Import strip_context correctly.
	* src/plugins/StatisticsChart.py: Import strip_context correctly.

2005-10-27  Don Allingham  <don@gramps-project.org>
	* src/AddSpouse.py: glade fixes caught by Martin
	* src/AttrEdit.py: glade fixes caught by Martin
	* src/EditPerson.py: glade fixes caught by Martin
	* src/EditPlace.py: glade fixes caught by Martin
	* src/Marriage.py: glade fixes caught by Martin
	* src/SelectChild.py: glade fixes caught by Martin

2005-10-26  Alex Roitman  <shura@gramps-project.org>
	* src/plugins/CmdRef.py (write_ref): Only write itemizedlist if
	there is any contents for it.
	* doc/gramps-manual/C/cmdplug.xml: Update to a valid docbook.
	* doc/gramps-manual/C/usage.xml: Add manual on the Narrative web
	page generator.	

2005-10-25  Don Allingham  <don@gramps-project.org>
	* src/latin_utf8.py: removed
	* src/Makefile.am: remove latin_utf8.py

2005-10-25  Alex Roitman  <shura@gramps-project.org>
	* src/ReadGedcom.py (parse_source_reference): Ignore empty QUAY.

2005-10-24  Don Allingham  <don@gramps-project.org>
	* src/GrampsCfg.py: signal_autoconnect changes
	* src/ImageSelect.py: signal_autoconnect changes
	* src/ReadGedcom.py: signal_autoconnect changes
	* src/WriteGedcom.py: signal_autoconnect changes
	* src/gedcomimport.glade: signal_autoconnect changes
	* src/gramps.glade: signal_autoconnect changes

2005-10-24  Julio Sanchez  <jsanchez@users.sourceforge.net>
	* src/WriteGedcom.py: export more objects, better conformance with
	the spec, preserve timestamps on objects
	* src/const.py.in: add table of GEDCOM tags that take a value on the
	* src/ImageSelect.py: signal fix

2005-10-23  Don Allingham  <don@gramps-project.org>
	* src/ReadGedcom.py: handle progress bar
	* src/gedcomimport.glade: add progress bar and expanders

2005-10-24  Julio Sanchez  <jsanchez@users.sourceforge.net>
	* src/AddSpouse.py: signal fix
	* src/EventEdit.py: signal fix

2005-10-22  Don Allingham  <don@gramps-project.org>
	* src/AddMedia.py: signal_autoconnect changes
	* src/AddSpouse.py: signal_autoconnect changes
	* src/AttrEdit.py: signal_autoconnect changes
	* src/Bookmarks.py: signal_autoconnect changes
	* src/ChooseParents.py: signal_autoconnect changes
	* src/DateEdit.py: signal_autoconnect changes
	* src/EventEdit.py: signal_autoconnect changes
	* src/Exporter.py: signal_autoconnect changes
	* src/GenericFilter.py: signal_autoconnect changes
	* src/ImageSelect.py: signal_autoconnect changes
	* src/LocEdit.py: signal_autoconnect changes
	* src/Marriage.py: signal_autoconnect changes
	* src/MediaView.py: signal_autoconnect changes
	* src/NameEdit.py: signal_autoconnect changes
	* src/SelectChild.py: signal_autoconnect changes
	* src/Sources.py: signal_autoconnect changes
	* src/TransUtils.py: signal_autoconnect changes
	* src/UrlEdit.py: signal_autoconnect changes
	* src/Utils.py: signal_autoconnect changes
	* src/Witness.py: signal_autoconnect changes
	* src/gramps.glade: signal_autoconnect changes

2005-10-22  Julio Sanchez  <jsanchez@users.sourceforge.net>
	* src/WriteGedcom.py: Media objects for families, preparation for 
	media objects for other entities

2005-10-20  Don Allingham  <don@gramps-project.org>
	* src/plugins/DetDescendantReport.py: bring in line with 
	DetAncestralReport
	* src/plugins/DetAncestralReport.py: remove firstname option

2005-10-19  Don Allingham  <don@gramps-project.org>
	* src/plugins/DetAncestralReport.py: fix child strings
	* src/GrampsBSDDB.py: use cursors to rebuild secondary indices.
